2021-07-06  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-macros.exp: Replace use of
	gdb_test_multiple_with_read1_timeout_factor with gdb_test_lines.
	(gdb_test_multiple_with_read1_timeout_factor): Remove.
	* lib/gdb.exp (gdb_test_lines): Add handling or -re-not <regexp>.

2021-07-05  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/ptype-on-functions.exp: Allow both $integer8 and
	$integer4 for size of string length.

2021-07-03  Joel Brobecker  <brobecker@adacore.com>

	* gdb.base/default.exp: Change $_gdb_major to 12.

2021-07-01  Pedro Alves  <pedro@palves.net>

	PR mi/15729
	PR gdb/13463
	* gdb.base/access-mem-running.c: New.
	* gdb.base/access-mem-running.exp: New.
	* gdb.threads/access-mem-running-thread-exit.c: New.
	* gdb.threads/access-mem-running-thread-exit.exp: New.

2021-06-29  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.dwarf2/dw2-reg-undefined.exp: Update regexp.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/info_sources_2-header.h: New file.
	* gdb.base/info_sources_2-lib.c: New file.
	* gdb.base/info_sources_2-test.c: New file.
	* gdb.base/info_sources_2.exp: New file.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-info-sources.exp: Add additional tests.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-filename.exp: Update expected results.
	* gdb.mi/mi-file.exp: Likewise.
	* gdb.mi/mi-info-sources-base.c: New file.
	* gdb.mi/mi-info-sources.c: New file.
	* gdb.mi/mi-info-sources.exp: New file.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/method-call-in-c.cc (struct foo_type): Add static member
	function static_method.
	(global_var): New global.
	(main): Use new static_method to ensure it is compiled in.
	* gdb.cp/method-call-in-c.exp: Test calls to static member
	function.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/27994
	* gdb.cp/method-call-in-c.cc (struct foo_type): Add operator+=,
	change initial value of var member variable.
	(main): Make use of foo_type's operator+=.
	* gdb.cp/method-call-in-c.exp: Test use of operator+=.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/27994
	* gdb.cp/method-call-in-c.cc: New file.
	* gdb.cp/method-call-in-c.exp: New file.

2021-06-25  Tom Tromey  <tom@tromey.com>

	* lib/gdb.exp (add_gdb_index, ensure_gdb_index): Add "style"
	parameter.
	* gdb.rust/dwindex.exp: New file.
	* gdb.rust/dwindex.rs: New file.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-breakpoint.c (do_throw): New function.
	(main): Call do_throw.
	* gdb.python/py-breakpoint.exp (test_catchpoints): New proc.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-breakpoint.exp (test_catchpoints): New proc.

2021-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-breakpoint.exp (test_watchpoints): Add new tests.

gdb/testsuite/ChangeLog
2021-06-25  Carl Love  <cel@us.ibm.com>

	* gdb.arch/powerpc-plxv-norel.exp: Add call to skip_power_isa_3_1_tests.
	* lib/gdb.exp(skip_power_isa_3_1_tests): New gdb_caching_proc test.

2021-06-25  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/py_range.exp: Add type name test cases.

2021-06-24  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-macros.exp: Add <EOL> after trailing whitespace in
	test names.

2021-06-24  Tom de Vries  <tdevries@suse.de>

	* gdb.base/argv0-symlink.exp: Use with_test_prefix.

2021-06-23  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_test_lines): Rewrite to accept single
	multiline tcl regexp.
	* gdb.base/info-types.exp.tcl: Update.  Make empty line at end of
	regexp optional.
	* gdb.base/info-macros.exp: Update.
	* gdb.cp/cplusfuncs.exp: Update.

2021-06-22  Andreas Schwab  <schwab@suse.de>

	PR symtab/27999
	* lib/dwarf.exp (start_end): New proc inside loclists.
	* gdb.dwarf2/loclists-start-end.exp: New file.
	* gdb.dwarf2/loclists-start-end.c: New file.

2021-06-22  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/imported-unit-c.exp: New file.

2021-06-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.server/server-kill.exp: Introduce global kill_pid_of, and
	make use of this in prepare to select which pid we should kill.
	Run all the tests twice with a different kill_pid_of value.
	(prepare): Make use of kill_pid_of.
	(test_stepi): New proc.

2021-06-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-frame.exp: Add Frame.level tests.
	* gdb.python/py-pending-frame-level.c: New file.
	* gdb.python/py-pending-frame-level.exp: New file.
	* gdb.python/py-pending-frame-level.py: New file.

2021-06-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-unwind-user-regs.c: New file.
	* gdb.python/py-unwind-user-regs.exp: New file.
	* gdb.python/py-unwind-user-regs.py: New file.

2021-06-17  Carl Love  <cel@us.ibm.com>

	* gdb.arch/powerpc-power8.exp(bctar, bctarl): Update mnemonics
	to bgetar and bgetarl.
	* gdb.arch/powerpc-power8.s((bctar, bctarl): Update comments
	for mnemonics to bgetar and bnstarl.

2021-06-17  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/args.exp: Check target, KFAIL if remote.
	(args_test): Add parameter and use it.

2021-06-17  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/args.exp: Remove trailing parenthesis in test names.

2021-06-17  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/args.exp: Use $old_gdbflags in all tests.

2021-06-17  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/args.exp: Use save_vars.

2021-06-14  Pedro Alves  <pedro@palves.net>

	* gdb.base/annota1.exp: Build list using [list] instead of {}.
	Tell [join] to join with no character.  Build expected pattern in
	separate variable instead of in the -re expression directly.

2021-06-11  Kevin Buettner  <kevinb@redhat.com>

	* gdb.mi/mi-sym-info.exp (114-symbol-info-function test): Increase
	timeout.

2021-06-11  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/print-symbol-loading.exp (proc test_load_shlib):
	Allow "Symbols already loaded for..." messages.

2021-06-11  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/execl-update-breakpoints.exp: Add regular
	expression for optionally matching output related to
	libthread_db.
	* gdb.base/fork-print-inferior-events.exp: Likewise.

2021-06-11  Felix Willgerodt  <felix.willgerodt@intel.com>

	* gdb.mi/array.f: Convert into...
	* gdb.mi/array.f90: ...this.
	* gdb.mi/mi-var-child-f.exp: Use array.f90.

2021-06-11  Tom Tromey  <tom@tromey.com>

	PR rust/23427
	* lib/rust-support.exp (rust_compiler_version): New caching proc.
	* gdb.rust/rawids.exp: New file.
	* gdb.rust/rawids.rs: New file.

2021-06-10  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/gdb.exp (default_gdb_exit): Unset gdb_tty_name.
	(spawn_capture_tty_name): New, override builtin spawn.
	(default_gdb_spawn): Capture GDB's TTY name.
	* lib/tuiterm.exp (tuiterm_spawn): Remove.
	(tuiterm_env_init, tuiterm_env_finish): Remove spawn override.
	(Term) <resize>: Use new variable name.
	(tuiterm_env_init, tuiterm_env_finish): Remove.
	(tuiterm_env): Don't call tuiterm_env_init and register
	tuiterm_env_finish in gdb_finish_hooks.
	(gdb_finish_hooks): Remove.
	(gdb_finish): Don't call finish hooks.

2021-06-10  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/user-selected-context-sync.c (child_sub_function, main):
	Rewrite while (1) using dummy loop body.

2021-06-10  Bhuvanendra Kumar N  <Bhuvanendra.KumarN@amd.com>

	* gdb.base/foll-exec.c: convert the multi-line function call into
	single line.

2021-06-10  Tom de Vries  <tdevries@suse.de>

	* lib/cp-support.exp (cp_test_ptype_class): Break up regexp.
	* gdb.cp/nested-types.exp: Remove usage of read1 timeout factor.

2021-06-10  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/cplusfuncs.exp (info_func_regexp): Use gdb_test_lines.

2021-06-09  Tom Tromey  <tromey@adacore.com>

	* README (Example): Update read1 example.

2021-06-09  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/tuiterm.exp (Term) <_check_box>: Improve logging.

2021-06-08  Lancelot Six  <lsix@lancelotsix.com>

	* gdb.base/premature-dummy-frame-removal.py (TestUnwinder): Use
	'is None' instead of '== None' and 'is not None' instead of
	'!= None'.
	* gdb.python/py-frame-args.py (lookup_function): Same.
	* gdb.python/py-framefilter-invalidarg.py (Reverse_Function): Same.
	* gdb.python/py-framefilter.py (Reverse_Function): Same.
	* gdb.python/py-nested-maps.py (lookup_function): Same.
	* gdb.python/py-objfile-script-gdb.py (lookup_function): Same.
	* gdb.python/py-prettyprint.py (lookup_function): Same.
	* gdb.python/py-section-script.py (lookup_function): Same.
	* gdb.python/py-unwind-inline.py (dummy_unwinder): Same.
	* gdb.python/python.exp: Same.
	* gdb.rust/pp.py (lookup_function): Same.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (multi_line): Require more than one argument.
	* gdb.base/gdbinit-history.exp: Update multi_line call.
	* gdb.base/jit-reader.exp: Remove multi_line call.
	* gdb.fortran/dynamic-ptype-whatis.exp: Same.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp.tcl (match_line, gdb_test_lines): Move ...
	* lib/gdb.exp: ... here.
	* gdb.base/info-macros.exp: Use gdb_test_lines.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp.tcl (match_line): Handle --any.
	(gdb_test_lines): Factor out of ...
	(run_test): ... here.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.base/batch-preserve-term-settings.exp (spawn_shell): Fix
	matching of initial prompt.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/multi-create-ns-info-thr.exp: Limit breakpoint regexp to
	one line.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.base/sect-cmd.exp: Use gdb_test.  Use -wrap "".  Fix
	test name.

2021-06-08  Tom de Vries  <tdevries@suse.de>

	* gdb.base/sect-cmd.exp: Fix saw_section_address_line regexp.

2021-06-07  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/continue-all-already-running.exp: Call fail if can't
	run to main.

2021-06-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/27847
	* gdb.dwarf2/dw2-weird-type-len.c: New file.
	* gdb.dwarf2/dw2-weird-type-len.exp: New file.

2021-06-07  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/attach.exp (test_command_line_attach_run): Use
	proc_with_prefix.

2021-06-07  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27908
	* gdb.base/run-attach-while-running.exp (test): Don't match prompt
	after attach using '$gdb_prompt $'.

2021-06-07  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp.tcl: Remove "File .*" matching from regexp
	matching state machine.

2021-06-07  Tom de Vries  <tdevries@suse.de>

	* gdb.base/new-ui-pending-input.exp
	(test_command_line_new_ui_pending_input): Fix regexp for "initial
	prompt on extra console".

2021-06-07  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp.tcl (run_test): Move "random line" regexp
	up.

2021-06-06  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/stop-reply-no-thread-multi.exp: Clear sysroot when
	host and target are local.

2021-06-05  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.python/py-symbol.exp: Fix tests for Python 3.

2021-06-05  Shahab Vahedi  <shahab@synopsys.com>

	* gdb.arch/arc-disassembler-options.exp: New test.
	* gdb.arch/arc-disassembler-options.s: New test source.

2021-06-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/array_of_symbolic_length.exp: New file.
	* gdb.ada/array_of_symbolic_length/foo.adb: New file.
	* gdb.ada/array_of_symbolic_length/gl.adb: New file.
	* gdb.ada/array_of_symbolic_length/gl.ads: New file.
	* gdb.ada/array_of_symbolic_length/pck.adb: New file.
	* gdb.ada/array_of_symbolic_length/pck.ads: New file.

2021-06-03  Magne Hov  <mhov@undo.io>

	PR python/27841
	* gdb.python/py-events.exp: Extend inferior exit tests.
	* gdb.python/py-events.py: Print inferior exit PID.

2021-06-03  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.python/py-symbol.exp: Test symbol constants.

2021-06-02  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.dwarf2/per-bfd-sharing.exp: Fix temp-dir leakage.

2021-06-02  Carl Love  <cel@us.ibm.com>

	* gdb.threads/threadapply.c: Add global mybarrier.
	(main): Add pthread_barrier_init.
	(thread_function): Replace while loop with myp increment and
	pthread_barrier_wait.

2021-06-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/gdb.exp (gdb_compile): Only add the -J option when using a
	gcc based Fortran compiler, for example, flang does not support
	this option.

2021-06-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/fortran.exp (fortran_int8): Escape '*' in pattern.

2021-06-01  Tom Tromey  <tromey@adacore.com>

	* Makefile.in (all): Don't print anything.
	($(abs_builddir)/site.exp site.exp): Use $(ECHO_GEN).
	(expect-read1): Likewise.
	(read1.so): Use $(ECHO_CC).
	Include silent-rules.mk.

2021-06-01  Tom Tromey  <tromey@adacore.com>

	* aclocal.m4, configure.ac, configure: Remove.
	* Makefile.in (EXTRA_RULES): Remove.
	($(abs_builddir)/site.exp site.exp): Don't depend on
	config.status.
	(distclean maintainer-clean realclean, Makefile): Update.
	(config.status): Remove target.
	(lib/pdtrace): New target.
	(all): Don't depend on EXTRA_RULES.
	(check-read1): Depend on read1.so, expect-read1.

2021-06-01  Tom de Vries  <tdevries@suse.de>

	PR symtab/26096
	* gdb.cp/cold-clone.cc: New test.
	* gdb.cp/cold-clone.exp: New file.

2021-06-01  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.gdb/unittest.c: New file.
	* gdb.gdb/unittest.exp: Run with and without a binary file loaded
	into GDB.

2021-06-01  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/premature-dummy-frame-removal.c: New file.
	* gdb.base/premature-dummy-frame-removal.exp: New file.
	* gdb.base/premature-dummy-frame-removal.py: New file.

2021-05-27  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/reverse-init-functions.exp: New.

2021-05-27  Tom de Vries  <tdevries@suse.de>

	PR symtab/27919
	PR testsuite/27920
	* gdb.dwarf2/dw2-dummy-cu.exp: Use maint expand-symtabs instead of
	-readnow.

2021-05-27  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27921
	* gdb.dwarf2/gdb-index.exp (add_gdb_index): Rename to ...
	(local_add_gdb_index): ... this.

2021-05-21  Tom de Vries  <tdevries@suse.de>

	PR testsuite/25047
	* boards/cc-with-gnu-debuglink.exp: New file.

2021-05-21  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.dwarf2/dw2-inline-with-lexical-scope.c (func): Replace
	a dead code with an assignment to a global var.  Fix a
	whitespacing problem around an assignment operator.

2021-05-19  Will Schmidt  <will_schmidt@vnet.ibm.com>

	* gdb.arch/powerpc64-prologue.c: New test to exercise prologues
	for the powerpc64 LE target.
	* gdb.arch/powerpc-prologue.exp: Test Harness.

2021-05-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-pretty-print.exp: Add test names to resolve
	duplicate test names.

2021-05-19  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp.tcl: Scan info types output line-by-line.

2021-05-17  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/py-framefilter-gdb.py.in: Rename to:
	* gdb.python/py-framefilter-gdb.py: ... this.
	* gdb.python/py-framefilter-invalidarg-gdb.py.in: Rename to:
	* gdb.python/py-framefilter-invalidarg-gdb.py: ... this.

2021-05-17  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/py-framefilter-gdb.py.in: Re-format.
	* gdb.python/py-framefilter-invalidarg-gdb.py.in: Re-format.

2021-05-17  Bhuvanendra Kumar N  <Bhuvanendra.KumarN@amd.com>

	* gdb.base/class-allocatable-array.exp: Modified test for clang.

2021-05-16  Weimin Pan  <weimin.pan@oracle.com>

	* gdb.ctf/funcreturn.exp: New file.
	* gdb.ctf/whatis.c: Copy from gdb.base.

2021-05-14  Tom Tromey  <tom@tromey.com>

	* gdb.rust/pp.exp: New file.
	* gdb.rust/pp.py: New file.
	* gdb.rust/pp.rs: New file.

2021-05-14  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/index-cache.exp: Cleanup $cache_dir/*.gdb-index and
	remove the directory.
	* gdb.dwarf2/per-bfd-sharing.exp: Likewise.

2021-05-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.python/py-inferior.exp: Add test cases for 'connection_num'.

2021-05-14  Kent Cheung  <kent.cheung@arm.com>
	    Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-format-string.c: Added a variable to test.
	* gdb.python/py-format-string.exp: Check string representation is
	printed at appropriate max_depth settings.
	* gdb.python/py-nested-maps.exp: Likewise.
	* gdb.guile/scm-pretty-print.exp: Add additional tests.

2021-05-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-pretty-print.exp (run_lang_tests): Give some tests
	unique names, also wrap proc body in with_test_prefix.

2021-05-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-frame-args.exp: Add with_test_prefix to resolve
	duplicate test names.
	* gdb.guile/scm-parameter.exp: Provide test names to avoid
	duplicate names based on the command being run.
	* gdb.guile/scm-symbol.exp: Extend test name to make it unique.
	* gdb.guile/scm-type.exp (restart_gdb): Don't print PASS line when
	loading a support module.
	(test_equality): Update test name to match the actual test, making
	the name unique in the process.
	* gdb.guile/scm-value.exp (test_value_in_inferior): Add test names
	to resolve duplicate tests.
	(test_inferior_function_call): Likewise.
	(test_subscript_regression): Likewise.

2021-05-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/guile.exp (gdb_scm_load_file): Use empty test name to
	silence PASS lines.
	(gdb_install_guile_module): Likewise.

2021-05-12  George Barrett  <bob@bob131.so>

	* gdb.guile/scm-value.exp (test_value_in_inferior): Add test for
	value-const-value.

2021-05-12  George Barrett  <bob@bob131.so>

	* gdb.guile/scm-value.exp (test_value_in_inferior): Add test for
	value-reference-value.  Add test for value-rvalue-reference-value.

2021-05-11  Tom de Vries  <tdevries@suse.de>

	* gdb.base/watch_thread_num.exp: Fix "set debug infrun 1" FAILs.
	Add "set debug infrun 1" commented out.

2021-05-11  Tom de Vries  <tdevries@suse.de>

	* gdb.base/gdb-sigterm.exp: Fix exp_continue regexp.

2021-05-11  Bhuvanendra Kumar  <Bhuvanendra.KumarN@amd.com>

	* gdb.fortran/array-element.exp: Breakpoint location is modified.

2021-05-10  Lancelot Six  <lsix@lancelotsix.com>

	PR gdb/27614
	* gdb.dwarf2/gdb-add-index-symlink.exp: New test.

2021-05-10  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/guile.exp: Don't use the source directory as a
	temporary HOME directory.

2021-05-10  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.arch/amd64-osabi.exp (test_osabi_none): Use the
	parameters.

2021-05-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/guile.exp: Add an extra test.

2021-05-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/ptype-offsets.exp: Replace use of send_gdb with
	gdb_test_no_output.

2021-05-07  Simon Marchi  <simon.marchi@polymtl.ca>

	* Re-format all Python files using black.
	* gdb.python/py-prettyprint.exp (run_lang_tests): Adjust.

2021-05-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-breakpoint.exp (test_watchpoints): Print the
	watchpoint object before and after registering it with GDB.

2021-05-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-breakpoint.exp (test_bkpt_basic): Convert to
	'proc_with_prefix', remove use of 'with_test_prefix', and
	reindent.
	(test_bkpt_deletion): Likewise.
	(test_bkpt_cond_and_cmds): Likewise.
	(test_bkpt_invisible): Likewise.
	(test_watchpoints): Likewise.
	(test_bkpt_internal): Likewise.
	(test_bkpt_eval_funcs): Likewise.
	(test_bkpt_registration): Likewise.
	(test_bkpt_address): Convert to 'proc_with_prefix'.
	(test_bkpt_probe): Likewise.

2021-05-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.guile/scm-breakpoint.exp (test_bkpt_basic): Extend test
	names to avoid duplicates.
	(test_bkpt_cond_and_cmds): Likewise.
	(test_bkpt_eval_funcs): Likewise.

2021-05-06  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.mi/mi-break.exp (test_forced_conditions): Add a test
	for the -break-condition command's "--force" flag.

2021-05-06  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.mi/mi-break.exp (test_forced_conditions): New proc that
	is called by the test.

2021-05-05  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/detach-step-over.exp: Do exp_continue when encountering
	"Reading symbols" or "Expanding full symbols" lines.  Using timeout
	factor of 2 for attach.

2021-05-05  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/fork-plus-threads.exp: Handle "New LWP <n>" and
	"LWP <n> exited" messages.

2021-05-04  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/py-type.exp (test_fields): Test calling fields on
	an int type.

2021-05-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.python/flexible-array-member.exp: Adjust expected range
	value for member declared with 0 size.  Test accessing range
	tuple through range type.

2021-05-03  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR testsuite/27788
	* gdb.python/py-startup-opt.exp (test_python_settings): Change the
	expected results when environment variable PYTHONDONTWRITEBYTECODE
	is set.

2021-04-30  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/enum_idx_packed/pck.ads (My_Enum, My_Array_Type)
	(Confused_Array): New types.
	* gdb.ada/enum_idx_packed/foo.adb (Confused_Array): New variable.
	* gdb.ada/enum_idx_packed.exp: Add new tests.

2021-04-30  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info.exp: Add with_timeout_factor, and increase
	existing timeout factors.

2021-04-30  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info.exp: Remove duplicate test.

2021-04-29  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27786
	* lib/valgrind.exp (vgdb_start): Use set_remotetimeout.  Increase
	remotetimeout to 4.

2021-04-28  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/null_overload.exp: New file.
	* gdb.ada/null_overload/foo.adb: New file.

2021-04-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-startup-opt.exp: New file.

2021-04-27  Luis Machado  <luis.machado@linaro.org>

	* gdb.base/maint.exp: Drop a pattern that is not needed.
	* lib/gdb.exp (readnow): Match line-by-line.

2021-04-27  Luis Machado  <luis.machado@linaro.org>

	* gdb.xml/tdesc-reload.exp: Pass -lbl.

2021-04-27  Michael Weghorn  <m.weghorn@posteo.de>
	    Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/libpy-autoloaded-pretty-printers-in-newobjfile-event.so-gdb.py: New test.
	* gdb.python/py-autoloaded-pretty-printers-in-newobjfile-event-lib.cc: New test.
	* gdb.python/py-autoloaded-pretty-printers-in-newobjfile-event-lib.h: New test.
	* gdb.python/py-autoloaded-pretty-printers-in-newobjfile-event-main.cc: New test.
	* gdb.python/py-autoloaded-pretty-printers-in-newobjfile-event.exp: New test.
	* gdb.python/py-autoloaded-pretty-printers-in-newobjfile-event.py: New test.

2021-04-26  Tom Tromey  <tromey@adacore.com>

	PR gdb/27743:
	* gdb.dwarf2/imported-unit-bp.exp: New file.
	* gdb.dwarf2/imported-unit-bp-main.c: New file.
	* gdb.dwarf2/imported-unit-bp-alt.c: New file.

2021-04-26  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/27773
	* gdb.base/dump.exp: Test dump to non-existent dir.

2021-04-26  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-dbreg-contents.c (set_watchpoint): Fix arch level
	comparison.

2021-04-25  Lancelot Six  <lsix@lancelotsix.com>

	PR gdb/22640
	* gdb.base/ptype-offsets.exp: Add tests to verify the behavior
	of 'ptype/ox' and 'ptype/od'. Check that 'set print type hex'
	changes the default behavior of 'ptype/o'.  Update to take into
	account new horizontal layout.
	* gdb.rust/simple.exp: Update ptype test to check new horizontal
	layout.
	* gdb.rust/union.exp: Same.

2021-04-23  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/info_sources.exp: Add new tests.

2021-04-22  Tom Tromey  <tom@tromey.com>

	* gdb.base/ptype-offsets.cc (struct empty_member): New.
	(main): Use empty_member.
	* gdb.base/ptype-offsets.exp: Add new test.

2021-04-22  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/flexible-array-member.exp: Add check for Python
	support.

2021-04-22  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/27757
	* gdb.python/flexible-array-member.c: New test.
	* gdb.python/flexible-array-member.exp: New test.
	* gdb.guile/scm-type.exp (test_range): Add test for flexible
	array member.
	* gdb.guile/scm-type.c (struct flex_member): New.
	(main): Use it.

2021-04-22  Tom Tromey  <tom@tromey.com>

	* gdb.rust/modules.exp: Add checks for syntax errors.
	* gdb.rust/expr.exp: Add checks for syntax errors.
	* gdb.rust/simple.exp: Add checks for syntax errors.

2021-04-21  Carl Love  <cel@us.ibm.com>

	* gdb.base/valgrind-bt.exp: Add gdb_test "break main".
	Update expected string for gdb_test "bt".

	* lib/valgrind.exp: Add set remotetimeout 3.
	Increase vgdb wait from 1 to 2.
	Add max-invoke-ms option to vgdb command line.

2021-04-21  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.mi/mi-break.exp: Extend with checks for invalid breakpoint
	conditions.

2021-04-21  Simon Marchi  <simon.marchi@polymtl.ca>
	    Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.mi/mi-break.exp: Fix the duplicate test names.

2021-04-20  Felix Willgerodt  <felix.willgerodt@intel.com>

	* gdb.base/address_space_qualifier.exp: New file.

2021-04-19  Tom Tromey  <tromey@adacore.com>

	PR gdb/27742:
	* gdb.opt/inline-locals.exp: Update kfail patterns.

2021-04-17  Tom Tromey  <tom@tromey.com>

	* gdb.dwarf2/gdb-index-nodebug.exp: New file.

2021-04-16  Tom Tromey  <tom@tromey.com>

	* gdb.rust/simple.exp: Change error text.
	* gdb.rust/expr.exp: Change error text.

2021-04-16  Tom Tromey  <tom@tromey.com>

	* gdb.rust/simple.exp: Add parens to 'as' test.

2021-04-16  Simon Marchi  <simon.marchi@efficios.com>

	* boards/simavr.exp: Set debug_flags.

2021-04-16  Luis Machado  <luis.machado@linaro.org>

	* gdb.dwarf2/dw2-bfloat16.exp: New file.

2021-04-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-parameter.exp: Give a test a proper name to avoid
	including a path in the test name.

2021-04-15  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.threads/fork-plus-threads.exp: Use foreach_with_prefix.

2021-04-15  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/arr-stride.exp: Add test.

2021-04-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/startup-file.exp: Add more tests.

2021-04-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR cli/25956
	* gdb.base/early-init-file.c: New file.
	* gdb.base/early-init-file.exp: New file.
	* lib/gdb-utils.exp (style): Handle style 'none'.

2021-04-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.dwarf2/dw2-inline-with-lexical-scope.exp: Use
	@DW_INL_declared_inlined for the inline attribute.

2021-04-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.opt/inline-locals.c (scoped): New function.
	(main): Call 'scoped'.
	* gdb.opt/inline-locals.exp: Update with "info locals" tests
	for scoped variables.
	* gdb.dwarf2/dw2-inline-with-lexical-scope.c: New file.
	* gdb.dwarf2/dw2-inline-with-lexical-scope.exp: New file.

2021-04-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* lib/dwarf.exp (_location): Recognize DW_OP_fbreg as an op.

2021-04-12  Will Schmidt  <will_schmidt@vnet.ibm.com>

	* gdb.arch/powerpc-vsx-regs.exp: Initialize vs* doublewords.

2021-04-12  Will Schmidt  <will_schmidt@vnet.ibm.com>

	* gdb.arch/powerpc-plxv-nonrel.s:  Testcase using
	non-relative plxv instructions.
	* gdb.arch/powerpc-plxv-nonrel.exp: Testcase harness.

2021-03-31  Will Schmidt  <will_schmidt@vnet.ibm.com>

	PR gdb/27525
	* gdb/testsuite/gdb.arch/powerpc-addpcis.exp:  Testcase harness to
	exercise single-stepping over subpcis,lnia,addpcis instructions
	with displacement.
	* gdb/testsuite/gdb.arch/powerpc-addpcis.s: Testcase with stream
	of addpcis/lnia/subpcis instructions.
	* gdb/testsuite/gdb.arch/powerpc-lnia.exp: Testcase harness to
	exercise single-stepping over lnia instructions with displacement.
	* gdb/testsuite/gdb.arch/powerpc-lnia.s: Testcase with stream of
	lnia instructions.

2021-03-31  Will Schmidt  <will_schmidt@vnet.ibm.com>

	* gdb.arch/powerpc-power10.s: New test for instructions.
	* gdb.arch/powerpc-power10.exp: Harness to run the test.

2021-4-12  Carl Love  <cel@us.ibm.com>

	* gdb.arch/vsx-vsr-float128.c: New test file.
	* gdb.arch/vsx-vsr-float128.exp: New expect file.

2021-04-12  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/reconnect.exp: Relax expected stepi output.

2021-04-07  Weimin Pan  <weimin.pan@oracle.com>

	* gdb.base/ctf-ptype.c: Add struct link containing a forward
	reference type.
	* gdb.base/ctf-ptype.exp: Add "ptype struct link".

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/dynamic-ptype-whatis.exp: New file.
	* gdb.fortran/dynamic-ptype-whatis.f90: New file.

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/rvalue-ref-params.cc (f3): New function.
	(f4): New function.
	(global_int): New global variable.
	(global_float): Likeiwse.
	(main): Call both new functions.
	* gdb.cp/rvalue-ref-params.exp: Add new tests.

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/fission-relative-dwo.c: New file.
	* gdb.dwarf2/fission-relative-dwo.exp: New file.

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/fission-absolute-dwo.c: New file.
	* gdb.dwarf2/fission-absolute-dwo.exp: New file.
	* gdb.dwarf2/fission-base.exp: Use build_executable_and_dwo_files
	instead of build_executable_from_fission_assembler.
	* gdb.dwarf2/fission-loclists-pie.exp: Likewise.
	* gdb.dwarf2/fission-loclists.exp: Likewise.

	* gdb.dwarf2/fission-multi-cu.S: Delete file.
	* gdb.dwarf2/fission-multi-cu.c: New file based on old
	fission-multi-cu1.c and fission-multi-cu2.c files.
	* gdb.dwarf2/fission-multi-cu1.c: Delete file.
	* gdb.dwarf2/fission-multi-cu2.c: Delete file.
	* gdb.dwarf2/fission-multi-cu.exp: Rewrite to use Dwarf assembler.
	* gdb.dwarf2/fission-reread.exp: Likewise.
	* lib/dwarf.exp (extract_dwo_information): New proc.
	(strip_dwo_information): New proc.
	(build_executable_and_dwo_files): New proc.
	(build_executable_from_fission_assembler): Delete.
	(Dwarf::_debug_addr_index): New variable.
	(Dwarf::_cu_is_fission): New variable.
	(Dwarf::_handle_DW_FORM): Handle DW_OP_GNU_addr_index.
	(Dwarf::_default_form): Supply a default for DW_AT_GNU_addr_base.
	(Dwarf::_handle_macro_at_range): Use form DW_FORM_GNU_addr_index
	if this is a fission CU.
	(Dwarf::_location): Handle DW_OP_GNU_addr_index.
	(Dwarf::debug_addr_label): New proc.
	(Dwarf::cu): Initialise _cu_is_fission.
	(Dwarf::tu): Likewise.
	(Dwarf::assemble): Initialise _debug_addr_index.

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-using-debug-str.exp: Add an additional test.

2021-04-07  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-parameter.exp: Add test for reading data-directory
	using gdb.parameter API.

2021-04-06  Tom de Vries  <tdevries@suse.de>

	PR breakpoints/25884
	* gdb.opt/inline-cmds.exp: Remove kfail.

2021-04-06  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27691
	* gdb.threads/gcore-thread.exp: Don't call gdb_core_cmd with core
	file "".

2021-04-01  Egeyar Bagcioglu  <egeyar@gmail.com>

	* lib/pdtrace.in: Fix obvious typo.

2021-03-31  Tom Tromey  <tromey@adacore.com>

	* lib/dwarf.exp (Dwarf::_get_args): New proc.
	(Dwarf::_location): Use it.

2021-03-31  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27667
	* lib/gdb.exp (default_gdb_init): Unset DEBUGINFOD_URLS.

2021-03-30  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/27541
	* gdb.base/index-cache-load-twice.exp: Remove.
	* gdb.base/index-cache-load-twice.c: Remove.
	* gdb.dwarf2/per-bfd-sharing.exp: New.
	* gdb.dwarf2/per-bfd-sharing.c: New.

2021-03-30  Tom de Vries  <tdevries@suse.de>

	PR testsuite/27604
	* gdb.dwarf2/dw2-cu-size.S: Add missing .debug_abbrev terminator.

2021-03-29  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.mi/user-selected-context-sync.exp: Spin on a variable in
	the infinite loop to avoid a Clang bug.

2021-03-26  Will Schmidt  <will_schmidt@vnet.ibm.com>

	* gdb.arch/powerpc-disassembler-options.exp: Extend some test
	names for uniqueness.
	* gdb.arch/powerpc-fpscr-gcore.exp: Add more test names for
	uniqueness.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-prettyprint.c (struct container): Add 'is_array_p'
	member.
	(make_container): Initialise is_array_p.
	* gdb.python/py-prettyprint.exp: Add new tests.
	* gdb.python/py-prettyprint.py (ContainerPrinter.display_hint):
	Check is_array_p and possibly return 'array'.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/breakpoint.exp: Extend test names to make them unique.
	* gdb.cp/casts.exp: Give tests unique names.
	* gdb.cp/filename.exp: Likewise.
	* gdb.cp/gdb2495.exp: Likewise.
	* gdb.cp/mb-ctor.exp: Extend test names to make them unique.
	* gdb.cp/misc.exp: Rename test to make it unique.
	* gdb.cp/nsnested.exp: Give tests unique names.
	* gdb.cp/ovldbreak.exp: Likewise.
	* gdb.cp/pr17494.exp: Rename test to reflect what is actually
	being tested.  This also removes the duplicate test name.
	* gdb.cp/ref-types.exp: Likewise.
	* gdb.cp/temargs.exp: Likewise.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/cplusfuncs.exp (test_paddr_operator_functions): Escape
	square brackets in test.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/maint.exp (test_first_component): Run more tests with a
	variable number of spaces, this removes the duplicate testing of
	'operator ->' which existed before.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/gdb2384.cc (main): Change comments used for breakpoints.
	* gdb.cp/gdb2384.exp: Change and extend test names to avoid
	duplicates, and also to avoid having a string inside parentheses
	at the end of test names.

2021-03-26  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/nsusing.exp: Rewrite test, remove a duplicate test block.
	Avoid repeated uses of 'runto', and instread just progress once
	through the test stopping at different breakpoints.  Give comments
	a capital letter and full stop.  Give duplicate tests unique names.

2021-03-25  Pedro Alves  <pedro@palves.net>

	* gdb.server/stop-reply-no-thread-multi.exp (run_test): Add
	"target_non_stop" parameter and use it.
	(top level): Add "maint set target-non-stop on/off" testing axis.

2021-03-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/ada.exp (gnat_runtime_has_debug_info): Use -wrap with
	gdb_test_multiple.

2021-03-24  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-mte.c: New file.
	* gdb.arch/aarch64-mte.exp: New test.
	* gdb.base/memtag.c: New file.
	* gdb.base/memtag.exp: New test.
	* lib/gdb.exp (supports_memtag): New function.

2021-03-24  Luis Machado  <luis.machado@linaro.org>

	* gdb.base/options.exp: Adjust for new print options.
	* gdb.base/with.exp: Likewise.

2021-03-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-missing-cu-tag.c: New file.
	* gdb.dwarf2/dw2-missing-cu-tag.exp: New file.

2021-03-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-using-debug-str.c: New file.
	* gdb.dwarf2/dw2-using-debug-str.exp: New file.
	* lib/dwarf.exp (Dwarf::DW_FORM_strp): Create .debug_str section,
	not .debug_string.

2021-03-20  Tom Tromey  <tom@tromey.com>

	* gdb.base/maint.exp: Update "maint print statistics" output.

2021-03-19  Kevin Buettner  <kevinb@redhat.com>

	* lib/gdbserver-support.exp (gdbserver_exit): Use the
	"-nowait" flag when waiting for gdbserver to exit.

2021-03-19  Sourabh Singh Tomar  <SourabhSingh.Tomar@amd.com>

	* gdb.base/info-macros.exp: Append -fdebug-macro to
	  additional_flags for clang.
	* gdb.base/macscp.exp: Likewise.
	* gdb.base/style.exp: Likewise.
	* gdb.linespec/macro-relative.exp: Likewise.

2021-03-17  Simon Marchi  <simon.marchi@polymtl.ca>
	    Pedro Alves  <pedro@palves.net>

	* gdb.base/run-attach-while-running.exp: New.
	* gdb.base/run-attach-while-running.c: New.

2021-03-16  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-framefilter-addr.c: New file.
	* gdb.python/py-framefilter-addr.exp: New file.
	* gdb.python/py-framefilter-addr.py: New file.

2021-03-16  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.threads/execl.exp: Remove duplicate 'info threads' test.
	Make use of $gdb_test_name instead of creating a separate $test
	variable.
	* gdb.threads/print-threads.exp: Add a with_test_prefix instead of
	adding a '($name)' at the end of each test.  This also catches the
	one place where '($name)' was missing, and so caused a duplicate
	test name.
	* gdb.threads/queue-signal.exp: Give tests unique names to avoid
	duplicate test names based on the command being tested.
	* gdb.threads/signal-command-multiple-signals-pending.exp:
	Likewise.
	* lib/gdb.exp (gdb_compile_shlib_pthreads): Tweak test name to
	avoid duplicate testnames when a test script uses this proc and
	also gdb_compile_pthreads.
	* lib/prelink-support.exp (build_executable_own_libs): Use
	with_test_prefix to avoid duplicate test names when we call
	build_executable twice.

2021-03-15  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/fixed_points.exp: Add tests of unary + and -.

2021-03-15  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/varsize_limit.exp: Add new test.
	* gdb.ada/varsize_limit/vsizelim.adb: Update.

2021-03-15  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/operator_call/twovecs.ads: New file.
	* gdb.ada/operator_call/twovecs.adb: New file.
	* gdb.ada/operator_call/opcall.adb: New file.
	* gdb.ada/operator_call.exp: New file.

2021-03-15  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/enums_overload/enums_overload_main.adb: New file.
	* gdb.ada/enums_overload/enums_overload.ads: New file.
	* gdb.ada/enums_overload/enums_overload.adb: New file.
	* gdb.ada/enums_overload.exp: New file.

2021-03-15  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/assign_arr/target_wrapper.ads (IArray, Put, Do_Nothing):
	Declare.
	* gdb.ada/assign_arr/target_wrapper.adb: New file.
	* gdb.ada/assign_arr/main_p324_051.adb (IValue): New variable.
	Call Put.
	* gdb.ada/assign_arr.exp: Update.

2021-03-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-auto-load-chaining-f1.c: New file.
	* gdb.python/py-auto-load-chaining-f1.o-gdb.py: New file.
	* gdb.python/py-auto-load-chaining-f2.c: New file.
	* gdb.python/py-auto-load-chaining-f2.o-gdb.py: New file.
	* gdb.python/py-auto-load-chaining.c: New file.
	* gdb.python/py-auto-load-chaining.exp: New file.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-bad-printers.exp: Extend test names to make them
	unique.
	* gdb.python/py-events.exp: Likewise.
	* gdb.python/py-finish-breakpoint2.exp: Likewise.
	* gdb.python/py-frame-inline.exp: Likewise.
	* gdb.python/py-frame.exp: Likewise.
	* gdb.python/py-infthread.exp: Likewise.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-value-cc.exp: Remove a duplicate test.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/lib-types.exp: Update the test to check the correct
	python variable.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-explore-cc.exp: Extend test names to make them
	unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-lookup-type.exp: Remove duplicate test.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-symtab.exp: Extend test names to make them
	unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-prompt.exp: Add with_test_prefix to make test
	names unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-block.exp: Give tests unique names.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-pp-maint.exp: Extend test names to make them
	unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-explore.exp: Add with_test_prefix to make test
	names unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-finish-breakpoint.exp: Make test names unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-strfns.exp: Use with_test_prefix to make test
	names unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-format-string.exp: Use proc_with_prefix to make
	test names unique.

2021-03-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-mi.exp: Use with_test_prefix to make test names
	unique.

2021-03-09  Tom Tromey  <tromey@adacore.com>

	* gdb.base/cast-call.exp: New file.
	* gdb.base/cast-call.c: New file.

2021-03-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.gdb/python-helper.exp: New file.

2020-03-04  Felix Willgerodt  <felix.willgerodt@intel.com>

        * gdb.fortran/intrinsics.exp: Add LOC tests.

2021-03-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/shape.exp: New file.
	* gdb.fortran/shape.f90: New file.

2021-03-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/size.exp: New file.
	* gdb.fortran/size.f90: New file.

2021-03-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/rank.exp: New file.
	* gdb.fortran/rank.f90: New file.

2021-03-08  Tom Tromey  <tom@tromey.com>

	* gdb.fortran/debug-expr.exp: Update tests.

2021-03-08  Tom Tromey  <tom@tromey.com>

	* gdb.base/debug-expr.exp: Update expected dump output.

2021-03-06  Tom Tromey  <tom@tromey.com>

	* lib/dwarf.exp (_handle_DW_FORM): Treat DW_FORM_GNU_ref_alt and
	DW_FORM_GNU_strp_alt like DW_FORM_sec_offset.
	* gdb.dwarf2/dwznolink.exp: New file.

2021-03-05  Mark Wielaard  <mark@klomp.org>

	* lib/valgrind.exp (vgdb_start): Add --wait=1 to vgdbcmd.

2021-03-06  Weimin Pan  <weimin.pan@oracle.com>

	* gdb.base/ctf-ptype.exp: Add function tests and fix typos.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/rn-dl-bind.exp: Add ldflags=-Wl,-z,lazy.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/non-stop.exp: Adjust expected source lines.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/stepi.exp: Add {} options to prepare_for_testing.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/exception.cc (main): Update test source.
	* gdb.btrace/exception.exp: Update patterns.
	* gdb.btrace/function_call_history.exp: Likewise.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/unknown_functions.exp: Move -Wl,-x to ldflags.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/rn-dl-bind.exp: Replace reverse-step with
	reverse-continue to breakpoint.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/delta.exp: Remove instruction-history and
	function-call-history checks.

2021-03-03  Markus Metzger  <markus.t.metzger@intel.com>

	* README (Note): Add nopie_ldflag.
	* lib/gdb.exp (gdb_compile): Extend nopie handling.

2021-03-02  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/fixed_points.exp: Remove most special cases for minimal
	encodings.

2021-02-27  Lancelot Six  <lsix@lancelotix.com>

	PR gdb/27393
	* gdb.base/source-dir.exp: Test that empty dirnames are skipped.


2021-02-26  Tom Tromey  <tom@tromey.com>

	* lib/gdb.exp (skip_ctf_tests): Use expr on result.

2021-02-26  Jan Vrany  <jan.vrany@labware.com>

	* gdb.trace/mi-tsv-changed.exp (test_create_delete_modify_tsv):
	Remove trailing \n from expected output.

2021-02-26  Markus Metzger  <markus.t.metzger@intel.com>

	* lib/gdb.exp (use_gdb_stub): Extend comment.

2021-02-25  Jan Matyas  <jmatyas@codasip.com>

	PR gdb/26819
	* gdb.server/stop-reply-no-thread.exp: Add two test
	scenarios that cover remote targets which do not have
	the concept of threads.

2021-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/associated.exp: Add missing '-wrap' argument.

2021-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR fortran/26155
	* gdb.fortran/call-no-debug-func.f90: New file.
	* gdb.fortran/call-no-debug-prog.f90: New file.
	* gdb.fortran/call-no-debug.exp: New file.

2021-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/associated.exp: New file.
	* gdb.fortran/associated.f90: New file.

2021-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/dot-ops.exp (dot_operations): Test ".xor.".

2021-02-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/sect-cmd.exp: Update expected results.

2021-02-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/sect-cmd.exp: Rewrite using modern testsuite
	techniques.  Enable the test for all targets.

2021-02-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/maint-info-sections.exp: Add new tests.
	(check_maint_info_target_sections_output): New proc.

2021-02-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-default-tdesc.exp: New file.

2021-02-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/pointer-to-pointer.exp: Additional tests.

2021-02-18  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/i386-biarch-core.exp: Add target check.

2021-02-16  Alok Kumar Sharma  <AlokKumar.Sharma@amd.com>

	* gdb.dwarf2/pr13961.S: Corrected invalid DIE references.

2021-02-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/allocated.exp: New file.
	* gdb.fortran/allocated.f90: New file.

2021-02-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/lbound-ubound.exp: Remove old comment.

2021-02-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/maint-info-sections.exp: Update expected output, and
	add additional tests. Again.

2021-02-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/maint-info-sections.exp: Update expected output, and
	add additional tests.

2021-02-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/maint-info-sections.exp: New file, content is moved
	from gdb.base/maint.exp and cleaned up to use latest testsuite
	techniques.
	* gdb.base/maint.exp: Tests moved out to
	gdb.base/maint-info-sections.exp.

2021-02-10  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.multi/multi-target.exp.tcl (setup): Add "set sysroot" to
	GDBFLAGS.

2021-02-10  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/lbound-ubound.F90: New file.
	* gdb.fortran/lbound-ubound.exp: New file.

2021-02-10  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_load_no_complaints): Remove unnecessary
	"Restore saved setting of complaints".

2021-02-09  Tom de Vries  <tdevries@suse.de>

	PR symtab/27341
	* lib/gdb.exp (with_complaints): New proc, factored out of ...
	(gdb_load_no_complaints): ... here.
	* gdb.fortran/function-calls.exp: Add test-case.

2021-02-09  Abid Qadeer  <abidh@codesourcery.com>

	* gdb.threads/signal-command-handle-nopass.exp: Call
	'standard_testfile' before using 'testfile'.
	* gdb.threads/signal-command-multiple-signals-pending.exp: Likewise.
	* gdb.threads/signal-delivered-right-thread.exp: Likewise
	* gdb.threads/signal-sigtrap.exp: Likewise

2021-02-08  Luis Machado  <luis.machado@linaro.org>

	* gdb.base/gnu-ifunc.exp (build): Pass -Wl,z,lazy.

2021-02-08  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/enqueued-cu-base-addr.exp: Fix inter-CU reference.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/tui-window-disabled.c: New file.
	* gdb.python/tui-window-disabled.exp: New file.
	* gdb.python/tui-window-disabled.py: New file.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/tui-window.exp: Add new tests.
	* gdb.python/tui-window.py (TestWindow) <__init__>: Store
	TestWindow object into global the_window.
	<remote_title>: New method.
	(delete_window_title): New function.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/winheight.exp: Add more tests.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-framefilter.exp: Update expected results.
	* gdb.python/python.exp: Update expected results.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/scroll.exp: Tighten expected results.  Remove comment
	about bug in GDB, update expected results, and add more tests.

2021-02-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/scroll.exp: New file.
	* gdb.tui/tui-layout-asm-short-prog.exp: Update expected results.
	* lib/tuiterm.exp (Term::_csi_M): Delete count lines, scroll
	remaining lines up.
	(Term::check_region_contents): New proc.
	(Term::check_box_contents): Use check_region_contents.

2021-02-06  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26922
	* gdb.tui/tui-layout-asm.exp: Ignore whitespace mismatches when
	scrolling.

2021-02-05  Tom de Vries  <tdevries@suse.de>

	PR breakpoints/27313
	* gdb.base/catch-syscall.exp: Check that "catch syscall -1" is
	rejected.

2021-02-05  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/main-subprogram.exp: Add KFAIL for PR symtab/24549.
	* gdb.fortran/mixed-lang-stack.exp: Same.

2021-02-05  Tom de Vries  <tdevries@suse.de>

	PR exp/27265
	* gdb.base/complex-parts.exp: Add tests.

2021-02-05  Tom de Vries  <tdevries@suse.de>

	PR symtab/27307
	* gdb.dwarf2/clang-debug-names.exp: Check file command warnings.

2021-02-04  Shahab Vahedi  <shahab@synopsys.com>

	* gdb.xml/tdesc-regs.exp: Use correct core-regs for ARC.

2021-02-03  Pedro Alves  <pedro@palves.net>

	* gdb.threads/detach-step-over.c: New file.
	* gdb.threads/detach-step-over.exp: New file.

2021-02-03  Pedro Alves  <pedro@palves.net>

	* gdb.threads/attach-non-stop.c: New file.
	* gdb.threads/attach-non-stop.exp: New file.

2021-02-02  Lancelot SIX  <lsix@lancelotsix.com>

	* gdb.base/inferior-noarg.c: New test.
	* gdb.base/inferior-noarg.exp: New test.

2021-02-02  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/scope.exp: Use proc_with_prefix.

2021-02-02  Simon Marchi  <simon.marchi@efficios.com>

	* lib/dwarf.exp (rnglists): Add -no-offset-array option to
	table proc.
	* gdb.dwarf2/rnglists-sec-offset.exp: Add test for
	.debug_rnglists table without offset array.
	* gdb.dwarf2/loclists-sec-offset.exp: Add test for
	.debug_loclists table without offset array.

2021-02-02  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.dwarf2/rnglists-sec-offset.exp: Add test for DW_AT_ranges
	of DW_FORM_sec_offset form plus DW_AT_rnglists_base attribute.
	* gdb.dwarf2/loclists-sec-offset.exp: Add test for
	DW_AT_location of DW_FORM_sec_offset plus DW_AT_loclists_base
	attribute

2021-02-02  Simon Marchi  <simon.marchi@efficios.com>

	PR gdb/26813
	* lib/dwarf.exp (_handle_DW_FORM): Handle DW_FORM_loclistx.
	(loclists): New proc.
	* gdb.dwarf2/loclists-multiple-cus.c: New.
	* gdb.dwarf2/loclists-multiple-cus.exp: New.
	* gdb.dwarf2/loclists-sec-offset.c: New.
	* gdb.dwarf2/loclists-sec-offset.exp: New.

2021-02-02  Simon Marchi  <simon.marchi@efficios.com>

	* lib/dwarf.exp (_location): Add parameters.
	(_handle_DW_FORM): Adjust.

2021-02-02  Simon Marchi  <simon.marchi@efficios.com>

	PR gdb/26813
	* lib/dwarf.exp (_handle_DW_FORM): Handle DW_FORM_rnglistx.
	(cu): Generate header for DWARF 5.
	(rnglists): New proc.
	* gdb.dwarf2/rnglists-multiple-cus.exp: New.
	* gdb.dwarf2/rnglists-sec-offset.exp: New.

2021-02-02  Tom de Vries  <tdevries@suse.de>

	PR symtab/24620
	* gdb.dwarf2/fission-reread.exp: Add test-case.

2021-02-01  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/fission-base.S: Pass -DDWO=$dwo.
	* gdb.dwarf2/fission-loclists-pie.S: Same.
	* gdb.dwarf2/fission-loclists.S: Same.
	* gdb.dwarf2/fission-multi-cu.S: Same.
	* gdb.dwarf2/fission-reread.S: Same.
	* gdb.dwarf2/fission-base.exp: Use DWO.
	* gdb.dwarf2/fission-loclists-pie.exp: Same.
	* gdb.dwarf2/fission-loclists.exp: Same.
	* gdb.dwarf2/fission-multi-cu.exp: Same.
	* gdb.dwarf2/fission-reread.exp: Same.

2021-01-29  Tom de Vries  <tdevries@suse.de>

	PR breakpoints/26063
	* gdb.dwarf2/dw2-step-out-of-function-no-stmt.c: New test.
	* gdb.dwarf2/dw2-step-out-of-function-no-stmt.exp: New file.

2021-01-29  Tom de Vries  <tdevries@suse.de>

	* gdb.opt/solib-intra-step.exp: Remove state tracking logic.

2021-01-28  Tom de Vries  <tdevries@suse.de>

	* gdb.arch/i386-gnu-cfi.exp: Capture the position of function gate
	in the backtrace, and use that in the rest of the test instead of
	hardcoded constant 3.  Use "frame" instead of "up" for robustness.

2021-01-28  Tom de Vries  <tdevries@suse.de>

	* gdb.arch/i386-sse-stack-align.S: Rename g[0-4] to test_g[0-4].
	* gdb.arch/i386-sse-stack-align.c: Same.
	* gdb.arch/i386-sse-stack-align.exp: Same.

2021-01-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/gdb.exp (default_gdb_init): Unset XDG_CONFIG_HOME.

2021-01-28  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/out_of_line_in_inlined.exp: Use gdb_breakpoint.

2021-01-28  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-out-of-range-end-of-seq.exp: Add regexp to
	"maint info line-table".  Make PASS pattern more specific.  Make
	FAIL pattern work for -m32.

2021-01-27  Lancelot SIX  <lsix@lancelotsix.com>

	PR gdb/27133
	* gdb.base/ui-redirect.exp: Add test case that ensures that
	redirecting both logging and debug does not cause gdb to crash.


2021-01-27  Matthew Malcomson  <matthew.malcomson@arm.com>

	* gdb.arch/insn-reloc.c: Add tests for BR and BLR.

2021-01-26  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/killed-outside.exp: Allow regular output.

2021-01-26  Tom de Vries  <tdevries@suse.de>

	* gdb.opt/solib-intra-step.exp: Handle stepping into thunk.

2021-01-25  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-ranges-psym.exp (gdb_load_no_complaints): New proc.
	* lib/gdb.exp: Use gdb_load_no_complaints.

2021-01-25  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/fixed_points.exp: Add regression test.
	* gdb.ada/fixed_points/fixed_points.adb (FP5_Var): New variable.
	* gdb.ada/fixed_points/pck.adb (Delta5, FP5_Type): New.

2021-01-25  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/local-enum.exp: Add enumerator resolution test.

2021-01-25  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/local-enum.exp: New file.
	* gdb.ada/local-enum/local.adb: New file.

2021-01-23  Tom Tromey  <tom@tromey.com>

	* lib/gdb.exp (default_gdb_init): Set INPUTRC to a cached file.

2021-01-22  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/line65535.exp: Fix test expectation.

2021-01-22  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/gdb.exp (gdb_test_multiple): Remove things related to test
	suppression.
	(default_gdb_exit): Likewise.
	(default_gdb_spawn): Likewise.
	(send_gdb): Likewise.
	(gdb_expect): Likewise.
	(gdb_expect_list): Likewise.
	(default_gdb_init): Likewise.
	(gdb_suppress_entire_file): Remove.
	(gdb_suppress_tests): Remove.
	(gdb_stop_suppressing_tests): Remove.
	(gdb_clear_suppressed): Remove.
	* lib/mi-support.exp (mi_uncatched_gdb_exit): Remove things
	related to test suppression.
	(default_mi_gdb_start): Likewise.
	(mi_gdb_reinitialize_dir): Likewise.
	(mi_gdb_test): Likewise.
	(mi_run_cmd_full): Likewise.
	(mi_runto_helper): Likewise.
	(mi_execute_to): Likewise.
	* lib/prompt.exp (default_prompt_gdb_start): Likewise.
	* gdb.base/bitfields.exp: Likewise.
	* gdb.base/bitfields2.exp: Likewise.
	* gdb.base/break.exp: Likewise.
	* gdb.base/call-sc.exp: Likewise.
	* gdb.base/callfuncs.exp: Likewise.
	* gdb.base/dfp-test.exp: Likewise.
	* gdb.base/endian.exp: Likewise.
	* gdb.base/exprs.exp: Likewise.
	* gdb.base/funcargs.exp: Likewise.
	* gdb.base/hbreak2.exp: Likewise.
	* gdb.base/recurse.exp: Likewise.
	* gdb.base/scope.exp: Likewise.
	* gdb.base/sepdebug.exp: Likewise.
	* gdb.base/structs.exp: Likewise.
	* gdb.base/until.exp: Likewise.
	* gdb.cp/misc.exp: Likewise.

2021-01-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR cli/25956
	* gdb.base/style.exp (run_style_tests): Add version string test.
	(test_startup_version_string): Use version style name.
	* lib/gdb-utils.exp (style): Handle version style name.

2021-01-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/style.exp (limited_style): New proc.
	(clean_restart_and_disable): New proc.
	(run_style_tests): New proc.  Most of the old tests from this file
	are now in this proc.
	(test_startup_version_string): New proc.  Reamining test from the
	old file is in this proc.

2021-01-22  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/range-stepping-support.exp (exec_cmd_expect_vCont_count):
	Adjust to "set debug remote" changes.

2021-01-21  Luis Machado  <luis.machado@linaro.org>

	* lib/gdbserver-support.exp (gdb_target_cmd_ext): Handle a new error
	message.

2021-01-21  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/tuiterm.exp (_log, _log_cur): New, use throughout.

2021-01-21  Hannes Domani  <ssbssa@yahoo.de>

	PR python/19151
	* gdb.python/py-breakpoint.exp: Add tests for hardware breakpoints.

2021-01-20  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/tuiterm.exp: Rename _cur_x/_cur_y to _cur_col/_cur_row.

2021-01-20  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/tuiterm.exp: Add links in comments.

2021-01-20  Tom de Vries  <tdevries@suse.de>

	* gdb.python/py-format-string.exp: Allow Deriv+$decimal as vtable
	offset.

2021-01-20  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (skip_rust_tests): Skip if multilib_flags contains -m32.

2021-01-20  Sergio Durigan Junior  <sergiodj@sergiodj.net>

	* gdb.arch/amd64-stap-expressions.S: New file.
	* gdb.arch/amd64-stap-expressions.exp: New file.

2021-01-19  Tom de Vries  <tdevries@suse.de>

	* gdb.base/step-over-syscall.exp: Detect and handle sysenter/int
	sequence.

2021-01-19  Tom de Vries  <tdevries@suse.de>

	* gdb.arch/i386-mpx.c (main): Drop argc/argv parameter.

2021-01-18  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices.exp (run_test): Avoid including
	addresses in test names.

2021-01-15  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26997
	* gdb.fortran/array-slices.exp (run_test): Avoid pointer arithmetic
	when adding sizeof.

2021-01-14  Tom de Vries  <tdevries@suse.de>

	PR testsuite/24590
	* gdb.base/style.exp: Handle shorter argv in frame command output.

2021-01-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/26819
	* gdb.server/stop-reply-no-thread-multi.c: New file.
	* gdb.server/stop-reply-no-thread-multi.exp: New file.

2021-01-12  Tom de Vries  <tdevries@suse.de>

	* gdb.arch/i386-mpx-call.c (have_mpx): Remove.
	(main): Remove call to have_mpx.
	* gdb.arch/i386-mpx-call.exp: Use have_mpx.
	* gdb.arch/i386-mpx-map.c (have_mpx): Remove.
	(main): Remote call to have_mpx.
	* gdb.arch/i386-mpx-map.exp: Use have_mpx.
	* gdb.arch/i386-mpx-sigsegv.c (have_mpx): Remove.
	(main): Remove call to have_mpx.
	* gdb.arch/i386-mpx-sigsegv.exp: Use have_mpx.
	* gdb.arch/i386-mpx-simple_segv.c (have_mpx): Remove.
	(main): Remove call to have_mpx.
	* gdb.arch/i386-mpx-simple_segv.exp: Use have_mpx.
	* gdb.arch/i386-mpx.c (have_mpx): Remove.
	(main): Remote call to have_mpx.
	* gdb.arch/i386-mpx.exp: Use have_mpx.
	* lib/gdb.exp (have_mpx): New proc.

2021-01-12  Srinath Parvathaneni  <srinath.parvathaneni@arm.com>

	* gdb.arch/aarch64-fp.exp: Modify to test bfloat16 support.

2021-01-12  Tom de Vries  <tdevries@suse.de>

	* gdb.base/disasm-optim.exp: Require is_amd64_regs_target.

2021-01-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/debug-expr.exp: Add new tests.

2021-01-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/dot-ops.exp: Add new tests.

2021-01-11  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26968
	* gdb.arch/amd64-stap-three-arg-disp.S: Remove insn modifying $ebx.
	Move insn setting $eax to before probe point.

2021-01-09  Tom Tromey  <tom@tromey.com>

	* gdb.trace/ax.exp: Do not require an "ext".

2021-01-08  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/voidctx/pck.adb: New file.
	* gdb.ada/voidctx/pck.ads: New file.
	* gdb.ada/voidctx/voidctx.adb: New file.
	* gdb.ada/voidctx.exp: New file.

2021-01-08  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/27157
	* gdb.base/empty-host-env-vars.exp: New test.

2021-01-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/completion.exp: Add a new test.

2021-01-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/intvar-dynamic-types.exp: New file.
	* gdb.fortran/intvar-dynamic-types.f90: New file.

2021-01-08  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/intvar-array.exp: New file.
	* gdb.fortran/intvar-array.f90: New file.

2021-01-07  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/assign_arr.exp: Add 'others' test.

2021-01-06  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/fixed_points/pck.ads (Delta4): New constant.
	(FP4_Type): New type.
	(FP4_Var): New variable.
	* gdb.ada/fixed_points/fixed_points.adb: Update.
	* gdb.ada/fixed_points.exp: Add tests for binary operators.

2021-01-06  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/gdb.exp (gdb_test_sequence): Accept -prompt switch.
	* gdb.threads/signal-while-stepping-over-bp-other-thread.exp:
	Pass prompt containing debug print to gdb_test_sequence.

2021-01-04  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-out-of-range-end-of-seq.exp: New file.

2021-01-04  Simon Marchi  <simon.marchi@efficios.com>



2021-01-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/abspath.exp: Append "set sysroot" to GDBFLAGS.
	* gdb.server/connect-without-multi-process.exp: Likewise.
	* gdb.server/exit-multiple-threads.exp: Likewise.
	* gdb.server/ext-attach.exp: Likewise.
	* gdb.server/ext-restart.exp: Likewise.
	* gdb.server/ext-run.exp: Likewise.
	* gdb.server/ext-wrapper.exp: Likewise.
	* gdb.server/multi-ui-errors.exp: Likewise.
	* gdb.server/no-thread-db.exp: Likewise.
	* gdb.server/reconnect-ctrl-c.exp: Likewise.
	* gdb.server/run-without-local-binary.exp: Likewise.
	* gdb.server/server-kill.exp: Likewise.
	* gdb.server/server-run.exp: Likewise.
	* gdb.server/solib-list.exp: Likewise.
	* gdb.server/stop-reply-no-thread.exp: Likewise.
	* gdb.server/wrapper.exp: Likewise.
	* gdb.server/sysroot.exp: Increase timeout when testing the
	target: sysroot.

2021-01-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/server-run.exp: Use clean_restart.

2021-01-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/ext-run.exp: Use clean_restart.

2021-01-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/stop-reply-no-thread.exp: Use build_executable
	instead of prepare_for_testing.

2021-01-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.server/solib-list.exp: Use clean_restart.

2021-01-04  Tom de Vries  <tdevries@suse.de>

	* gdb.base/morestack.c: Remove printf.
	* gdb.base/morestack.exp: Don't use -fuse-ld=gold.

2020-12-31  Tom Tromey  <tom@tromey.com>

	* gdb.rust/simple.exp: Update output for Rust 1.49.

2020-12-31  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.cp/step-and-next-inline.exp: Fix test case.

2020-12-30  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.python/py-frame-args.exp: De-duplicate test names.

2020-12-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/27059
	* gdb.dwarf2/dyn-type-unallocated.c: New file.
	* gdb.dwarf2/dyn-type-unallocated.exp: New file.

2020-12-21  Peter Waller  <p@pwaller.net>

	* gdb.base/style-interp-exec-mi.exp: New.
	* gdb.base/style-interp-exec-mi.c: New.

2020-12-21  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/list.exp: Replace send_gdb + gdb_expect with
	  gdb_test.  Use proc_with_prefix.

2020-12-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/exception.exp: Build with nopie.
	* gdb.btrace/function_call_history.exp: Likewise.
	* gdb.btrace/unknown_functions.exp: Likewise.

2020-12-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/multi-inferior.exp: Skip if use_gdb_stub.

2020-12-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.python/py-record-btrace.exp: Make test names unique.
	* gdb.python/py-record-full.exp: Likewise.

2020-12-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/data.exp: Make test names unique.
	* gdb.btrace/delta.exp: Likewise.
	* gdb.btrace/enable.exp: Likewise.
	* gdb.btrace/function_call_history.exp: Likewise.
	* gdb.btrace/nohist.exp: Likewise.
	* gdb.btrace/non-stop.exp: Likewise.
	* gdb.btrace/rn-dl-bind.exp: Likewise.
	* gdb.btrace/step.exp: Likewise.
	* gdb.btrace/stepi.exp: Likewise.
	* gdb.btrace/tailcall.exp: Likewise.

2020-12-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/enable.exp: Update error message.
	* gdb.btrace/multi-inferior.exp: Likewise.
	* gdb.btrace/reconnect.exp: Likewise.
	* gdb.python/py-record-btrace.exp: Likewise.
	* gdb.python/py-record-full.exp: Likewise.

2020-12-20  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (save_target_board_info): New proc.
	(gdb_compile_shlib): Use save_target_board_info.

2020-12-19  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (supports_scalar_storage_order_attribute)
	(supports_gnuc): New proc.
	* gdb.base/endianity.exp: Define TEST_SSO.  Eliminate
	test_compiler_info calls.  Add unsupported message.
	* gdb.base/endianity.c: Use TEST_SSO.

2020-12-19  Hannes Domani  <ssbssa@yahoo.de>

	PR exp/27070
	* gdb.python/compare-enum-type-a.c: New test.
	* gdb.python/compare-enum-type-b.c: New test.
	* gdb.python/compare-enum-type.exp: New file.
	* gdb.python/compare-enum-type.h: New test.

2020-12-18  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.python/py-format-string.exp: Add tests for address keyword.

2020-12-18  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.python/py-type.exp: Add tests for TYPE_CODE_METHOD.

2020-12-18  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/fixed_points.exp: Also run with
	-fgnat-encodings=minimal.  Update expected output.

2020-12-16  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/async-shell.exp: Enable non-stop through GDBFLAGS.
	* gdb.base/continue-all-already-running.exp: Likewise.
	* gdb.base/moribund-step.exp: Likewise.
	* gdb.base/step-sw-breakpoint-adjust-pc.exp: Likewise.

2020-12-16  Tom de Vries  <tdevries@suse.de>

	* gdb.base/batch-preserve-term-settings.exp:

2020-12-16  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_compile_shlib_1): Factor out of ...
	(gdb_compile_shlib): ... here.  Filter out PIE-related flags.

2020-12-16  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-tagged-pointer.c (main): Add a few more
	pointer-based memory accesses.
	* gdb.arch/aarch64-tagged-pointer.exp: Exercise additional
	hw watchpoint cases.

2020-12-15  Rae Kim  <rae.kim@gmail.com>

	* gdb.base/document.exp: New test.

2020-12-15  Tom Tromey  <tromey@adacore.com>

	* gdb.base/style.exp: Add deprecation tests.

2020-12-14  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/gdb.exp (gdb_test_multiple): Fix typo in doc.

2020-12-14  Mark Wielaard  <mark@klomp.org>

	* lib/dwarf.exp (Dwarf::_handle_attribute): Handle SPECIAL_expr
	specially, set attr_form_comment to the actual FORM string used.

2020-12-14  Mark Wielaard  <mark@klomp.org>

	* lib/dwarf.exp (Dwarf::_read_constants): Don't set
	_constants(SPECIAL_expr) here, but set it...
	(Dwarf::cu): ...here based on _cu_version.

2020-12-14  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_compile_shlib): Make sure it's not necessary to
	pass -fPIC.
	* gdb.ada/catch_ex_std.exp: Don't pass -fPIC to gdb_compile_shlib.
	* gdb.base/break-probes.exp: Same.
	* gdb.base/ctxobj.exp: Same.
	* gdb.base/dso2dso.exp: Same.
	* gdb.base/global-var-nested-by-dso.exp: Same.
	* gdb.base/info-shared.exp: Same.
	* gdb.base/jit-reader-simple.exp: Same.
	* gdb.base/print-file-var.exp: Same.
	* gdb.base/skip-solib.exp: Same.
	* gdb.btrace/dlopen.exp: Same.

2020-12-14  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26963
	* lib/gdb.exp (run_on_host): Declare test unsupported if spawn fails.

2020-12-14  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26962
	* gdb.base/solib-corrupted.exp: Handle "'_r_debug' has unknown type;
	cast it to its declared type".

2020-12-14  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26951
	* gdb.base/batch-preserve-term-settings.exp: Use "gdb-subshell$ " as
	shell prompt.

2020-12-14  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/nested.exp: Add new tests.
	* gdb.ada/nested/hello.adb (Fourth, Fifth): New procedures.

2020-12-14  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/ada-thick-pointer.exp: New file.

2020-12-14  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/dw2-fixed-point.exp: Add test for division by zero.

2020-12-13  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26953
	* gdb.base/endianity.exp: Skip tests requiring scalar_storage_order
	attribute support if compiler doesn't support it.

2020-12-13  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_compile_shlib): Handle ada.
	* gdb.ada/catch_ex_std.exp: Use gdb_compile_shlib to compile from
	source to shared lib.  Add ada to options.

2020-12-13  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/catch_ex_std.exp: Use gnatmake -bargs and -largs instead of
	calling gnatbind and gnatlink.

2020-12-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/dcache-flush.c: New file.
	* gdb.base/dcache-flush.exp: New file.

2020-12-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/c-linkage-name.exp: Update to use new 'maint flush ...'
	commands.
	* gdb.base/killed-outside.exp: Likewise.
	* gdb.opt/inline-bt.exp: Likewise.
	* gdb.perf/gmonster-null-lookup.py: Likewise.
	* gdb.perf/gmonster-print-cerr.py: Likewise.
	* gdb.perf/gmonster-ptype-string.py: Likewise.
	* gdb.python/py-unwind.exp: Likewise.

2020-12-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/commands.exp: Update expected results.

2020-12-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR cli/15104
	* gdb.base/commands.exp: Add additional tests.
	* gdb.base/completion.exp: Add additional tests.

2020-12-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/completion.exp: Add additional tests.

2020-12-11  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26991
	* gdb.arch/i386-mpx-call.exp: Don't expect to trigger bounds
        violations by setting bounds registers if the bounds are passed in the
        Bounds Table.

2020-12-11  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26954
	* gdb.base/float128.exp: Detect and handle no mpfr support.

2020-12-10  Simon Marchi  <simon.marchi@efficios.com>

	PR gdb/24694
	* gdb.multi/multi-arch-exec.c (thread_start, main): Add barrier
	calls.

2020-12-10  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26947
	* gdb.tui/new-layout.exp: Don't execute tests with unbalanced curly
	braces for tcl 8.5 and earlier.

2020-12-09  Simon Marchi  <simon.marchi@efficios.com>

	PR 26875, PR 26901
	* gdb.base/flexible-array-member.c: New test.
	* gdb.base/flexible-array-member.exp: New test.

2020-12-08  Tom de Vries  <tdevries@suse.de>

	* gdb.arch/amd64-gs_base.exp: Undo commit 67748e0f66, reimplement
	using is_amd64_regs_target.

2020-12-08  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/mi_task_arg.exp: Accept <optimized out> as valid value of
	self_id.

2020-12-07  Pedro Alves  <pedro@palves.net>

	* gdb.base/break-on-linker-gcd-function.exp: Remove unused
	'additional_flags' variable.

2020-12-07  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.linespec/explicit.exp: Extend with a test to check completing
	'-' after seemingly complete options.

2020-12-07  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.linespec/keywords.exp: Add tests to check positional
	flexibility of "-force-condition".

2020-12-07  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/bp-cmds-run-with-ex.c: New file.
	* gdb.base/bp-cmds-run-with-ex.exp: New file.
	* gdb.base/bp-cmds-run-with-ex.gdb: New file.
	* gdb.gdb/python-interrupts.exp: Update the call to
	'catch_command_errors' with the new argument.
	* gdb.gdb/python-selftest.exp: Ditto.

2020-12-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.arch/amd64-disp-step-avx.exp: Adjust pattern.
	* gdb.threads/forking-threads-plus-breakpoint.exp: Likewise.
	* gdb.threads/non-stop-fair-events.exp: Likewise.

2020-12-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.threads/step-over-exec.exp: New.
	* gdb.threads/step-over-exec.c: New.
	* gdb.threads/step-over-exec-execd.c: New.
	* lib/my-syscalls.S: New.
	* lib/my-syscalls.h: New.

2020-12-04  Simon Marchi  <simon.marchi@efficios.com>

	* lib/dwarf.exp (declare_labels): Use name as text if text is
	not provided.

2020-12-04  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26990
	* gdb.arch/amd64-gs_base.exp: Handle -m32 where fs_base and gs_base
	are unsupported.

2020-12-04  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/insn-reverse.exp: Don't break inside gdb_test_multiple
	clause.

2020-12-04  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/insn-reverse.exp: Fix count handling.

2020-12-04  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/insn-reverse-x86.c: Guard x86_64 assembly with #ifdef
	__x86_64__.

2020-12-04  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/insn-reverse.c (test_nr): New var.
	(usage, parse_args): New function.
	(main): Call parse_args.  Only run test for test_nr.
	* gdb.reverse/insn-reverse.exp: Detect lack of progress in stepi loop
	and bail out.  Run subtests individually, using an inferior arg
	specifying the subtest.

2020-12-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs.exp: Remove unwanted test.

2020-12-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs.exp (get_expected_result): New proc,
	update test to use this.

2020-12-01  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.threads/non-ldr-exc-1.exp: Fix indentation.

2020-12-01  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.threads/non-ldr-exc-1.exp: Use foreach_with_prefix.
	(do_test): Don't use with_test_prefix.
	* gdb.threads/non-ldr-exc-2.exp: Use foreach_with_prefix.
	(do_test): Don't use with_test_prefix.
	* gdb.threads/non-ldr-exc-3.exp: Use foreach_with_prefix.
	(do_test): Don't use with_test_prefix.
	* gdb.threads/non-ldr-exc-4.exp: Use foreach_with_prefix.
	(do_test): Don't use with_test_prefix.

2020-12-01  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.threads/non-ldr-exit.exp: Fix comment.

2020-12-01  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.xml/maint-xml-dump-03.xml: New file.

2020-11-30  Tom de Vries  <tdevries@suse.de>

	PR symtab/26905
	* gdb.dwarf2/count.exp: Remove kfails.

2020-11-24  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak-multi-context.exp: Do not hard-code location
	indices.

2020-11-24  Joel Brobecker  <brobecker@adacore.com>

	* gdb.dwarf2/dw2-fixed-point.exp: Fix the expected output of
	the "ptype pck__fp1_range_var" test for the module-2 and pascal
	languages.  Remove the associated setup_xfail.

2020-11-23  Simon Marchi  <simon.marchi@efficios.com>

	* lib/gdb.exp (gdb_assert): Show error message on error.

2020-11-23  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/enum_idx_packed.exp: Limit setup_kfail to gnat 9 and 10.
	* gdb.ada/mod_from_name.exp: Same.
	* gdb.ada/pckd_arr_ren.exp: Same.

2020-11-22  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/template.exp: New.
	* gdb.base/template.c: New.

2020-11-22  Gary Benson <gbenson@redhat.com>

	PR gdb/26905
	* gdb.dwarf2/count.exp: Add test for an array whose upper bound
	is defined using a DW_AT_count which references another DIE.

2020-11-21  Tom de Vries  <tdevries@suse.de>

	* gdb.base/vla-ptr.exp: Add XFAIL.

2020-11-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices-bad.exp: New file.
	* gdb.fortran/array-slices-bad.f90: New file.
	* gdb.fortran/array-slices-sub-slices.exp: New file.
	* gdb.fortran/array-slices-sub-slices.f90: New file.
	* gdb.fortran/array-slices.exp: Rewrite tests.
	* gdb.fortran/array-slices.f90: Rewrite tests.
	* gdb.fortran/vla-sizeof.exp: Correct expected results.

2020-11-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/completion.exp: Add new completion tests.

2020-11-18  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.mi/mi-nonstop-exit.exp: Enable non-stop through GDBFLAGS.
	* gdb.mi/mi-ns-stale-regcache.exp: Likewise.
	* gdb.mi/mi-nsintrall.exp: Likewise.
	* gdb.mi/mi-nsmoribund.exp: Likewise.
	* gdb.mi/mi-nsthrexec.exp: Likewise.
	* gdb.mi/mi-watch-nonstop.exp: Likewise.

2020-11-18  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/mi-support.exp (mi_run_cmd_full): Use unresovled instead
	of perror.

2020-11-18  Joseph Myers  <joseph@codesourcery.com>

	* lib/mi-support.exp (mi_gdb_file_cmd): Check for case where
	$arg.exe exists but $arg does not.

2020-11-17  Gary Benson <gbenson@redhat.com>

	* gdb.trace/trace-common.h (x86_trace_dummy): Add
	__attribute__ ((used)).

2020-11-17  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.gdb/unittest.exp: Spot 'Running...' lines.

2020-11-17  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/completion.exp: Add new tests.

2020-11-16  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/data-loc.exp: Update expected output.  Remove C
	tests.

2020-11-15  Joel Brobecker  <brobecker@adacore.com>

	* gdb.ada/fixed_cmp.exp: Add -fgnat-encodings=minimal testing.
	* gdb.dwarf2/dw2-fixed-point.c (pck__fp1_var2): New global.
	(main): Add reference to pck__fp1_var2.
	* gdb.dwarf2/dw2-fixed-point.exp: Add comparison operator testing.

2020-11-15  Joel Brobecker  <brobecker@adacore.com>

	* gdb.dwarf2/dw2-fixed-point.exp: Add arithmetic tests.

2020-11-15  Joel Brobecker  <brobecker@adacore.com>

	* gdb.ada/fixed_points.exp: Add ptype tests.
	* gdb.dwarf2/dw2-fixed-point.exp: Likewise.

2020-11-15  Joel Brobecker  <brobecker@adacore.com>

	* gdb.dwarf2/dw2-fixed-point.exp: Add "print /x" tests.

2020-11-15  Joel Brobecker  <brobecker@adacore.com>

	* gdb.ada/fixed_cmp.exp: Force compilation to use -fgnat-encodings=all.
	* gdb.ada/fixed_points.exp: Add fixed-point variables printing tests.
	* gdb.ada/fixed_points/pck.ads, gdb.ada/fixed_points/pck.adb:
	New files.
	* gdb.ada/fixed_points/fixed_points.adb: Add use of package Pck.

	* gdb.dwarf2/dw2-fixed-point.c, gdb.dwarf2/dw2-fixed-point.exp:
	New files.

2020-11-14  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR cli/26879
	* gdb.fortran/completion.exp: New file.
	* gdb.fortran/completion.f90: New file.

2020-11-12  Joseph Myers  <joseph@codesourcery.com>

	* lib/gdb.exp (gdb_file_cmd): Check for case where $arg.exe exists
	but $arg does not.

2020-11-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/types.exp: Add more tests.

2020-11-12  Tom Tromey  <tom@tromey.com>

	PR rust/26799:
	* gdb.rust/traits.exp: Remove kfails.

2020-11-12  Gary Benson <gbenson@redhat.com>

	* gdb.threads/tls-so_extern_main.c (tls_ptr): Add missing return
	statement.

2020-11-11  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/continue-after-aborted-step-over.exp: Add "breakpoint
	always-inserted" axis.
	(do_test): Add breakpoint_always_inserted parameter.

2020-11-10  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/bias.exp: Update.
	* gdb.ada/bias/bias.adb (X): Change value.

2020-11-10  Gary Benson <gbenson@redhat.com>

	* gdb.base/vla-optimized-out.exp (p sizeof (a)): Wrap supplied
	regexp fragment in parentheses to prevent false matching.

2020-11-10  Gary Benson <gbenson@redhat.com>

	* gdb.base/vla-optimized-out.c (f1): Add __attribute__ ((weak)).

2020-11-10  Gary Benson <gbenson@redhat.com>

	* gdb.cp/step-and-next-inline.exp: Only require
	-gstatement-frontiers when building with GCC.
	Only setup KFAIL's for GCC issues when using
	a GCC-built executable.

2020-11-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/debug-expr.c: Add extra function to allow for an
	additional test.
	* gdb.base/debug-expr.exp (test_debug_expr): Delete, replace calls
	to this proc with gdb_test_debug_expr.  Add an extra test.
	* gdb.cp/debug-expr.exp (test_debug_expr): Delete, replace calls
	to this proc with gdb_test_debug_expr, give the tests names
	* gdb.dlang/debug-expr.exp (test_debug_expr): Delete, replace
	calls to this proc with gdb_test_debug_expr, give the tests names
	* gdb.fortran/debug-expr.exp: New file.
	* gdb.fortran/debug-expr.f90: New file.
	* lib/gdb.exp (gdb_test_debug_expr): New proc.

2020-11-06  Simon Marchi  <simon.marchi@efficios.com>

	* lib/dwarf.exp (ranges): Handle "base" and "range" as
	proceduresu.
	* gdb.dwarf/dw2-bad-elf.exp: Adjust.
	* gdb.dwarf2/dw2-inline-many-frames.exp: Adjust.
	* gdb.dwarf2/dw2-inline-stepping.exp: Adjust.
	* gdb.dwarf2/dw2-ranges-base.exp: Adjust.
	* gdb.dwarf2/dw2-ranges-func.exp: Adjust.
	* gdb.dwarf2/dw2-ranges-overlap.exp: Adjust.
	* gdb.dwarf2/dw2-ranges-psym.exp: Adjust.
	* gdb.dwarf2/enqueued-cu-base-addr.exp: Adjust.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/funcall_ref.exp: Update.
	* gdb.ada/var_rec_arr.exp: Update.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/rec_ptype.exp: New file.
	* gdb.ada/rec_ptype/main.adb: New file.
	* gdb.ada/rec_ptype/p.ads: New file.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/tick_length_array_enum_idx.exp: Add ptype test.
	* gdb.ada/tick_length_array_enum_idx/foo_n207_004.adb
	(PT_Full): New variable.
	* gdb.ada/tick_length_array_enum_idx/pck.adb
	(Full_PT): New type.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/array_of_variant.exp: New file.
	* gdb.ada/array_of_variant/p.adb: New file.
	* gdb.ada/array_of_variant/pck.ads: New file.
	* gdb.ada/array_of_variant/pck.adb: New file.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/enum_idx_packed.exp: Add test.
	* gdb.ada/enum_idx_packed/foo.adb (Multi_Access):
	New variable.
	* gdb.ada/enum_idx_packed/pck.ads (Short)
	(Multi_Dimension, Multi_Dimension_Access): New types.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/enum_idx_packed.exp: Test two forms of -fgnat-encodings.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/set_pckd_arr_elt.exp: Also test
	-fgnat-encodings=minimal.  Add tests.
	* gdb.ada/set_pckd_arr_elt/foo.adb (Foo): Add VA variable.
	Call Update_Small a second time.
	* gdb.ada/set_pckd_arr_elt/pck.adb (New_Variant): New function.
	* gdb.ada/set_pckd_arr_elt/pck.ads (Buffer, Variant)
	(Variant_Access): New types.
	(New_Variant): Declare.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/mod_from_name.exp: Test printing slice.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/O2_float_param.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/access_to_unbounded_array.exp: Test different
	-fgnat-encodings values.
	* gdb.ada/big_packed_array.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/arr_enum_idx_w_gap.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/array_ptr_renaming.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/array_of_variable_length.exp: Test different
	-fgnat-encodings values.
	* gdb.ada/arrayparam.exp: Test different -fgnat-encodings values.
	* gdb.ada/arrayptr.exp: Test different -fgnat-encodings values.
	* gdb.ada/frame_arg_lang.exp: Revert -fgnat-encodings=minimal
	change.
	* gdb.ada/mi_string_access.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/mod_from_name.exp: Test different -fgnat-encodings values.
	* gdb.ada/out_of_line_in_inlined.exp: Test different
	-fgnat-encodings values.
	* gdb.ada/packed_array.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/pckd_arr_ren.exp: Test different -fgnat-encodings
	values.
	* gdb.ada/unc_arr_ptr_in_var_rec.exp: Test different
	-fgnat-encodings values.
	* gdb.ada/variant_record_packed_array.exp: Test different
	-fgnat-encodings values.

2020-11-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/enum_idx_packed.exp: Add tests.
	* gdb.ada/enum_idx_packed/foo.adb: Add variables.
	* gdb.ada/enum_idx_packed/pck.adb: Add functions.
	* gdb.ada/enum_idx_packed/pck.ads: Add types, function
	declarations.

2020-11-03  Tom de Vries  <tdevries@suse.de>

	* lib/dwarf.exp (Dwarf::_handle_DW_TAG): Improve attribute list
	terminator comments.
	(Dwarf::cu, Dwarf::tu): Remove superfluous abbreviation table
	terminator.

2020-11-02  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/step-over-no-symbols.exp (test_step_over): Replace
	integer format test with regexp.

2020-11-02  Gary Benson <gbenson@redhat.com>

	* gdb.base/print-file-var.exp (test): Separate compiler and
	linker options, and build using build_executable_from_specs
	to accommodate this.

2020-11-02  Gary Benson <gbenson@redhat.com>

	* lib/gdb.exp (gdb_compile): Inhibit passing "-x c++"
	for .c files compiled as C++ with Clang if any shared
	libraries are specified.

2020-11-02  Gary Benson <gbenson@redhat.com>

	* lib/attributes.h: New header.
	* gdb.base/backtrace.c: Include the above. Replace
	__attribute__(noclone)) with ATTRIBUTE_NOCLONE.
	* gdb.base/infcall-nested-structs.c: Likewise.
	* gdb.base/vla-optimized-out.c: Likewise.

2020-11-02  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/fission-multi-cu.S: Remove .debug_line.dwo section.

2020-11-01  Joel Brobecker  <brobecker@adacore.com>

	* gdb.ada/fixed_points/fixed_points.adb: Replace use of
	System.Min_Int and System.Max_Int with smaller hardcoded
	constants.

2020-10-31  Simon Marchi  <simon.marchi@polymtl.ca>

	* configure.ac: Split AC_INIT into AC_INIT and AC_CONFIG_SRCDIR.
	* configure: Re-generate.

2020-10-30  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.arch/amd64-disp-step-avx.exp: Update displaced step debug
	expected output.

2020-10-30  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/paginate-after-ctrl-c-running.exp: Update with no pagination
	behavior.
	* gdb.base/paginate-bg-execution.exp: Ditto.
	* gdb.base/paginate-inferior-exit.exp: Ditto.
	* gdb.base/double-prompt-target-event-error.c: Remove.
	* gdb.base/double-prompt-target-event-error.exp: Remove.

2020-10-29  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/kill-detach-inferiors-cmd.exp: Check that 'kill
	inferiors' and 'detach inferiors' do not change the current
	inferior.

2020-10-29  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/tls.exp: Fix DUPLICATEs.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.python/py-symbol.exp: Add KFAILs for -readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/exec_changed.exp: Add KFAILs for -readnow.
	* gdb.base/reread.exp: Same.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (readnow): Handle arg.
	* gdb.rust/traits.exp: Add KFAILs for -readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.base/relocate.exp: Update regexp for -readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-error.exp: Mark failure break in main as known with
	-readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	PR symtab/26772
	* gdb.dwarf2/dw2-ranges-overlap.c: New test.
	* gdb.dwarf2/dw2-ranges-overlap.exp: New file.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_file_cmd): Set gdb_file_cmd_msg.
	* gdb.cp/nsalias.exp: Set complaints limit before file cmd.  Expect
	complaint during file command for -readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/nsalias.exp: Fix typo in test name.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-filename.exp: Update regexp for -readnow.

2020-10-28  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-stack-boundary.exp: KFAILing the complaints for
	-readnow.

2020-10-27  Tom de Vries  <tdevries@suse.de>

	* gdb.base/multi-forks.exp: Use exp_continue to fix timeout.

2020-10-27  Tom de Vries  <tdevries@suse.de>

	* gdb.base/maint.exp: Update for -readnow.

2020-10-27  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/psymtab-parameter.exp: Don't expect unexpanded CU for
	-readnow.

2020-10-14  Gary Benson <gbenson@redhat.com>

	* gdb.python/py-format-string.exp (test_deref_refs): Treat
	"_vptr$Base" as correct, in addition to "_vptr.Base".
	(test_mixed): Likewise.

2020-10-27  Gary Benson <gbenson@redhat.com>

	* gdb.mi/mi-fortran-modules.exp: Check skip_fortran_tests.
	* gdb.mi/mi-vla-fortran.exp: Likewise.  Also fix a comment.

2020-10-27  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak.exp: Update the completion tests to
	consider the '-force' flag.

2020-10-27  Tom de Vries  <tdevries@suse.de>

	* gdb.base/list-ambiguous-readnow.exp: New file.

2020-10-27  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak-multi-context.exp: Expand to test forcing
	the condition.
	* gdb.linespec/cpcompletion.exp: Update to consider the
	'-force-condition' keyword.
	* gdb.linespec/explicit.exp: Ditto.
	* lib/completion-support.exp: Ditto.

2020-10-27  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak-multi-context.cc: New file.
	* gdb.base/condbreak-multi-context.exp: New file.

2020-10-26  Tom Tromey  <tom@tromey.com>

	* lib/mi-support.exp (default_mi_gdb_start): Call
	gdb_stdin_log_init.
	* lib/gdb.exp (standard_output_file_with_gdb_instance): Don't
	subtract one from gdb_instances.
	(gdb_stdin_log_write): Flush in_file.

2020-10-26  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/enqueued-cu-base-addr.exp: New file.

2020-10-26  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/unsigned_range/foo.adb: New file.
	* gdb.ada/unsigned_range/pack.adb: New file.
	* gdb.ada/unsigned_range/pack.ads: New file.
	* gdb.ada/unsigned_range.exp: New file.

2020-10-26  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (INTERNAL_GDBFLAGS): Set heigth and width.

2020-10-26  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-objfile-overlap-inner.S: Specify default base address
	for CU.
	* gdb.dwarf2/dw2-objfile-overlap-outer.S: Same.

2020-10-23  Tom de Vries  <tdevries@suse.de>

	* lib/dwarf.exp (Dwarf::_guess_form): Return "" by default instead of
	DW_FORM_string.
	(Dwarf::_default_form): New proc.
	(Dwarf::_handle_DW_TAG): Use _default_form.  Error out if no form was
	guessed.

2020-10-23  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/ada-linkage-name.exp: Use $srcfile for DW_AT_name of CU.
	* gdb.dwarf2/atomic-type.exp: Same.
	* gdb.dwarf2/bad-regnum.exp: Same.
	* gdb.dwarf2/cpp-linkage-name.exp: Same.
	* gdb.dwarf2/dw2-align.exp: Same.
	* gdb.dwarf2/dw2-bad-elf.exp: Same.
	* gdb.dwarf2/dw2-bad-mips-linkage-name.exp: Same.
	* gdb.dwarf2/dw2-bad-unresolved.exp: Same.
	* gdb.dwarf2/dw2-namespaceless-anonymous.exp: Same.
	* gdb.dwarf2/dw2-opt-structptr.exp: Same.
	* gdb.dwarf2/dw2-unusual-field-names.exp: Same.
	* gdb.dwarf2/enum-type.exp: Same.
	* gdb.dwarf2/frame-inlined-in-outer-frame.exp: Same.
	* gdb.dwarf2/info-locals-optimized-out.exp: Same.
	* gdb.dwarf2/main-subprogram.exp: Same.
	* gdb.dwarf2/missing-type-name.exp: Same.
	* gdb.dwarf2/nonvar-access.exp: Same.
	* gdb.dwarf2/typedef-void-finish.exp: Same.
	* gdb.dwarf2/var-access.exp: Same.
	* gdb.dwarf2/void-type.exp: Same.

2020-10-22  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/26693
	* gdb.dwarf2/template-specification-full-name.exp: New test.

2020-10-22  Luis Machado  <luis.machado@linaro.org>

	* gdb.base/msym-bp-shl.exp (test_break): Adjust pattern to not
	expected an offset from the function.
	* gdb.base/msym-bp.exp (test): Likewise.

2020-10-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices.exp: Add a new test.

2020-10-21  Gary Benson <gbenson@redhat.com>

	* gdb.mi/mi-fullname-deleted.exp: Fix substituted
	fullname test with Clang.  Also expand comments generally.

2020-10-20  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/pr13961.S: Remove superfluous end-of-siblings marker.

2020-10-20  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/arr-stride.c: Remove.
	* gdb.dwarf2/arr-stride.exp: Use main.c.
	* gdb.dwarf2/arr-subrange.c: Remove.
	* gdb.dwarf2/arr-subrange.exp: Use main.c.
	* gdb.dwarf2/bad-regnum.c: Remove.
	* gdb.dwarf2/bad-regnum.exp: Use main.c.
	* gdb.dwarf2/corrupt.c: Remove.
	* gdb.dwarf2/corrupt.exp: Use main.c.
	* gdb.dwarf2/dw2-bad-elf.c: Remove.
	* gdb.dwarf2/dw2-bad-elf.exp: Use main.c.
	* gdb.dwarf2/dw2-icycle.c: Remove.
	* gdb.dwarf2/dw2-icycle.exp: Use main.c.
	* gdb.dwarf2/formdata16.c: Remove.
	* gdb.dwarf2/formdata16.exp: Use main.c.
	* gdb.dwarf2/implptrconst.c: Remove.
	* gdb.dwarf2/implptrconst.exp: Use main.c.
	* gdb.dwarf2/info-locals-optimized-out.c: Remove.
	* gdb.dwarf2/info-locals-optimized-out.exp: Use main.c.
	* gdb.dwarf2/opaque-type-lookup.c: Remove.
	* gdb.dwarf2/opaque-type-lookup.exp: Use main.c.

2020-10-20  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/ada-valprint-error.exp: Remove redundant mention of .exp
	file.
	* gdb.dwarf2/dw2-dir-file-name.exp: Same.

2020-10-20  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-error.exp: Use $gdb_test_file_name.
	* gdb.dwarf2/dw2-line-number-zero.exp: Same.
	* gdb.dwarf2/dw2-main-no-line-number.exp: Same.
	* gdb.dwarf2/dw2-ranges-base.exp: Same.
	* gdb.dwarf2/dw2-ranges.exp: Same.
	* gdb.dwarf2/dw2-vendor-extended-opcode.exp: Same.
	* gdb.dwarf2/var-access.exp: Same.

2020-10-19  Tom Tromey  <tromey@adacore.com>

	PR tui/26719
	* gdb.tui/list.exp: Check source window contents after focus
	change.

2020-10-17  Tom de Vries  <tdevries@suse.de>

	PR symtab/26317
	* gdb.dwarf2/dw2-main-no-line-number.exp: New file.

2020-10-17  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (standard_testfile): Also treat args starting with '-'
	as suffix.
	* gdb.dwarf2/atomic.c: Rename to ...
	* gdb.dwarf2/atomic-type.c: ... this.
	* gdb.dwarf2/dw2-ranges2.c: Rename to ...
	* gdb.dwarf2/dw2-ranges-2.c: ... this.
	* gdb.dwarf2/dw2-ranges3.c: Rename to ...
	* gdb.dwarf2/dw2-ranges-3.c: ... this.
	* gdb.dwarf2/fission-mix2.c: Rename to ...
	* gdb.dwarf2/fission-mix-2.c: ... this.
	* gdb.dwarf2/ada-linkage-name.exp: Use more suffix args for
	standard_testfile.
	* gdb.dwarf2/ada-valprint-error.exp: Same.
	* gdb.dwarf2/arr-stride.exp: Same.
	* gdb.dwarf2/arr-subrange.exp: Same.
	* gdb.dwarf2/atomic-type.exp: Same.
	* gdb.dwarf2/bad-regnum.exp: Same.
	* gdb.dwarf2/break-inline-psymtab.exp: Same.
	* gdb.dwarf2/clang-debug-names-2.exp: Same.
	* gdb.dwarf2/clang-debug-names.exp: Same.
	* gdb.dwarf2/comp-unit-lang.exp: Same.
	* gdb.dwarf2/corrupt.exp: Same.
	* gdb.dwarf2/count.exp: Same.
	* gdb.dwarf2/cpp-linkage-name.exp: Same.
	* gdb.dwarf2/data-loc.exp: Same.
	* gdb.dwarf2/dw2-align.exp: Same.
	* gdb.dwarf2/dw2-bad-elf.exp: Same.
	* gdb.dwarf2/dw2-bad-mips-linkage-name.exp: Same.
	* gdb.dwarf2/dw2-bad-unresolved.exp: Same.
	* gdb.dwarf2/dw2-case-insensitive.exp: Same.
	* gdb.dwarf2/dw2-cp-infcall-ref-static.exp: Same.
	* gdb.dwarf2/dw2-ifort-parameter.exp: Same.
	* gdb.dwarf2/dw2-inline-many-frames.exp: Same.
	* gdb.dwarf2/dw2-inline-param.exp: Same.
	* gdb.dwarf2/dw2-inline-small-func.exp: Same.
	* gdb.dwarf2/dw2-inline-stepping.exp: Same.
	* gdb.dwarf2/dw2-is-stmt-2.exp: Same.
	* gdb.dwarf2/dw2-is-stmt.exp: Same.
	* gdb.dwarf2/dw2-line-number-zero.exp: Same.
	* gdb.dwarf2/dw2-namespaceless-anonymous.exp: Same.
	* gdb.dwarf2/dw2-opt-structptr.exp: Same.
	* gdb.dwarf2/dw2-param-error.exp: Same.
	* gdb.dwarf2/dw2-ranges-base.exp: Same.
	* gdb.dwarf2/dw2-ranges.exp: Same.
	* gdb.dwarf2/dw2-unusual-field-names.exp: Same.
	* gdb.dwarf2/dw2-vendor-extended-opcode.exp: Same.
	* gdb.dwarf2/dw4-sig-types.exp: Same.
	* gdb.dwarf2/dynarr-ptr.exp: Same.
	* gdb.dwarf2/enum-type.exp: Same.
	* gdb.dwarf2/fission-mix.exp: Same.
	* gdb.dwarf2/formdata16.exp: Same.
	* gdb.dwarf2/implptrconst.exp: Same.
	* gdb.dwarf2/implptrpiece.exp: Same.
	* gdb.dwarf2/info-locals-optimized-out.exp: Same.
	* gdb.dwarf2/main-subprogram.exp: Same.
	* gdb.dwarf2/method-ptr.exp: Same.
	* gdb.dwarf2/missing-sig-type.exp: Same.
	* gdb.dwarf2/nonvar-access.exp: Same.
	* gdb.dwarf2/opaque-type-lookup.exp: Same.
	* gdb.dwarf2/shortpiece.exp: Same.
	* gdb.dwarf2/staticvirtual.exp: Same.
	* gdb.dwarf2/subrange.exp: Same.
	* gdb.dwarf2/symtab-producer.exp: Same.
	* gdb.dwarf2/typedef-void-finish.exp: Same.
	* gdb.dwarf2/var-access.exp: Same.
	* gdb.dwarf2/variant.exp: Same.
	* gdb.dwarf2/void-type.exp: Same.
	* gdb.dwarf2/dw2-ranges-psym.exp: Same.  Use main.c instead of
	dw2-ranges-main.c.
	* gdb.dwarf2/dw2-ranges-main.c: Remove.

2020-10-16  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_breakpoint): Remove mention of "passfail".

2020-10-16  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_breakpoint): Handle eof as in gdb_test_multiple.

2020-10-14  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26732
	* gdb.ada/mi_catch_ex.exp: Do mi_delete_breakpoints before running
	scenario 2.
	* gdb.ada/mi_catch_ex_hand.exp: Same.

2020-10-13  Pedro Alves  <pedro@palves.net>

	* lib/mi-support.exp (mi_clean_restart): New.
	(mi_run_to_main): Delete.
	All callers adjust to use mi_clean_restart / mi_runto_main.

2020-10-13  Pedro Alves  <pedro@palves.net>

	* config/monitor.exp: Use "list -q".
	* gdb.arch/gdb1558.exp: Use "break -q".
	* gdb.arch/i386-permbkpt.exp: Use "break -q".
	* gdb.arch/i386-prologue-skip-cf-protection.exp: Use "break -q".
	* gdb.base/break.exp: Use "break -q", "list -q" and "tbreak -q".
	* gdb.base/commands.exp: Use "break -q".
	* gdb.base/condbreak.exp: Use "break -q".
	* gdb.base/ctf-ptype.exp: Use "list -q".
	* gdb.base/define.exp: Use "break -q".
	* gdb.base/del.exp: Use "break -q".
	* gdb.base/fullname.exp: Use "break -q".
	* gdb.base/hbreak-in-shr-unsupported.exp: Use "hbreak -q".
	* gdb.base/hbreak-unmapped.exp: Use "hbreak -q".
	* gdb.base/hbreak2.exp: Use "hbreak -q" and "list -q".
	* gdb.base/hw-sw-break-same-address.exp: Use "break -q" and
	"hbreak -q".
	* gdb.base/included.exp: Use "list -q".
	* gdb.base/label.exp: Use "break -q".
	* gdb.base/lineinc.exp: Use "break -q".
	* gdb.base/list.exp: Use "list -q".
	* gdb.base/macscp.exp: Use "list -q".
	* gdb.base/pending.exp: Use "break -q".
	* gdb.base/prologue-include.exp: Use "break -q".
	* gdb.base/ptype.exp: Use "list -q".
	* gdb.base/sepdebug.exp: Use "break -q", "list -q" and "tbreak -q".
	* gdb.base/server-del-break.exp: Use "break -q".
	* gdb.base/style.exp: Use "break -q".
	* gdb.base/symbol-without-target_section.exp: Use "list -q".
	* gdb.base/watchpoint-reuse-slot.exp: Use "hbreak -q".
	* gdb.cp/exception.exp: Use "tbreak -q".
	* gdb.dwarf2/dw2-error.exp: Use "break -q".
	* gdb.dwarf2/fission-mix.exp: Use "break -q".
	* gdb.dwarf2/fission-reread.exp: Use "break -q".
	* gdb.dwarf2/pr13961.exp: Use "break -q".
	* gdb.linespec/explicit.exp: Use "list -q".
	* gdb.linespec/linespec.exp: Use "break -q".
	* gdb.mi/mi-simplerun.exp: Use "--qualified".
	* gdb.python/py-mi-objfile-gdb.py: Use "list -q".
	* gdb.server/bkpt-other-inferior.exp: Use "break -q".
	* gdb.server/connect-without-multi-process.exp: Use "break -q".
	* gdb.trace/change-loc.exp: Use "break -q".
	* gdb.trace/pending.exp: Use "break -q".
	* gdb.tui/basic.exp: Use "list -q".
	* gdb.tui/list-before.exp: Use "list -q".
	* gdb.tui/list.exp: Use "list -q".
	* lib/gdb.exp (gdb_has_argv0): Use "break -q".

2020-10-13  Pedro Alves  <pedro@palves.net>

	* gdb.base/ui-redirect.exp: Expect "break -qualified main" in
	saved breakpoints file.
	* gdb.guile/scm-breakpoint.exp: Expect "-qualified main" when
	inspecting breakpoint list.
	* lib/gdb.exp (runto_main): Add "qualified" to options.
	* lib/mi-support.exp (mi_runto_helper): Add 'qualified' parameter,
	and handle it.
	(mi_runto_main): Pass 1 as qualified argument.

2020-10-13  Pedro Alves  <pedro@palves.net>

	* lib/mi-support.exp (mi_runto_main): New proc.
	(mi_run_to_main): Use it.
	* gdb.mi/mi-catch-cpp-exceptions.exp: Likewise.
	* gdb.mi/mi-var-cmd.exp: Likewise.
	* gdb.mi/mi-var-invalidate.exp: Likewise.
	* mi-var-list-children-invalid-grandchild.exp: Likewise.
	* gdb.mi/mi2-amd64-entry-value.exp: Likewise.
	* gdb.mi/new-ui-mi-sync.exp: Likewise.
	* gdb.mi/user-selected-context-sync.exp: Likewise.
	* gdb.opt/inline-cmds.exp: Likewise.
	* gdb.python/py-framefilter-mi.exp: Likewise.
	* gdb.python/py-mi.exp: Likewise.

2020-10-13  Pedro Alves  <pedro@palves.net>

	* gdb.ada/fun_in_declare.exp: Use "runto_main" instead of
	"runto main".
	* gdb.ada/small_reg_param.exp: Likewise.
	* gdb.arch/powerpc-d128-regs.exp: Likewise.
	* gdb.base/annota1.exp: Likewise.
	* gdb.base/anon.exp: Likewise.
	* gdb.base/breakpoint-in-ro-region.exp: Likewise.
	* gdb.base/dprintf-non-stop.exp: Likewise.
	* gdb.base/dprintf.exp: Likewise.
	* gdb.base/gdb11530.exp: Likewise.
	* gdb.base/gdb11531.exp: Likewise.
	* gdb.base/gnu_vector.exp: Likewise.
	* gdb.base/interrupt-noterm.exp: Likewise.
	* gdb.base/memattr.exp: Likewise.
	* gdb.base/step-over-syscall.exp: Likewise.
	* gdb.base/watch-cond-infcall.exp: Likewise.
	* gdb.base/watch-read.exp: Likewise.
	* gdb.base/watch-vfork.exp: Likewise.
	* gdb.base/watch_thread_num.exp: Likewise.
	* gdb.base/watchpoint-stops-at-right-insn.exp: Likewise.
	* gdb.guile/scm-frame-inline.exp: Likewise.
	* gdb.linespec/explicit.exp: Likewise.
	* gdb.opt/inline-break.exp: Likewise.
	* gdb.python/py-frame-inline.exp: Likewise.
	* gdb.reverse/break-precsave.exp: Likewise.
	* gdb.reverse/break-reverse.exp: Likewise.
	* gdb.reverse/consecutive-precsave.exp: Likewise.
	* gdb.reverse/consecutive-reverse.exp: Likewise.
	* gdb.reverse/finish-precsave.exp: Likewise.
	* gdb.reverse/finish-reverse.exp: Likewise.
	* gdb.reverse/fstatat-reverse.exp: Likewise.
	* gdb.reverse/getresuid-reverse.exp: Likewise.
	* gdb.reverse/i386-precsave.exp: Likewise.
	* gdb.reverse/i386-reverse.exp: Likewise.
	* gdb.reverse/i386-sse-reverse.exp: Likewise.
	* gdb.reverse/i387-env-reverse.exp: Likewise.
	* gdb.reverse/i387-stack-reverse.exp: Likewise.
	* gdb.reverse/insn-reverse.exp: Likewise.
	* gdb.reverse/machinestate-precsave.exp: Likewise.
	* gdb.reverse/machinestate.exp: Likewise.
	* gdb.reverse/pipe-reverse.exp: Likewise.
	* gdb.reverse/readv-reverse.exp: Likewise.
	* gdb.reverse/recvmsg-reverse.exp: Likewise.
	* gdb.reverse/rerun-prec.exp: Likewise.
	* gdb.reverse/s390-mvcle.exp: Likewise.
	* gdb.reverse/solib-precsave.exp: Likewise.
	* gdb.reverse/solib-reverse.exp: Likewise.
	* gdb.reverse/step-precsave.exp: Likewise.
	* gdb.reverse/step-reverse.exp: Likewise.
	* gdb.reverse/time-reverse.exp: Likewise.
	* gdb.reverse/until-precsave.exp: Likewise.
	* gdb.reverse/until-reverse.exp: Likewise.
	* gdb.reverse/waitpid-reverse.exp: Likewise.
	* gdb.reverse/watch-precsave.exp: Likewise.
	* gdb.reverse/watch-reverse.exp: Likewise.
	* gdb.threads/kill.exp: Likewise.
	* gdb.threads/tid-reuse.exp: Likewise.

2020-10-13  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/26642
	* gdb.base/maint-target-async-off.c: New test.
	* gdb.base/maint-target-async-off.exp: New test.

2020-10-13  Alan Modra  <amodra@gmail.com>

	* gdb.arch/powerpc-altivec.s,
	* gdb.arch/powerpc-power7.s,
	* gdb.arch/powerpc-power8.s,
	* gdb.arch/powerpc-power9.s,
	* gdb.arch/powerpc-vsx.s,
	* gdb.arch/powerpc-vsx2.s: Remove duplicate instructions.
	* gdb.arch/powerpc-altivec.exp,
	* gdb.arch/powerpc-power7.exp,
	* gdb.arch/powerpc-power8.exp,
	* gdb.arch/powerpc-power9.exp,
	* gdb.arch/powerpc-vsx.exp,
	* gdb.arch/powerpc-vsx2.exp: Likewise, and update expected
	disassembly of mfvsrd/mtvsrd.

2020-10-13  Alan Modra  <amodra@gmail.com>

	* gdb.arch/arm-disassembler-options.exp: Adjust expected
	"target architecture" output.
	* gdb.arch/powerpc-d128-regs.exp: Likewise.
	* gdb.arch/powerpc-disassembler-options.exp: Likewise.
	* gdb.arch/ppc64-symtab-cordic.exp: Likewise.
	* gdb.arch/s390-disassembler-options.exp: Likewise.

2020-10-12  Pedro Alves  <pedro@palves.net>

	PR exp/26602
	PR c++/26550
	* gdb.cp/ambiguous.cc (marker1): Delete.
	(main): Initialize all the fields of the locals.  Replace marker1
	call with a "set breakpoint here" marker.
	* gdb.cp/ambiguous.exp: Modernize.  Use gdb_continue_to_breakpoint
	instead of running to marker1.  Add tests printing all the
	variables and all the fields of the variables.
	(test_ambiguous): New proc, expecting the new GDB output when a
	field access is ambiguous.  Change all "warning: X ambiguous"
	tests to use it.

2020-10-12  Gary Benson <gbenson@redhat.com>

	* gdb.base/msym-bp.c (foo): Add __attribute__ ((used)).
	* gdb.base/msym-bp-2.c (foo): Likewise.
	* gdb.base/msym-lang.c (foo): Likewise.
	* gdb.base/msym-lang-main.c (foo): Likewise.
	* gdb.base/symtab-search-order-1.c (static_global): Likewise.
	* gdb.guile/scm-pretty-print.c (eval_func): Likewise.
	* gdb.mi/mi-sym-info-1.c (global_f1): Likewise.
	* gdb.mi/mi-sym-info-2.c (global_f1, var1, var2): Likewise.
	* gdb.multi/watchpoint-multi-exit.c (globalvar): Likewise.
	* gdb.python/py-as-string.c (enum_valid, enum_invalid): Likewise.
	* gdb.python/py-objfile.c (static_var): Likewise.
	* gdb.python/py-symbol.c (rr): Likewise.
	* gdb.python/py-symbol-2.c (anon, rr): Likewise.
	* gdb.mi/mi-sym-info.exp (lineno1, lineno2): Updated.

2020-10-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/mixed-lang-stack.exp (run_tests): Update expected
	output of backtrace.

2020-10-09  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/scalar_storage/storage.adb (Another_Range): New type.
	(Rec): Add field.  Fix range.
	* gdb.ada/scalar_storage.exp: Update.

2020-10-09  Hannes Domani  <ssbssa@yahoo.de>

	PR exp/26714
	* gdb.base/printcmds.exp: Add tests for void results.

2020-10-09  Jan Vrany  <jan.vrany@labware.com>

	* gdb.mi/mi-cmd-param-changed.exp: Check that notification is
	is emmited for both 'set directories' and 'directory' commands.

2020-10-08  Tom Tromey  <tom@tromey.com>

	* gdb.base/style.exp: Check that "main"'s name is styled.

2020-10-07  Tom Tromey  <tromey@adacore.com>

	* gdb.base/find.exp: Rename some tests.

2020-10-06  Gary Benson <gbenson@redhat.com>

	* gdb.base/list0.c (unused): Add __attribute__ ((used)).
	* gdb.base/list1.c (unused): Likewise.

2020-10-06  Gary Benson <gbenson@redhat.com>

	* gdb.base/list-ambiguous0.c (ambiguous_var): Add
	__attribute__ ((used)).
	* gdb.base/list-ambiguous1.c (ambiguous_var): Likewise.

2020-10-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/m32r.ld: Remove SEARCH_DIR line.  Add MEMORY regions,
	make use of regions throughout.
	* gdb.base/overlays.exp: Enclose string with variableds in "..",
	not {...}.
	* gdb.base/ovlymgr.c: Add 'string.h' and 'stdlib.h' includes.

2020-10-05  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.base/call-sc.c: Fix return struct on stack test case.
	* gdb.base/call-sc.exp: Likewise.

2020-10-02  Gary Benson <gbenson@redhat.com>

	* README: Fix "paralell".

2020-09-30  Gary Benson <gbenson@redhat.com>

	* gdb.dwarf2/dw2-double-set-die-type.S (.Ldie_3e0):
	Convert directive to lowercase.
	(.Labbrev1_begin): Add missing label.
	(abbrev code 0x1): Remove DW_AT_stmt_list.
	(.Ldie_b): Likewise.

2020-09-27  Tom Tromey  <tom@tromey.com>

	* gdb.tui/new-layout.exp: Use with_test_prefix.

2020-09-26  Gareth Rees <grees@undo.io>  (tiny change)

	PR python/26586
	* gdb.python/python.exp: add test cases for the from_tty
	argument to gdb.execute.

2020-09-25  Gary Benson <gbenson@redhat.com>

	* gdb.base/infcall-nested-structs.exp.tcl: Add
	additional_flags=-Wno-tautological-compare for C++
	tests when compiling using Clang.

2020-09-25  Gary Benson <gbenson@redhat.com>

	* lib/gdb.exp (gdb_compile): Pass "-x c++" earlier, and only
	for .c files.

2020-09-24  Tom Tromey  <tromey@adacore.com>

	PR tui/26638:
	* gdb.tui/list.exp: Check output of "focus next".

2020-09-23  Tom Tromey  <tom@tromey.com>

	* gdb.dwarf2/intbits.exp: New file.
	* gdb.dwarf2/intbits.c: New file.

2020-09-20  Pedro Alves  <pedro@palves.net>

	* lib/mi-support.exp (mi_uncatched_gdb_exit) Switch to the main
	spawn_id before calling remote_close.  Close secondary MI channel.

2020-09-20  Pedro Alves  <pedro@palves.net>

	* gdb.base/testenv.exp (find_env): Bail out if printing 'envp[$i]'
	fails.

2020-09-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices.exp: Update expected results.
	* gdb.fortran/class-allocatable-array.exp: Likewise.
	* gdb.fortran/multi-dim.exp: Likewise.
	* gdb.fortran/vla-type.exp: Likewise.
	* gdb.mi/mi-vla-fortran.exp: Likewise.

2020-09-18  Victor Collod  <vcollod@nvidia.com>

	PR gdb/26635
	* gdb.arch/amd64-prologue-skip-cf-protection.exp: Make the test
	compatible with i386, and move it to...
	* gdb.arch/i386-prologue-skip-cf-protection.exp: ... here.
	* gdb.arch/amd64-prologue-skip-cf-protection.c: Move to...
	* gdb.arch/i386-prologue-skip-cf-protection.c: ... here.

2020-09-18  Pedro Alves  <pedro@palves.net>

	PR gdb/26631
	* gdb.multi/multi-target-thread-find.exp: New file.

2020-09-18  Pedro Alves  <pedro@palves.net>

	* gdb.multi/multi-target-continue.exp: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target-info-inferiors.exp: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target-interrupt.exp: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target-no-resumed.exp: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target-ping-pong-next.exp: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target.exp.tcl: New file, factored out from
	multi-target.exp.
	* gdb.multi/multi-target.exp: Delete.

2020-09-18  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices.exp: Add missing message data.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.cp/call-c-1.c (foo) [__cplusplus]: Add extern "C".

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.python/py-frame-inline.exp: Adjust to optionally expect a
	full prototype.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.python/py-as-string.c: Add cast.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/sizeof.c (fill): Add cast.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/share-env-with-gdbserver.c (main): Add cast.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/prologue.c [__cplusplus] (marker): Explicitly specify
	linkage name.
	* gdb.base/prologue.exp: Use print /d.
	* gdb.base/symbol-alias.exp: Handle C++ output.
	* gdb.base/symbol-alias2.c: Handle C++ output.
	[__cplusplus] (func): Explicitly specify linkage name.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.python/py-nested-maps.c (struct key_t): Rename to...
	(struct my_key_t): ... this.  Adjust all references.
	(struct value_t): Rename to ...
	(struct my_value_t): ... this.  Adjust all references.
	(create_map, add_map_element, create_map_map)
	(add_map_map_element): Add casts.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.python/py-framefilter-mi.c (funca): Add casts.
	* gdb.python/py-framefilter.c.c (funca, func2): Add casts.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.mi/var-cmd.c (do_anonymous_type_tests): Add cast.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/exprs.c: Replace 'this' with 'self' throughout.
	* gdb.base/ptype.c: : Replace 'this' with 'self' throughout.
	(charfoo, intfoo): Define full prototype.
	* gdb.base/ptype1.c (charfoo): Define full prototype.
	* gdb.base/setvar.c: Replace 'this' with 'self' throughout.
	* gdb.base/whatis.c: Replace 'this' with 'self' throughout.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/charset.c [__cplusplus] (wchar_t, char16_t, char32_t):
	Don't define.
	(utf_32_string): Compile for both C and C++.
	* gdb.base/charset.exp: Use "print /d".

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/watchpoint.c (buf): Make it 31 bytes.
	(nullptr): Rename to ...
	(null_ptr): ... this.
	* gdb.base/watchpoint.exp: Adjust to rename.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/printcmds.c (three, flag_enum_without_zero)
	(three_not_flag): Add casts.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/examine-backward.c (Barrier, TestStrings): Now unsigned
	char array.
	(main): Add references to Barrier, TestStrings, TestStringsH and
	TestStringsW.
	* gdb.base/examine-backward.exp: Issue "set print asm-demangle on"
	and expect a full prototype in C++.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/nested-addr.c (main): Add cast.
	* gdb.base/nested-addr.exp: Use "print /d".

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/break.exp (func): New.  Use it throughout when
	expecting a function name.

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/display.exp: Issue "set print asm-demangle on".

2020-09-17  Pedro Alves  <pedro@palves.net>

	* gdb.base/find.c: Include <string.h>.
	(init_bufs): Add cast.
	* gdb.base/find.exp: Issue "set print asm-demangle on".

2020-09-16  Tom Tromey  <tromey@adacore.com>

	PR gdb/26598:
	* gdb.base/skipcxx.exp: New file.
	* gdb.base/skipcxx.cc: New file.

2020-09-16  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26617
	* gdb.dlang/watch-loc.c: Only add .debug_aranges if
        WITH_DEBUG_SECTIONS is defined.
	(xstr, str): New macro.
	(.debug_aranges): Use DMAIN_START_0/1/2 and DMAIN_LENGTH
	to get start and size of _Dmain.
	* gdb.dlang/watch-loc.exp: Pass DMAIN_START_0/1/2 and DMAIN_LENGTH
	using additional_flags.

2020-09-16  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/bp-cmds-sourced-script.c: New file.
	* gdb.base/bp-cmds-sourced-script.exp: New test.
	* gdb.base/bp-cmds-sourced-script.gdb: New file.

2020-09-16  Tom de Vries  <tdevries@suse.de>

	* lib/gdbserver-support.exp (gdbserver_exit): Make sure we
	get the gdb prompt after issuing "monitor exit".

2020-09-16  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26624
	* lib/gdb.exp (gdb_assert): Catch errors in condition evaluation.

2020-09-16  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26618
	* gdb.tui/new-layout.exp: Escape unbalanced braces.

2020-09-15  Tom Tromey  <tromey@adacore.com>

	PR rust/26197:
	* lib/rust-support.exp (rust_llvm_version): New proc.
	* gdb.rust/simple.exp: Check rust_llvm_version.

2020-09-14  Tom de Vries  <tdevries@suse.de>

	* gdb.rust/traits.exp: Fix PATH warning.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.base/catch-follow-exec.c (main): Add explicit return
	statement.
	* gdb.base/catch-signal.c (main): Likewise.
	* gdb.base/condbreak-call-false.c (main): Likewise.
	* gdb.base/consecutive.c (main): Add explicit return
	statement and return type.
	* gdb.base/cursal.c (main): Add explicit return statement.
	* gdb.base/cvexpr.c (main): Likewise.
	* gdb.base/display.c (main): Add explicit return statement and
	return type.
	* gdb.base/dprintf-detach.c (main): Add explicit return statement.
	* gdb.base/endianity.c (main): Likewise.
	* gdb.base/execd-prog.c (main): Likewise.
	* gdb.base/gdb1090.c (main): Likewise.
	* gdb.base/info_qt.c (main): Likewise.
	* gdb.base/lineinc.c (main): Likewise.
	* gdb.base/load-command.c (main): Likewise.
	* gdb.base/macscp1.c (main): Likewise.
	* gdb.base/pr10179-a.c (main): Likewise.
	* gdb.base/quit-live.c (main): Likewise.
	* gdb.base/scope0.c (main): Likewise.
	* gdb.base/settings.c (main): Likewise.
	* gdb.base/stack-checking.c (main): Return int.
	* gdb.base/varargs.c (main): Add explicit return statement.
	* gdb.cp/ambiguous.cc (main): Likewise.
	* gdb.cp/anon-struct.cc (main): Likewise.
	* gdb.cp/anon-union.cc (main): Likewise.
	* gdb.cp/bool.cc (main): Likewise.
	* gdb.cp/bs15503.cc (main): Likewise.
	* gdb.cp/cplusfuncs.cc (main): Likewise.
	* gdb.cp/cttiadd.cc (main): Likewise.
	* gdb.cp/extern-c.cc (main): Likewise.
	* gdb.cp/filename.cc (main): Likewise.
	* gdb.cp/formatted-ref.cc (main): Likewise.
	* gdb.cp/mb-ctor.cc (main): Likewise.
	* gdb.cp/member-ptr.cc (main): Likewise.
	* gdb.cp/minsym-fallback-main.cc (main): Likewise.
	* gdb.cp/overload-const.cc (main): Likewise.
	* gdb.cp/paren-type.cc (main): Likewise.
	* gdb.cp/parse-lang.cc (main): Likewise.
	* gdb.cp/pr-1023.cc (main): Likewise.
	* gdb.cp/psmang1.cc (main): Likewise.
	* gdb.cp/readnow-language.cc (main): Likewise.
	* gdb.cp/ref-params.cc (main): Likewise.
	* gdb.cp/rvalue-ref-params.cc (main): Likewise.
	* gdb.cp/virtbase2.cc (main): Likewise.
	* gdb.dwarf2/dw2-abs-hi-pc.c (main): Likewise.
	* gdb.dwarf2/dw2-namespaceless-anonymous.c (main): Likewise.
	* gdb.dwarf2/dw4-toplevel-types.cc (main): Likewise.
	* gdb.mi/mi-console.c (main): Likewise.
	* gdb.mi/mi-read-memory.c (main): Likewise.
	* gdb.modula2/multidim.c (main): Likewise.
	* gdb.opt/inline-small-func.c (main): Likewise.
	* gdb.python/py-rbreak.c (main): Likewise.
	* gdb.stabs/exclfwd1.c (main): Likewise.
	* gdb.trace/qtro.c (main): Likewise.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.base/share-env-with-gdbserver.c (main): Call my_getenv
	instead of getenv.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.base/dbx.exp (dbx_gdb_start): Adjust to use gdb_spawn
	instead of spawning GDB with remote_spawn.
	* lib/mi-support.exp (default_mi_gdb_start): Adjust to use
	gdb_spawn instead of spawning GDB with remote_spawn.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.dwarf2/ada-linkage-name.c (main): Move to the bottom of the
	file and add calls to first and second.
	* gdb.dwarf2/atomic.c (main): Move to the bottom of the file and
	add call to f.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.mi/mi-break-qualified.cc: New file.
	* gdb.mi/mi-break-qualified.exp: New file.
	* lib/mi-support.exp (mi_create_breakpoint_multi)
	(mi_make_breakpoint_loc, mi_make_breakpoint_multi): New
	procedures.
	(mi_create_breakpoint_1): New, factored out from
	mi_create_breakpoint.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.cp/inherit.exp: No longer pass -Wno-deprecated-register.
	* gdb.cp/misc.exp: No longer pass -Wno-deprecated-register.
	* gdb.cp/misc.cc (class small, small::method, marker_reg1)
	(register_class): Delete.
	(main): Don't call register_class.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.cp/classes.exp: No longer pass -Wno-deprecated-register.
	(do_tests): Remove "calling method for small class" test.
	* gdb.cp/classes.cc (class small, small::method, marker_reg1)
	(register_class): Delete.
	(main): Don't call register_class.
	* gdb.cp/call-method-register.exp: New file, based on bits removed
	from classes.exp.
	* gdb.cp/call-method-register.cc: New file, based on bits removed
	from classes.cc.

2020-09-13  Pedro Alves  <pedro@palves.net>

	* gdb.base/msym-bp-2.c: New.
	* gdb.base/msym-bp-shl-lib.c: New file.
	* gdb.base/msym-bp-shl-main-2.c: New file.
	* gdb.base/msym-bp-shl-main.c: New file.
	* gdb.base/msym-bp-shl.exp: New file.
	* gdb.base/msym-bp.c: New file.
	* gdb.base/msym-bp.exp: New file.

2020-09-13  Joel Brobecker  <brobecker@adacore.com>

	* gdb.base/default.exp: Change $_gdb_major to 11.

2020-09-11  Moritz Riesterer  <moritz.riesterer@intel.com>
	    Felix Willgerodt  <Felix.Willgerodt@intel.com>

	* x86-avx512bf16.c: New file.
	* x86-avx512bf16.exp: Likewise.
	* lib/gdb.exp (skip_avx512bf16_tests): New function.

2020-09-11  Tom de Vries  <tdevries@suse.de>

	PR exp/26602
	* gdb.cp/ambiguous.exp: Add KFAILs for PR26602.

2020-09-11  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/bp-cmds-execution-x-script.exp: Remove a stale comment.

2020-09-10  Alan Modra  <amodra@gmail.com>

	PR 26597
	* gdb.dlang/demangle.exp: Update tests as per gcc commit 387d0773f3.

2020-09-08  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/frame-inlined-in-outer-frame.exp: Consume gdb prompt
	after gdb_starti_cmd.

2020-09-03  Alok Kumar Sharma  <AlokKumar.Sharma@amd.com>

	* lib/fortran.exp (fortran_complex8): New proc.
	(fortran_complex16): New proc.
	* gdb.fortran/complex.exp: Use routines from fortran.exp
	* gdb.fortran/pointer-to-pointer.exp: Likewise.
	* gdb.fortran/vla-ptr-info.exp: Likewise.

2020-09-03  Tom de Vries  <tdevries@suse.de>

	PR breakpoint/26546
	* gdb.base/label-without-address.exp: Runto main first.

2020-09-02  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/mi_var_access.exp: Test children of access variable.
	* gdb.ada/mi_var_access/mi_access.adb: Add new stop markers.
	* gdb.ada/mi_var_array.exp: Update.

2020-08-31  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/corefile.exp (warning-free): XFAIL test when running
	on docker w/ AUFS storage driver.

2020-08-31  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/corefile2.exp (renamed binfile): New tests.

2020-08-31  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.dwarf2/dw2-reg-undefined.exp: Remove spurious #.

2020-08-31  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.dwarf2/frame-inlined-in-outer-frame.exp: New file.
	* gdb.dwarf2/frame-inlined-in-outer-frame.S: New file.

2020-08-31  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.dwarf2/dw2-reg-undefined.exp: Test "set debug frame 1"
	output, printing a "not saved" value from history and printing a
	convenience variable created from a "not saved" value.

2020-08-31  Tom de Vries  <tdevries@suse.de>

	* gdb.base/eh_return.exp: Use nopie.

2020-08-28  Pedro Alves  <pedro@palves.net>

	* gdb.base/advance-until-multiple-locations.exp
	(advance_overload, until_overload): Adjust to match the
	frame/function header instead of the source line text.

2020-08-28  Tom de Vries  <tdevries@suse.de>

	* gdb.base/label-without-address.c: New test.
	* gdb.base/label-without-address.exp: New file.

2020-08-27  Pedro Alves  <pedro@palves.net>

	PR gdb/26523
	PR gdb/26524
	* gdb.base/advance-until-multiple-locations.cc: New.
	* gdb.base/advance-until-multiple-locations.exp: New.

2020-08-27  Simon Marchi  <simon.marchi@polymtl.ca>

	*  gdb.dwarf2/dw2-reg-undefined.exp: Use multi_line.

2020-08-27  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/amd64-byte.exp: Make test names unique, use
	gdb_breakpoint, and fix typo 'forth' -> 'fourth'.
	* gdb.arch/amd64-dword.exp: Likewise.
	* gdb.arch/amd64-pseudo.c: Fix typo 'forth' -> 'fourth'.
	* gdb.arch/amd64-stap-special-operands.exp: Make test names
	unique.
	* gdb.arch/amd64-tailcall-ret.exp: Likewise.
	* gdb.arch/amd64-word.exp: Make test names unique, use
	gdb_breakpoint, and fix typo 'forth' -> 'fourth'.
	* gdb.arch/i386-byte.exp: Make test names unique, use
	gdb_breakpoint.
	* gdb.arch/i386-word.exp: Likewise.

2020-08-25  Shahab Vahedi  <shahab@synopsys.com>

	* gdb.arch/arc-tdesc-cpu.xml: Use new feature names.

2020-08-25  Simon Marchi  <simon.marchi@polymtl.ca>

	PR gdb/26532
	* gdb.threads/stepi-random-signal.exp: Update pattern.

2020-08-25  Simon Marchi  <simon.marchi@efficios.com>

	PR gdb/26532
	* gdb.base/ui-redirect.exp: Update pattern.

2020-08-25  Gary Benson <gbenson@redhat.com>

	* gdb.dwarf2/dw2-dir-file-name.exp: Use system assembler
	when compiling with clang.
	* gdb.dwarf2/dw2-restore.exp: Likewise.

2020-08-25  Gary Benson <gbenson@redhat.com>

	* gdb.cp/ambiguous.exp: Enable test when compiling with GCC.
	Add additional_flags=-Wno-inaccessible-base when compiling
	with GCC >= 10.1 or clang.  Add additional_flags=-w when
	compiling with GCC < 10.

2020-08-25  Gaius Mulley  <gaiusmod2@gmail.com>

	PR m2/26372
	* gdb.modula2/multidim.c: New file.
	* gdb.modula2/multidim.exp: New file.

2020-08-24  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/gdb.exp (runto): Always emit fail on internal error.

2020-08-24  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/gdb-sigterm.exp (do_test): Update expected regexp.
	* gdb.threads/signal-while-stepping-over-bp-other-thread.exp:
	Likewise.
	* gdb.threads/stepi-random-signal.exp: Likewise.

2020-08-20  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/print-file-var.exp: Fix typo "breapoint".
	* gdb.trace/strace.exp: Ditto.

2020-08-19  Alok Kumar Sharma  <AlokKumar.Sharma@amd.com>

	* gdb.fortran/vla-type.exp: Skip commands not required for
	the Flang compiled binaries after prologue fix.

2020-08-17  Tom de Vries  <tdevries@suse.de>
	    Tom Tromey  <tromey@adacore.com>

	PR rust/26197:
	* gdb.rust/simple.exp (xfail_pattern): Update for new failure.

2020-08-17  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/mi_var_access.exp: New file.
	* gdb.ada/mi_var_access/mi_access.adb: New file.
	* gdb.ada/mi_var_access/pck.adb: New file.
	* gdb.ada/mi_var_access/pck.ads: New file.

2020-08-16  Tom de Vries  <tdevries@suse.de>

	PR gdb/25350
	* gdb.base/eh_return.c: New test.
	* gdb.base/eh_return.exp: New file.

2020-08-15  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/mixed-lang-stack.c (fortran_charlen_t): New type.
	(mixed_func_1d_): Use fortran_charlen_t in decl.

2020-08-15  Tom de Vries  <tdevries@suse.de>

	PR backtrace/26390
	* gdb.fortran/mixed-lang-stack.exp: Call bt with -frame-arguments all.
	Update expected pattern.

2020-08-13  Pedro Alves  <pedro@palves.net>

	* gdb.fortran/complex.exp: Check skip_fortran_tests.
	* gdb.fortran/library-module.exp: Likewise.
	* gdb.fortran/logical.exp: Likewise.
	* gdb.fortran/module.exp: Likewise.
	* gdb.fortran/print_type.exp: Likewise.
	* gdb.fortran/vla-alloc-assoc.exp: Likewise.
	* gdb.fortran/vla-datatypes.exp: Likewise.
	* gdb.fortran/vla-history.exp: Likewise.
	* gdb.fortran/vla-ptr-info.exp: Likewise.
	* gdb.fortran/vla-ptype-sub.exp: Likewise.
	* gdb.fortran/vla-ptype.exp: Likewise.
	* gdb.fortran/vla-sizeof.exp: Likewise.
	* gdb.fortran/vla-type.exp: Likewise.
	* gdb.fortran/vla-value-sub-arbitrary.exp: Likewise.
	* gdb.fortran/vla-value-sub-finish.exp: Likewise.
	* gdb.fortran/vla-value-sub.exp: Likewise.
	* gdb.fortran/vla-value.exp: Likewise.

2020-08-13  Pedro Alves  <pedro@palves.net>

	* gdb.ada/access_tagged_param.exp: Check skip_ada_tests.
	* gdb.ada/access_to_packed_array.exp: Likewise.
	* gdb.ada/access_to_unbounded_array.exp: Likewise.
	* gdb.ada/addr_arith.exp: Likewise.
	* gdb.ada/arr_acc_idx_w_gap.exp: Likewise.
	* gdb.ada/arr_arr.exp: Likewise.
	* gdb.ada/arr_enum_idx_w_gap.exp: Likewise.
	* gdb.ada/array_bounds.exp: Likewise.
	* gdb.ada/array_of_variable_length.exp: Likewise.
	* gdb.ada/array_ptr_renaming.exp: Likewise.
	* gdb.ada/array_subscript_addr.exp: Likewise.
	* gdb.ada/arraydim.exp: Likewise.
	* gdb.ada/arrayparam.exp: Likewise.
	* gdb.ada/arrayptr.exp: Likewise.
	* gdb.ada/assign_1.exp: Likewise.
	* gdb.ada/assign_arr.exp: Likewise.
	* gdb.ada/atomic_enum.exp: Likewise.
	* gdb.ada/attr_ref_and_charlit.exp: Likewise.
	* gdb.ada/bad-task-bp-keyword.exp: Likewise.
	* gdb.ada/bias.exp: Likewise.
	* gdb.ada/boolean_expr.exp: Likewise.
	* gdb.ada/bp_c_mixed_case.exp: Likewise.
	* gdb.ada/bp_enum_homonym.exp: Likewise.
	* gdb.ada/bp_inlined_func.exp: Likewise.
	* gdb.ada/bp_on_var.exp: Likewise.
	* gdb.ada/bp_range_type.exp: Likewise.
	* gdb.ada/bp_reset.exp: Likewise.
	* gdb.ada/call_pn.exp: Likewise.
	* gdb.ada/catch_assert_if.exp: Likewise.
	* gdb.ada/catch_ex.exp: Likewise.
	* gdb.ada/catch_ex_std.exp: Likewise.
	* gdb.ada/char_enum.exp: Likewise.
	* gdb.ada/char_param.exp: Likewise.
	* gdb.ada/complete.exp: Likewise.
	* gdb.ada/cond_lang.exp: Likewise.
	* gdb.ada/convvar_comp.exp: Likewise.
	* gdb.ada/dgopt.exp: Likewise.
	* gdb.ada/disc_arr_bound.exp: Likewise.
	* gdb.ada/display_nested.exp: Likewise.
	* gdb.ada/dot_all.exp: Likewise.
	* gdb.ada/dyn_loc.exp: Likewise.
	* gdb.ada/dyn_stride.exp: Likewise.
	* gdb.ada/excep_handle.exp: Likewise.
	* gdb.ada/expr_delims.exp: Likewise.
	* gdb.ada/expr_with_funcall.exp: Likewise.
	* gdb.ada/exprs.exp: Likewise.
	* gdb.ada/fin_fun_out.exp: Likewise.
	* gdb.ada/fixed_cmp.exp: Likewise.
	* gdb.ada/formatted_ref.exp: Likewise.
	* gdb.ada/frame_arg_lang.exp: Likewise.
	* gdb.ada/frame_args.exp: Likewise.
	* gdb.ada/fullname_bp.exp: Likewise.
	* gdb.ada/fun_addr.exp: Likewise.
	* gdb.ada/fun_in_declare.exp: Likewise.
	* gdb.ada/fun_overload_menu.exp: Likewise.
	* gdb.ada/fun_renaming.exp: Likewise.
	* gdb.ada/funcall_char.exp: Likewise.
	* gdb.ada/funcall_param.exp: Likewise.
	* gdb.ada/funcall_ptr.exp: Likewise.
	* gdb.ada/funcall_ref.exp: Likewise.
	* gdb.ada/homonym.exp: Likewise.
	* gdb.ada/info_addr_mixed_case.exp: Likewise.
	* gdb.ada/info_auto_lang.exp: Likewise.
	* gdb.ada/info_exc.exp: Likewise.
	* gdb.ada/info_types.exp: Likewise.
	* gdb.ada/int_deref.exp: Likewise.
	* gdb.ada/interface.exp: Likewise.
	* gdb.ada/iwide.exp: Likewise.
	* gdb.ada/lang_switch.exp: Likewise.
	* gdb.ada/length_cond.exp: Likewise.
	* gdb.ada/maint_with_ada.exp: Likewise.
	* gdb.ada/mi_catch_assert.exp: Likewise.
	* gdb.ada/mi_catch_ex.exp: Likewise.
	* gdb.ada/mi_catch_ex_hand.exp: Likewise.
	* gdb.ada/mi_dyn_arr.exp: Likewise.
	* gdb.ada/mi_ex_cond.exp: Likewise.
	* gdb.ada/mi_exc_info.exp: Likewise.
	* gdb.ada/mi_interface.exp: Likewise.
	* gdb.ada/mi_prot.exp: Likewise.
	* gdb.ada/mi_ref_changeable.exp: Likewise.
	* gdb.ada/mi_string_access.exp: Likewise.
	* gdb.ada/mi_task_arg.exp: Likewise.
	* gdb.ada/mi_task_info.exp: Likewise.
	* gdb.ada/mi_var_array.exp: Likewise.
	* gdb.ada/mi_var_union.exp: Likewise.
	* gdb.ada/mi_variant.exp: Likewise.
	* gdb.ada/minsyms.exp: Likewise.
	* gdb.ada/mod_from_name.exp: Likewise.
	* gdb.ada/nested.exp: Likewise.
	* gdb.ada/null_array.exp: Likewise.
	* gdb.ada/optim_drec.exp: Likewise.
	* gdb.ada/out_of_line_in_inlined.exp: Likewise.
	* gdb.ada/packed_array_assign.exp: Likewise.
	* gdb.ada/packed_tagged.exp: Likewise.
	* gdb.ada/pp-rec-component.exp: Likewise.
	* gdb.ada/print_chars.exp: Likewise.
	* gdb.ada/print_pc.exp: Likewise.
	* gdb.ada/ptr_typedef.exp: Likewise.
	* gdb.ada/ptype_arith_binop.exp: Likewise.
	* gdb.ada/ptype_array.exp: Likewise.
	* gdb.ada/ptype_field.exp: Likewise.
	* gdb.ada/ptype_tagged_param.exp: Likewise.
	* gdb.ada/ptype_union.exp: Likewise.
	* gdb.ada/py_range.exp: Likewise.
	* gdb.ada/py_taft.exp: Likewise.
	* gdb.ada/rdv_wait.exp: Likewise.
	* gdb.ada/rec_comp.exp: Likewise.
	* gdb.ada/rec_return.exp: Likewise.
	* gdb.ada/ref_param.exp: Likewise.
	* gdb.ada/ref_tick_size.exp: Likewise.
	* gdb.ada/rename_subscript_param.exp: Likewise.
	* gdb.ada/repeat_dyn.exp: Likewise.
	* gdb.ada/same_component_name.exp: Likewise.
	* gdb.ada/same_enum.exp: Likewise.
	* gdb.ada/scalar_storage.exp: Likewise.
	* gdb.ada/set_wstr.exp: Likewise.
	* gdb.ada/small_reg_param.exp: Likewise.
	* gdb.ada/str_binop_equal.exp: Likewise.
	* gdb.ada/str_ref_cmp.exp: Likewise.
	* gdb.ada/str_uninit.exp: Likewise.
	* gdb.ada/sub_variant.exp: Likewise.
	* gdb.ada/sym_print_name.exp: Likewise.
	* gdb.ada/taft_type.exp: Likewise.
	* gdb.ada/tagged.exp: Likewise.
	* gdb.ada/tagged_access.exp: Likewise.
	* gdb.ada/task_bp.exp: Likewise.
	* gdb.ada/task_switch_in_core.exp: Likewise.
	* gdb.ada/tasks.exp: Likewise.
	* gdb.ada/tick_last_segv.exp: Likewise.
	* gdb.ada/tick_length_array_enum_idx.exp: Likewise.
	* gdb.ada/type_coercion.exp: Likewise.
	* gdb.ada/unc_arr_ptr_in_var_rec.exp: Likewise.
	* gdb.ada/unchecked_union.exp: Likewise.
	* gdb.ada/uninitialized_vars.exp: Likewise.
	* gdb.ada/var_arr_attrs.exp: Likewise.
	* gdb.ada/var_arr_typedef.exp: Likewise.
	* gdb.ada/var_rec_arr.exp: Likewise.
	* gdb.ada/variant-record.exp: Likewise.
	* gdb.ada/variant.exp: Likewise.
	* gdb.ada/variant_record_packed_array.exp: Likewise.
	* gdb.ada/varsize_limit.exp: Likewise.
	* gdb.ada/whatis_array_val.exp: Likewise.
	* gdb.ada/widewide.exp: Likewise.
	* gdb.ada/win_fu_syms.exp: Likewise.

2020-08-12  Gary Benson  <gbenson@redhat.com>

	* gdb.dwarf2/dw2-op-out-param.S (.Ltext5): Fix duplicate label.

2020-08-04  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/check-test-names.exp (do_reset_vars): Use 'array unset' to
	unset the array variable.

2020-08-03  Tom de Vries  <tdevries@suse.de>

	PR symtab/26333
	* lib/dwarf.exp (DW_LNE_user): New proc.
	* gdb.dwarf2/dw2-vendor-extended-opcode.c: New test.
	* gdb.dwarf2/dw2-vendor-extended-opcode.exp: New file.

2020-07-31  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/coremaker2.c: Change all uses of 'unsigned long long'
	to 'uintptr_t'
	(inttypes.h): Include.

2020-07-31  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/coremaker2.c (buf_rw): Increase size to 256 KiB.
	(C5_24k): Delete.
	(C5_8k, C5_64k, C5_256k): New macros.
	(buf_ro): Allocate 256 KiB of initialized data.

2020-07-30  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak-bad.exp: Extend the test with scenarios
	that attempt to overwrite an existing condition with a condition
	that fails parsing and also with a condition that parses fine
	but contains junk at the end.

2020-07-30  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/condbreak-bad.c: New test.
	* gdb.base/condbreak-bad.exp: New file.

2020-07-30  Tom de Vries  <tdevries@suse.de>

	* lib/sym-info-cmds.exp (GDBInfoModuleSymbols::check_entry_1): Factor
	out of ...
	(GDBInfoModuleSymbols::check_entry): ... here.
	(GDBInfoModuleSymbols::check_optional_entry): New proc.
	* gdb.fortran/info-modules.exp: Use check_optional_entry for entries
	related to __def_init_mod1_M1t1 / __vtype_mod1_M1t1 / __copy_mod1_M1t1.

2020-07-30  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/ptype-on-functions.exp: Make "_t" suffix on
	"__class_some_module_Number_t" optional.

2020-07-29  Tom de Vries  <tdevries@suse.de>

	* lib/selftest-support.exp (selftest_setup): Allow breakpoint at
	multiple locations.

2020-07-29  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-line-number-zero.exp: Set breakpoints on lines
	rather than function name.

2020-07-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR symtab/26270:
	* gdb.cp/disasm-func-name.cc: New file.
	* gdb.cp/disasm-func-name.exp: New file.

2020-07-28  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/varval.exp (setup_exec): Add 'or' instruction to
	'varval' location.

2020-07-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-unwind.py: Update to make use of a register
	descriptor.

2020-07-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-arch-reg-names.exp: Add additional tests.

2020-07-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR fortran/23051
	PR fortran/26139
	* gdb.fortran/class-allocatable-array.exp: New file.
	* gdb.fortran/class-allocatable-array.f90: New file.
	* gdb.fortran/pointer-to-pointer.exp: New file.
	* gdb.fortran/pointer-to-pointer.f90: New file.

2020-07-25  Tom de Vries  <tdevries@suse.de>

	PR symtab/26243
	* gdb.dwarf2/dw2-line-number-zero.c: New test.
	* gdb.dwarf2/dw2-line-number-zero.exp: New file.

2020-07-24  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26293
	* gdb.ada/mi_prot.exp: Require gnatmake-8.

2020-07-23  Pedro Alves  <pedro@palves.net>

	* gdb.server/server-kill.exp (prepare): New, factored out from the
	top level.
	(kill_server): New.
	(test_tstatus, test_unwind_nosyms, test_unwind_syms): New.
	(top level) : Call test_tstatus, test_unwind_nosyms, test_unwind_syms.

2020-07-23  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-disasm-over-non-stmt.exp: New file.

2020-07-22  Sandra Loosemore  <sandra@codesourcery.com>

	* lib/gdb.exp (gdb_wrapper_file, gdb_wrapper_flags):
	Initialize to empty string at top level.
	(gdb_wrapper_init): Revert check for file existence on build.
	Build the wrapper in its default place, not a build-specific
	location.  When host == build, make the pathname absolute.
	(gdb_compile): Delete leftover declaration of
	gdb_wrapper_initialized.  Check gdb_wrapper_file being an empty
	string instead of uninitialized.

2020-07-22  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/corefile2.exp: New file.
	* gdb.base/coremaker2.exp: New file.

2020-07-22  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/coredump-filter.exp: Add second
	non-Private-Shared-Anon-File test.
	(test_disasm): Rename binfile for test which is expected
	to fail.

2020-07-22  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/corefile.exp: Add test "accessing read-only mmapped
	data in core file".
	* gdb.base/coremaker.c (buf2ro): New global.
	(mmapdata): Add a read-only mmap mapping.

2020-07-22  Kevin Buettner  <kevinb@redhat.com>

	PR corefiles/25631
	* gdb.base/corefile.exp (accessing anonymous, unwritten-to mmap data):
	New test.
	* gdb.base/coremaker.c (buf3): New global.
	(mmapdata): Add mmap call which uses MAP_ANONYMOUS and MAP_PRIVATE
	flags.

2020-07-22  Kevin Buettner  <kevinb@redhat.com>

	* gdb.base/coremaker.c (filler_ro): New global constant.

2020-07-22  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/mi_prot.exp: New file.
	* gdb.ada/mi_prot/pkg.adb: New file.
	* gdb.ada/mi_prot/pkg.ads: New file.
	* gdb.ada/mi_prot/prot.adb: New file.

2020-07-22  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/jit-reader-simple.exp: Add a scenario for a binary that
	loads two JITers.

2020-07-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-arch-reg-groups.exp: Additional tests.

2020-07-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-arch-reg-names.exp: Additional tests.

2020-07-21  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/solib-precsave.exp: Handle additional "recommended
	breakpoint locations".
	* gdb.reverse/solib-reverse.exp: Same.

2020-07-21  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/step-reverse.c (callee): Merge statements.

2020-07-21  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/info-modules.exp (info module variables): Allow missing
	line numbers for some variables.

2020-07-21  Tom de Vries  <tdevries@suse.de>

	* gdb.opt/inline-locals.c (init_array): New func.
	(func1): Use init_array.
	* gdb.opt/inline-locals.exp: Update pattern.

2020-07-21  Tom de Vries  <tdevries@suse.de>

	* gdb.debuginfod/fetch_src_and_symbols.exp: Use save_vars for env
	vars.  Fix PATH and DUPLICATE errors.  Cleanup whitespace.

2020-07-20  Ludovic Courtès  <ludo@gnu.org>

	* gdb.guile/source2.scm: Add #f first argument to 'format'.
	* gdb.guile/types-module.exp: Remove "ERROR:" from
	regexps since Guile 3.0 no longer prints that.

2020-07-20  Ludovic Courtès  <ludo@gnu.org>

	* gdb.guile/scm-error.exp ("source $remote_guile_file_1"): Relax
	error regexp to match on Guile 2.2.

2020-07-20  Gary Benson <gbenson@redhat.com>

	* gdb.cp/align.exp: Fix "alignof (void)" tests when compiling
	with clang.

2020-07-20  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/omp-par-scope.c (lock, lock2): New variable.
	(omp_set_lock_in_order): New function.
	(single_scope, multi_scope, nested_func, nested_parallel): Use
	omp_set_lock_in_order and omp_unset_lock.
	(main): Init and destroy lock and lock2.

2020-07-20  Tom de Vries  <tdevries@suse.de>

	* gdb.base/valgrind-infcall-2.exp: Handle printf unknown return type.

2020-07-20  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/attach-slow-waitpid.exp: Bail out if gdb_start fails.

2020-07-17  Tom de Vries  <tdevries@suse.de>

	* gdb.base/valgrind-infcall-2.c: New test.
	* gdb.base/valgrind-infcall-2.exp: New file.
	* lib/valgrind.exp (vgdb_start): Add and handle active_at_startup.

2020-07-17  Tom de Vries  <tdevries@suse.de>

	* gdb.dlang/circular.c (found): Use found_label as label name.
	* gdb.dwarf2/arr-subrange.c (main): Use main_label as label name.
	* gdb.dwarf2/comp-unit-lang.c (func): Use func_label as label name.
	* gdb.dlang/circular.exp: Use MACRO_AT_func and MACRO_AT_range.
	* gdb.dwarf2/ada-linkage-name.exp: Same.
	* gdb.dwarf2/arr-subrange.exp: Same.
	* gdb.dwarf2/atomic-type.exp: Same.
	* gdb.dwarf2/comp-unit-lang.exp: Same.
	* gdb.dwarf2/cpp-linkage-name.exp: Same.
	* gdb.dwarf2/dw2-bad-mips-linkage-name.exp: Same.
	* gdb.dwarf2/dw2-lexical-block-bare.exp: Same.
	* gdb.dwarf2/dw2-regno-invalid.exp: Same.
	* gdb.dwarf2/implptr-64bit.exp: Same.
	* gdb.dwarf2/imported-unit-abstract-const-value.exp: Same.
	* gdb.dwarf2/imported-unit-runto-main.exp: Same.
	* gdb.dwarf2/imported-unit.exp: Same.
	* gdb.dwarf2/main-subprogram.exp: Same.
	* gdb.dwarf2/missing-type-name.exp: Same.
	* gdb.dwarf2/nonvar-access.exp: Same.
	* gdb.dwarf2/struct-with-sig.exp: Same.
	* gdb.dwarf2/typedef-void-finish.exp: Same.
	* gdb.dwarf2/void-type.exp: Same.

2020-07-17  Tom de Vries  <tdevries@suse.de>

	* lib/dwarf.exp (Dwarf::MACRO_AT_func, Dwarf::MACRO_AT_range): Drop
	src parameter.
	* gdb.dlang/watch-loc.exp: Update MACRO_AT_{func,range} calls.
	* gdb.dwarf2/bitfield-parent-optimized-out.exp: Same.
	* gdb.dwarf2/dw2-ifort-parameter.exp: Same.
	* gdb.dwarf2/dw2-opt-structptr.exp: Same.
	* gdb.dwarf2/dwz.exp: Same.
	* gdb.dwarf2/implptr-optimized-out.exp: Same.
	* gdb.dwarf2/implref-array.exp: Same.
	* gdb.dwarf2/implref-const.exp: Same.
	* gdb.dwarf2/implref-global.exp: Same.
	* gdb.dwarf2/implref-struct.exp: Same.
	* gdb.dwarf2/info-locals-optimized-out.exp: Same.
	* gdb.dwarf2/opaque-type-lookup.exp: Same.
	* gdb.dwarf2/var-access.exp: Same.
	* gdb.dwarf2/varval.exp: Same.
	* gdb.trace/entry-values.exp: Same.

2020-07-17  Tom de Vries  <tdevries@suse.de>

	* lib/dwarf.exp (Dwarf::extern): Remove.
	* gdb.compile/compile-ops.exp: Remove use of Dwarf::extern.
	* gdb.dlang/circular.exp: Same.
	* gdb.dwarf2/comp-unit-lang.exp: Same.
	* gdb.dwarf2/dw2-ifort-parameter.exp: Same.
	* gdb.dwarf2/dw2-symtab-includes.exp: Same.
	* gdb.dwarf2/dwz.exp: Same.
	* gdb.dwarf2/imported-unit-abstract-const-value.exp: Same.
	* gdb.dwarf2/imported-unit-runto-main.exp: Same.
	* gdb.dwarf2/imported-unit.exp: Same.
	* gdb.dwarf2/opaque-type-lookup.exp: Same.

2020-07-16  Sandra Loosemore  <sandra@codesourcery.com>

	* gdb.base/shell.exp: Skip pipe tests dependent on sh on Windows host.
	Use double quotes instead of single quotes.

2020-07-16  Caroline Tice  <cmtice@google.com>

	* gdb.dwarf2/dw5-rnglist-test.cc: New file.
	* gdb.dwarf2/dw5-rnglist-test.exp: New file.

2020-07-16  Tom de Vries  <tdevries@suse.de>

	* lib/dwarf.exp (program): Initialize _line.
	(DW_LNE_end_sequence): Reinitialize _line.
	(DW_LNS_advance_line): Update _line.
	(line): New proc.
	* gdb.dwarf2/dw2-inline-many-frames.exp: Use line.
	* gdb.dwarf2/dw2-inline-small-func.exp: Same.
	* gdb.dwarf2/dw2-inline-stepping.exp: Same.
	* gdb.dwarf2/dw2-is-stmt-2.exp: Same.
	* gdb.dwarf2/dw2-is-stmt.exp: Same.
	* gdb.dwarf2/dw2-ranges-func.exp: Same.

2020-07-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/ptype-on-functions.exp: Make the result pattern more
	generic.

2020-07-15  Tom de Vries  <tdevries@suse.de>

	* gdb.trace/entry-values.exp: Expect "call" instead of "callq" if
	is_amd64_regs_target.

2020-07-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/ptype-on-functions.exp: Add more tests.
	* gdb.fortran/ptype-on-functions.f90: Likewise.

2020-07-14  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/dwarf.exp (Dwarf::cu, Dwarf::tu, Dwarf::lines): Change valid
	values in documentation for addr_size to 4 and 8.

2020-07-14  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/amd64-osabi.exp: Update.
	* gdb.arch/arm-disassembler-options.exp: Update.
	* gdb.arch/powerpc-disassembler-options.exp: Update.
	* gdb.arch/ppc64-symtab-cordic.exp: Update.
	* gdb.arch/s390-disassembler-options.exp: Update.
	* gdb.base/all-architectures.exp.tcl: Update.
	* gdb.base/attach-pie-noexec.exp: Update.
	* gdb.base/catch-syscall.exp: Update.
	* gdb.xml/tdesc-arch.exp: Update.

2020-07-14  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/clone-new-thread-event.c (gettid): Rename to ...
	(local_gettid): ... this.
	(fn): Update.

2020-07-13  Sandra Loosemore  <sandra@codesourcery.com>

	* gdb.base/info_sources.exp: Skip directory match tests on
	remote hosts.

2020-07-13  Gary Benson <gbenson@redhat.com>

	* gdb.base/savedregs.exp (caller): Use parentheses to
	make expected expression evaluation ordering explicit.

2020-07-13  Gary Benson <gbenson@redhat.com>

	* gdb.arch/i386-sse.c (have_sse) <edx>: Make unsigned.

2020-07-13  Gary Benson <gbenson@redhat.com>

	* gdb.base/bigcore.c (main): Use a volatile pointer when
	attempting to trigger a SIGSEGV.
	* gdb.base/gcore-relro-pie.c (break_here): Likewise.
	* gdb.base/gcore-tls-pie.c (break_here): Likewise.
	* gdb.base/savedregs.c (thrower): Likewise.
	* gdb.mi/mi-syn-frame.c (bar): Likewise.

2020-07-13  Gary Benson <gbenson@redhat.com>

	* gdb.base/vla-datatypes.c (vla_factory): Factor out sections
	defining and using VLA structure fields into...
	* gdb.base/vla-struct-fields.c: New file.
	* gdb.base/vla-datatypes.exp: Factor out VLA structure field
	tests into...
	* gdb.base/vla-struct-fields.exp: New file.

2020-07-13  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (have_fuse_ld_gold): New caching proc.
	* gdb.base/gcore-tls-pie.exp: Use have_fuse_ld_gold.
	* gdb.base/gold-gdb-index.exp: Same.
	* gdb.base/morestack.exp: Same.

2020-07-11  Daniel Xu  <dxu@dxuuu.xyz>

	PR rust/26121
	* gdb.rust/modules.rs: Prevent linker from discarding test
	symbol.

2020-07-10  Pedro Alves  <pedro@palves.net>

	PR gdb/26199
	* gdb.multi/multi-target.c (exit_thread): New.
	(thread_start): Break loop if EXIT_THREAD.
	* gdb.multi/multi-target.exp (test_no_unwaited_for): New proc.
	(top level) Call test_no_resumed.

2020-07-08  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/catch_ex/foo.adb: Pass string to raise.
	* gdb.ada/catch_ex.exp: Examine catchpoint text.

2020-07-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR python/22748
	* gdb.opt/inline-frame-tailcall.c: New file.
	* gdb.opt/inline-frame-tailcall.exp: New file.
	* gdb.python/py-unwind-inline.c: New file.
	* gdb.python/py-unwind-inline.exp: New file.
	* gdb.python/py-unwind-inline.py: New file.

2020-07-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-arch-reg-groups.exp: New file.

2020-07-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-arch-reg-names.exp: New file.

2020-07-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-unwind.py (TestUnwinder::__call__): Add test for
	gdb.PendingFrame.architecture method.

2020-07-06  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-ranges-base.exp: Test line-table order.

2020-07-03  Pedro Alves  <palves@redhat.com>

	* gdb.base/structs2.c (main): Adjust second parem_reg call to
	explicitly write negative numbers.
	* gdb.base/structs2.exp: Adjust expected output.

2020-07-03  Pedro Alves  <palves@redhat.com>

	* gdb.base/charset.c (init_string): Change all char parameters to
	unsigned char parameters.

2020-07-03  Pedro Alves  <palves@redhat.com>

	* gdb.base/call-sc.exp (start_scalars_test): Use
	prepare_for_testing and don't try compiling with -DNO_PROTOTYPES.
	* gdb.base/overlays.c: Remove references to PARAMS.
	* gdb.base/ovlymgr.h (PARAMS): Delete, and remove all references.
	* gdb.base/reread.exp: Don't set 'prototypes' global.
	* gdb.base/structs.exp (start_structs_test): Use
	prepare_for_testing and don't try compiling with -DNO_PROTOTYPES.
	* gdb.base/structs2.exp: Don't set 'prototypes' global.  Use
	prepare_for_testing and don't try compiling with -DNO_PROTOTYPES.
	Don't issue "set width 0".  Remove gdb_stop_suppressing_tests
	call.
	* gdb.base/varargs.exp: Don't set 'prototypes' global.

2020-07-03  Pedro Alves  <palves@redhat.com>

	* gdb.base/m32rovly.c: Delete.
	* gdb.base/ovlymgr.c: Remove all code guarded by __D10V__.

2020-06-30  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.python/py-breakpoint.exp: use gdb_test_multiline instead
	of gdb_py_test_multiple.
	* gdb.python/py-cmd.exp: Likewise.
	* gdb.python/py-events.exp: Likewise.
	* gdb.python/py-function.exp: Likewise.
	* gdb.python/py-inferior.exp: Likewise.
	* gdb.python/py-infthread.exp: Likewise.
	* gdb.python/py-linetable.exp: Likewise.
	* gdb.python/py-parameter.exp: Likewise.
	* gdb.python/py-value.exp: Likewise.

2020-06-30  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26175
	* lib/future.exp (gdb_default_target_compile): Detect and handle
	early_flags.

2020-06-29  Simon Marchi  <simon.marchi@efficios.com>

	* boards/simavr.exp (gdb_load): Catch errors when closing
	previous connection.  Close connection, wait for process and
	unset simavr_spawn_id on failure.

2020-06-29  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (unknown): Make test-case unresolved.

2020-06-29  Tom de Vries  <tdevries@suse.de>

	PR gdb/25475
	* gdb.server/solib-list.exp: Verify that the symbol reload
	confirmation question is asked.

2020-06-26  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* lib/gdb.exp (gdb_test_multiline): New, moved from gdb-guile.exp,
	have a input seq nr in each pass message.
	* lib/gdb-guile.exp (gdb_test_multiline): Move to gdb.exp.
	* lib/gdb-python.exp (gdb_py_test_multiple): Remove.
	* gdb.python/python.exp: Make test names unique,
	use gdb_test_multiline instead of gdb_py_test_multiple,
	use $gdb_test_name.
	* gdb.guile/guile.exp: Make test names unique, use $gdb_test_name

2020-06-26  Nick Alcock  <nick.alcock@oracle.com>

	* configure.ac: Add --enable-libctf.
	* aclocal.m4: sinclude ../config/enable.m4.
	* Makefile.in (site.exp): Add enable_libctf to site.exp.
	* lib/gdb.exp (skip_ctf_tests): Use it.
	* gdb.base/ctf-constvars.exp: Error message tweak.
	* gdb.base/ctf-ptype.exp: Likewise.
	* configure: Regenerate.

2020-06-26  Gary Benson <gbenson@redhat.com>

	* gdb.cp/try_catch.cc: Include string.h.
	(main): Replace comparison against string literal with
	strcmp, avoiding build failure with -Wstring-compare.
	Add "marker test-complete".
	* gdb.cp/try_catch.exp: Run the test to the above marker,
	then verify that the value of "test" is still true.

2020-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs.exp: New test cases.

2020-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs.exp: Extend test case.

2020-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-loading-01.xml: New file.
	* gdb.arch/riscv-tdesc-loading-02.xml: New file.
	* gdb.arch/riscv-tdesc-loading-03.xml: New file.
	* gdb.arch/riscv-tdesc-loading-04.xml: New file.
	* gdb.arch/riscv-tdesc-loading.exp: New file.

2020-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs.exp: Extend test case.

2020-06-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.arch/riscv-tdesc-regs-32.xml: New file.
	* gdb.arch/riscv-tdesc-regs-64.xml: New file.
	* gdb.arch/riscv-tdesc-regs.c: New file.
	* gdb.arch/riscv-tdesc-regs.exp: New file.

2020-06-24  Pedro Alves  <palves@redhat.com>

	* gdb.arch/amd64-entry-value-paramref.exp: Use
	prepare_for_testing_full and don't pass "c++" for the .S file
	build spec.
	* gdb.compile/compile-cplus.exp: Don't compile $srcfile3 with
	$options, since it's an assembly file.  Remove -Wno-deprecated.
	* lib/gdb.exp (gdb_compile): Pass "-x c++" explicitly when
	compiling C++ programs.

2020-06-24  Pedro Alves  <palves@redhat.com>

	* lib/gdb.exp (gdb_compile): Update intro comment.  If C/C++ with
	Clang, add "-Wno-unknown-warning-option" to the options.

2020-06-23  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.xml/tdesc-reload.c: New file.
	* gdb.xml/tdesc-reload.exp: New file.
	* gdb.xml/maint-xml-dump-01.xml: New file.
	* gdb.xml/maint-xml-dump-02.xml: New file.
	* gdb.xml/maint-xml-dump.exp: New file.

2020-06-23  Sandra Loosemore  <sandra@codesourcery.com>

	* lib/completion-support.exp (test_gdb_completion_offers_commands):
	Adjust for omitted commands when TUI is disabled.

2020-06-23  Gary Benson <gbenson@redhat.com>
	    Pedro Alves  <palves@redhat.com>

	* gdb.cp/namespace.cc: Improve -Wunused-value fix.
	* gdb.cp/nsimport.cc: Likewise.
	* gdb.cp/nsnested.cc: Likewise.
	* gdb.cp/nsnoimports.cc: Likewise.
	* gdb.cp/nsusing.cc: Likewise.
	* gdb.cp/smartp.cc: Likewise.
	* gdb.python/py-pp-integral.c: Likewise.
	* gdb.python/py-pp-re-notag.c: Likewise.

2020-06-23  Gary Benson <gbenson@redhat.com>

	* gdb.cp/namespace.cc: Avoid build failure with -Wunused-value.
	* gdb.cp/nsimport.cc: Likewise.
	* gdb.cp/nsnested.cc: Likewise.
	* gdb.cp/nsnoimports.cc: Likewise.
	* gdb.cp/nsusing.cc: Likewise.
	* gdb.cp/smartp.cc: Likewise.
	* gdb.python/py-pp-integral.c: Likewise.
	* gdb.python/py-pp-re-notag.c: Likewise.

2020-06-22  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/default-args.exp: New test.
	* gdb.base/default-args.c: New file.
	* gdb.base/alias.exp: Update expected error msg for alias foo=bar.
	* gdb.base/default.exp: Update to new help text.
	* gdb.base/help.exp: Likewise.
	* gdb.base/page.exp: Likewise.
	* gdb.base/style.exp: Likewise.
	* gdb.guile/guile.exp: Likewise.
	* gdb.python/python.exp: Likewise.

2020-06-22  Sandra Loosemore  <sandra@codesourcery.com>

	* gdb.base/source-dir.exp (test_truncated_comp_dir): Skip on
	remote host.  Fix search path syntax on Windows host.

2020-06-21  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/attach.exp: Test priority of 'exec-file' changed
	over 'exec-file-mismatch'.
	* gdb.base/attach.c: Mark should_exit volatile.
	* gdb.base/attach2.c: Likewise.  Add a comment explaining
	why the sleep cannot be big.
	* gdb.base/attach3.c: New file.

2020-06-20  Sandra Loosemore  <sandra@codesourcery.com>

	* gdb.mi/mi-sym-info.exp: Adjust filename patterns to make directory
	prefix optional.

2020-06-20  Sandra Loosemore  <sandra@codesourcery.com>

	* gdb.base/list-missing-source.exp: Correct $srcfile manipulation
	for remote host.

2020-06-19  Sandra Loosemore  <sandra@codesourcery.com>
	    Hafiz Abid Qadeer  <abidh@codesourcery.com>

	* gdb.xml/tdesc-regs.exp (load_description): Correct pathname of
	file sent to remote host.
	(top level): Allow int32_t as type of 32-bit register.

2020-06-19  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_note): New proc.
	* lib/future.exp (gdb_default_target_compile_1): Factor out of ...
	(gdb_default_target_compile): ... here.  Only call
	gdb_default_target_compile_1 if use_gdb_compile(<lang>) is set.
	(use_gdb_compile): Change to array.
	(toplevel): Update sets of use_gdb_compile to specify language.
	Warn about default_target_compile override.  Store dejagnu's version
	of default_target_compile in dejagnu_default_target_compile.

2020-06-18  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_init): Move all but call to default_gdb_init to ...
	(default_gdb_init): ... here.

2020-06-17 Sandra Loosemore <sandra@codesourcery.com>

	Fix TUI support checks in gdb.tui tests.

	* gdb.tui/basic.exp: Skip test when TUI is unsupported, don't
	just say UNSUPPORTED.
	* gdb.tui/corefile-run.exp: Likewise.
	* gdb.tui/empty.exp: Likewise.
	* gdb.tui/list-before.exp: Likewise.
	* gdb.tui/list.exp: Likewise.
	* gdb.tui/main.exp: Likewise.
	* gdb.tui/regs.exp: Likewise.
	* gdb.tui/resize.exp: Likewise.
	* gdb.tui/tui-layout-asm-short-prog.exp: Likewise.
	* gdb.tui/tui-layout-asm.exp: Likewise.
	* gdb.tui/tui-missing-src.exp: Likewise.
	* gdb.tui/winheight.exp: Likewise.
	* gdb.tui/new-layout.exp: Likewise.  Also move check earlier.

2020-06-17 Sandra Loosemore <sandra@codesourcery.com>

	Fix TCL error in gdb.python/py-format-string.exp.

	* gdb.python/py-format-string.exp: Move test for python support
	earlier, out of function body.

2020-06-15  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/index-cache-load-twice.c: New.
	* gdb.base/index-cache-load-twice.exp: New.

2020-06-17  Keith Seitz  <keiths@redhat.com>

	* gdb.debuginfod/fetch_src_and_symbols.exp: Pass INTERNAL_GDBFLAGS
	when executing "gdb --configuration".

2020-06-17  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_tcl_unknown): New proc.
	(gdb_init): Use gdb_tcl_unknown for ::unknown override.  Make override
	conditional on presence of gdb_tcl_unknown.
	(gdb_finish): Make override undo conditional on presence of
	gdb_tcl_unknown.

2020-06-16  Tom Tromey  <tom@tromey.com>

	* gdb.python/tui-window.py (failwin): New function.  Register it
	as a TUI window type.
	* gdb.python/tui-window.exp: Create new "fail" layout.  Test it.

2020-06-16  Gary Benson <gbenson@redhat.com>

	* gdb.python/py-nested-maps.c (create_map): Add missing return
	value.
	(create_map_map): Likewise.

2020-06-15  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/jit-elf-so.exp: Refer to the global main_loader_basename
	variable.
	* gdb.base/jit-reader-simple.exp: Fix typo ("Built" -> "Build"),
	and use the already-defined 'options' variable.

2020-06-12  Andrew Burgess  <andrew.burgess@embecosm.com>
	    Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_known_globals, gdb_persistent_globals): New global.
	(gdb_persistent_global, gdb_persistent_global_no_decl): New proc.
	(gdb_setup_known_globals): New proc.
	(gdb_cleanup_globals): New proc.
	* lib/gdb.exp (load_lib): New override proc.
	(gdb_stdin_log_init): Set var in_file as persistent global.
	* lib/pascal.exp (gdb_stdin_log_init): Set vars
	pascal_compiler_is_gpc, pascal_compiler_is_fpc, gpc_compiler and
	fpc_compiler as persistent global.

2020-06-12  Tom de Vries  <tdevries@suse.de>

	* lib/tuiterm.exp (spawn): Rename to ...
	(tui_spawn): ... this.
	(toplevel): Move rename of spawn ...
	(gdb_init_tuiterm): ... here.  New proc.
	(gdb_finish_tuiterm): New proc.
	* lib/gdb.exp (gdb_finish_hooks): New global var.
	(gdb_finish): Handle gdb_finish_hooks.
	(tuiterm_env): New proc.
	* gdb.python/tui-window.exp: Replace load_lib tuiterm.exp with
	tuiterm_env.
	* gdb.tui/basic.exp: Same.
	* gdb.tui/corefile-run.exp: Same.
	* gdb.tui/empty.exp: Same.
	* gdb.tui/list-before.exp: Same.
	* gdb.tui/list.exp: Same.
	* gdb.tui/main.exp: Same.
	* gdb.tui/new-layout.exp: Same.
	* gdb.tui/regs.exp: Same.
	* gdb.tui/resize.exp: Same.
	* gdb.tui/tui-layout-asm-short-prog.exp: Same.
	* gdb.tui/tui-layout-asm.exp: Same.
	* gdb.tui/tui-missing-src.exp: Same.
	* gdb.tui/winheight.exp: Same.

2020-06-12  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26110
	* lib/gdb.exp (gdb_init): Revert dejagnu's override of ::unknown.
	(gdb_finish): Reinstall dejagnu's override of ::unknown.

2020-06-11  Tom Tromey  <tom@tromey.com>

	PR gdb/18318:
	* gdb.base/printcmds.exp (test_float_accepted): Add more hex
	floating point tests.

2020-06-11  Keith Seitz  <keiths@redhat.com>

	PR gdb/21356
	* gdb.base/vla-datatypes.c (vla_factory): Add typedef for struct
	vla_struct.
	Add new struct vla_typedef and union vla_typedef_union and
	corresponding instantiation objects.
	Initialize new objects.
	* gdb.base/vla-datatypes.exp: Add tests for vla_typedef_struct_object
	and vla_typedef_union_object.
	Fixup type for vla_struct_object.

2020-06-11  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (with_override): New proc, factored out of ...
	* gdb.base/dbx.exp: ... here.  Use with_override and save_vars.

2020-06-10  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/ptype_union.exp: Remove PR24713 workaround.

2020-06-09  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/index-cache.exp (test_cache_disabled): Add test_prefix
	parameter, update callers.

2020-06-04  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.dwarf2/share-psymtabs-bt.exp: New file.
	* gdb.dwarf2/share-psymtabs-bt.c: New file.
	* gdb.dwarf2/share-psymtabs-bt-2.c: New file.

2020-06-04  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_file_cmd): Avoid path names in error messages.

2020-06-04  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_file_cmd): Replace incomplete gdb_expect by
	exp_continue.

2020-06-04  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_file_cmd): Use perror instead of fail.

2020-06-03  Tom de Vries  <tdevries@suse.de>

	PR symtab/26046
	* gdb.cp/breakpoint-locs-2.cc: New test.
	* gdb.cp/breakpoint-locs.cc: New test.
	* gdb.cp/breakpoint-locs.exp: New file.
	* gdb.cp/breakpoint-locs.h: New test.

2020-06-03  Tom de Vries  <tdevries@suse.de>

	PR testsuite/25609
	* gdb.base/jit-elf-so.exp: Don't modify testing behaviour based on
	value of global verbose.
	* gdb.base/jit-elf.exp: Same.
	* gdb.base/jit-reader.exp: Same.

2020-06-02  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/multidictionary.exp: Don't use
	gdb_spawn_with_cmdline_opts.

2020-06-01  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.cp/step-and-next-inline.exp (do_test): Skip all tests in the
	use_header case.
	* gdb.dwarf2/dw2-inline-header-1.exp: New file.
	* gdb.dwarf2/dw2-inline-header-2.exp: New file.
	* gdb.dwarf2/dw2-inline-header-3.exp: New file.
	* gdb.dwarf2/dw2-inline-header-lbls.c: New file.
	* gdb.dwarf2/dw2-inline-header.c: New file.
	* gdb.dwarf2/dw2-inline-header.h: New file.

2020-05-30  Pedro Alves  <palves@redhat.com>

	* gdb.linespec/cp-replace-typedefs-ns-template.cc: New.
	* gdb.linespec/cp-replace-typedefs-ns-template.exp: New.

2020-05-29  Gary Benson <gbenson@redhat.com>

	* gdb.compile/compile-cplus.exp (additional_flags): Also
	set when building with clang.
	(additional_flags, srcfilesoptions): Pass -Wno-deprecated
	when building with clang.

2020-05-29  Gary Benson <gbenson@redhat.com>

	* gdb.arch/i386-avx.exp (additional_flags): Also set when
	building with clang.
	* gdb.arch/i386-sse.exp (additional_flags): Likewise.

2020-05-29  Gary Benson <gbenson@redhat.com>

	* gdb.cp/koenig.exp (prepare_for_testing): Add
	additional_flags=-Wno-unused-comparison.
	* gdb.cp/operator.exp (prepare_for_testing): Likewise.

2020-05-28  Gary Benson <gbenson@redhat.com>

	* gdb.base/sigaltstack.c (catcher): Add default case to switch
	statement.

2020-05-28  Gary Benson <gbenson@redhat.com>

	* gdb.cp/classes.exp (prepare_for_testing): Add
	additional_flags=-Wno-deprecated-register.
	* gdb.cp/inherit.exp (prepare_for_testing): Likewise.
	* gdb.cp/misc.exp: Likewise.

2020-05-28  Gary Benson <gbenson@redhat.com>

	* gdb.linespec/cpls-ops.cc (dummy): New static global.
	(test_op_new::operator new): Add return statement.
	(test_op_new_array::operator new[]): Likewise.

2020-05-27  Pedro Alves  <palves@redhat.com>

	* gdb.linespec/cp-completion-aliases.exp: Remove readline_is_used
	check.  Use test_gdb_complete_unique instead of
	test_gdb_complete_tab_unique + test_gdb_complete_cmd_unique.  Use
	test_gdb_complete_multiple instead of
	test_gdb_complete_tab_multiple + test_gdb_complete_cmd_multiple.

2020-05-27  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-sighandler-regs.exp: Fix duplicated test names.
	* gdb.arch/aarch64-tagged-pointer.exp: Likewise.
	* gdb.arch/arm-disassembler-options.exp: Likewise.
	* gdb.arch/arm-disp-step.exp: Likewise.
	* gdb.arch/thumb-prologue.exp: Likewise.
	* gdb.base/async.exp: Likewise.
	* gdb.base/auxv.exp: Likewise.
	* gdb.base/complex-parts.exp: Likewise.
	* gdb.base/ena-dis-br.exp: Likewise.
	* gdb.base/foll-exec.exp: Likewise.
	* gdb.base/permissions.exp: Likewise.
	* gdb.base/relocate.exp: Likewise.
	* gdb.base/return2.exp: Likewise.
	* gdb.base/sigbpt.exp: Likewise.
	* gdb.base/siginfo-obj.exp: Likewise.
	* gdb.cp/converts.exp: Likewise.
	* gdb.cp/exceptprint.exp: Likewise.
	* gdb.cp/inherit.exp: Likewise.
	* gdb.cp/nsnoimports.exp: Likewise.
	* gdb.cp/virtbase2.exp: Likewise.
	* gdb.mi/mi-var-cmd.exp: Likewise.
	* gdb.mi/var-cmd.c: Likewise.

2020-05-26  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/arr_acc_idx_w_gap.exp: Add tests.

2020-05-26  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/arr_acc_idx_w_gap.exp: Add enum subrange tests.
	* gdb.ada/arr_acc_idx_w_gap/enum_with_gap.ads (Enum_Subrange): New
	type.
	* gdb.ada/arr_acc_idx_w_gap/enum_with_gap_main.adb (V): New
	variable.

2020-05-26  Christian Biesinger  <cbiesinger@google.com>

	* Makefile.in: Use = instead of == for the test command
	for portability.

2020-05-26  Tom de Vries  <tdevries@suse.de>

	* gdb.base/gold-gdb-index-2.c: New test.
	* gdb.base/gold-gdb-index.c: New test.
	* gdb.base/gold-gdb-index.exp: New file.
	* gdb.base/gold-gdb-index.h: New test.

2020-05-25  Tom de Vries  <tdevries@suse.de>

	* boards/gold-gdb-index.exp: New file.

2020-05-25  Simon Marchi  <simon.marchi@efficios.com>

	* boards/simavr.exp: New file.

2020-05-25  Simon Marchi  <simon.marchi@efficios.com>

	* lib/gdb.exp (gdb_run_cmd): Return success or failure.
	* gdb.base/inferior-args.exp: New file.
	* gdb.base/inferior-args.c: New file.

2020-05-25  Simon Marchi  <simon.marchi@efficios.com>

	* lib/gdb.exp (gdb_run_cmd): Change argument from args to
	inferior_args.  Pass it to gdb_reload.
	(gdb_start_cmd, gdb_starti_cmd): Change argument from args to
	inferior_args.
	(gdb_reload): Add inferior_args argument.
	* config/gdbserver.exp (gdb_reload): Add inferior_args argument,
	pass it to gdbserver_run.
	* boards/native-gdbserver.exp: Do not set noargs.
	* boards/native-extended-gdbserver.exp (gdb_reload): Add
	inferior_args argument.
	* boards/stdio-gdbserver-base.exp (gdb_reload): Likewise.
	* gdb.base/a2-run.exp: Check for use_gdb_stub.
	* gdb.base/args.exp: Likewise.

2020-05-25  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (exec_is_pie): Add comment.

2020-05-25  Tom de Vries  <tdevries@suse.de>

	* lib/jit-elf-helpers.exp (compile_and_download_n_jit_so): Use $f
	instead of $binfile in the untested message.

2020-05-25  Tom de Vries  <tdevries@suse.de>

	PR testsuite/26031
	* lib/gdb.exp (exec_is_pie): Test readelf -h output.

2020-05-25  Tom de Vries  <tdevries@suse.de>

	* boards/gold.exp: New file.

2020-05-23  Tom Tromey  <tom@tromey.com>

	* gdb.base/style.exp: Remove completion styling test.
	* lib/gdb-utils.exp (style): Remove completion styles.

2020-05-23  Tom Tromey  <tom@tromey.com>

	* gdb.base/style.exp: Add completion styling test.
	* lib/gdb-utils.exp (style): Add completion styles.

2020-05-22  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/annota1.exp: Update expected results.
	* gdb.cp/annota2.exp: Update expected results, remove duplicate
	test name.
	* gdb.cp/annota3.exp: Update expected results.

2020-05-20  Simon Marchi  <simon.marchi@efficios.com>

	PR gdb/26016
	* gdb.base/coredump-filter.c (do_mmap): Check mmap ret val
	against MAP_FAILED.
	* gdb.base/coremaker.c (mmapdata): Likewise.
	* gdb.base/jit-reader-host.c (main): Likewise.
	* gdb.base/sym-file-loader.c (load): Likewise.
	(load_shlib): Likewise.

2020-05-20  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/array_char_idx.exp: Recognize initialized array.

2020-05-20  Tom de Vries  <tdevries@suse.de>

	PR symtab/25833
	* gdb.base/with-mf-inc.c: New test.
	* gdb.base/with-mf-main.c: New test.
	* gdb.base/with-mf.exp: New file.

2020-05-19  Tom Tromey  <tromey@adacore.com>

	* gdb.rust/simple.exp: Restore missing test result.

2020-05-19  Tom de Vries  <tdevries@suse.de>

	* gdb.base/gdb-caching-proc.exp: Fix typo.

2020-05-19  Tom Tromey  <tromey@adacore.com>

	* gdb.rust/simple.exp: Add some test descriptions.
	(test_one_slice): Use with_test_prefix.

2020-05-18  Tom de Vries  <tdevries@suse.de>

	* gdb.base/gdb-caching-proc.exp: Use with_test_prefix.

2020-05-17  Pedro Alves  <palves@redhat.com>

	PR gdb/25741
	* gdb.base/hw-sw-break-same-address.exp: New file.

2020-05-16  Pedro Alves  <palves@redhat.com>

	* gdb.multi/multi-re-run.exp (test_re_run): Switch
	LAST_LOADED_FILE accordingly.

2020-05-15  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/alias.exp: Verify 'help aliases' shows user defined aliases.

2020-05-15  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/help.exp: Test apropos and help for commands
	having aliases.  Fixed comments not starting with an
	upper-case letter or not finishing with a dot.

2020-05-15  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/alias.exp: Update help output check.

2020-05-15  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/default.exp: Update output following fixes.

2020-05-15  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/alias.exp: Test aliases starting with a prefix of
	another alias.

2020-05-15  Gary Benson <gbenson@redhat.com>

	* gdb.base/info-os.c (main): Add return statement.
	* gdb.base/info_minsym.c (minsym_fun): Likewise.
	* gdb.base/large-frame-2.c (func): Likewise.
	* gdb.base/pr10179-a.c (foo1, bar1): Likewise.
	* gdb.base/pr10179-b.c (foo2): Likewise.
	* gdb.base/valgrind-disp-step.c (foo): Likewise.
	* gdb.base/watch-cond.c (func): Likewise.
	* gdb.multi/goodbye.c (verylongfun): Likewise.
	* gdb.multi/hello.c (commonfun): Likewise.
	* gdb.python/py-finish-breakpoint.c (call_longjmp): Likewise.
	* gdb.threads/fork-plus-threads.c (thread_func): Likewise.
	* gdb.threads/forking-threads-plus-breakpoint.c (thread_forks):
	Likewise.
	* gdb.threads/hand-call-new-thread.c (foo): Likewise.
	* gdb.threads/interrupt-while-step-over.c (child_function):
	Likewise.
	* gdb.trace/actions-changed.c (end): Likewise.

2020-05-15  Gary Benson <gbenson@redhat.com>

	* gdb.opencl/callfuncs.exp: Report when test skipped.
	* gdb.opencl/convs_casts.exp: Likewise.
	* gdb.opencl/datatypes.exp: Likewise.
	* gdb.opencl/operators.exp: Likewise.
	* gdb.opencl/vec_comps.exp: Likewise.

2020-05-15  Tom de Vries  <tdevries@suse.de>

	* gdb.base/align.exp.in: Rename to ...
	* gdb.base/align.exp.tcl: ... this.
	* gdb.base/align-c++.exp: Update.
	* gdb.base/align-c.exp: Update.
	* gdb.base/all-architectures.exp.in: Rename to ...
	* gdb.base/all-architectures.exp: ... this.
	* gdb.base/all-architectures-0.exp: Update.
	* gdb.base/all-architectures-1.exp: Update.
	* gdb.base/all-architectures-2.exp: Update.
	* gdb.base/all-architectures-3.exp: Update.
	* gdb.base/all-architectures-4.exp: Update.
	* gdb.base/all-architectures-5.exp: Update.
	* gdb.base/all-architectures-6.exp: Update.
	* gdb.base/all-architectures-7.exp: Update.
	* gdb.base/infcall-nested-structs.exp.in: Rename to ...
	* gdb.base/infcall-nested-structs.exp.tcl: ... this.
	* gdb.base/infcall-nested-structs-c++.exp: Update.
	* gdb.base/infcall-nested-structs-c.exp: Update.
	* gdb.base/info-types.exp.in: Rename to ...
	* gdb.base/info-types.exp.tcl: ... this.
	* gdb.base/info-types-c++.exp: Update.
	* gdb.base/info-types-c.exp: Update.
	* gdb.base/max-depth.exp.in: Rename to ...
	* gdb.base/max-depth.exp.tcl: ... this.
	* gdb.base/max-depth-c++.exp: Update.
	* gdb.base/max-depth-c.exp: Update.
	* gdb.cp/cpexprs.exp.in: Rename to ...
	* gdb.cp/cpexprs.exp.tcl: ... this.
	* gdb.cp/cpexprs-debug-types.exp: Update.
	* gdb.cp/cpexprs.exp: Update.
	* gdb.cp/infcall-nodebug.exp.in: Rename to ...
	* gdb.cp/infcall-nodebug.exp.tcl: ... this.
	* gdb.cp/infcall-nodebug-c++-d0.exp: Update.
	* gdb.cp/infcall-nodebug-c++-d1.exp: Update.
	* gdb.cp/infcall-nodebug-c-d0.exp: Update.
	* gdb.cp/infcall-nodebug-c-d1.exp: Update.
	* gdb.dwarf2/clang-debug-names.exp.in: Rename to ...
	* gdb.dwarf2/clang-debug-names.exp.tcl: ... this.
	* gdb.dwarf2/clang-debug-names-2.exp: Update.
	* gdb.dwarf2/clang-debug-names.exp: Update.

2020-05-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/check-test-names.exp: Remove code that prevents this file
	loading when tests are run in parallel.

2020-05-15  Pedro Alves  <palves@redhat.com>

	* gdb.multi/multi-kill.exp (start_inferior): Remove
	'testpid' parameter.  Refer to namespace variable directly.
	(testpid): Declare as namespace variable.

2020-05-15  Pedro Alves  <palves@redhat.com>

	* gdb.multi/multi-kill.exp: Wrap in namespace.
	(start_inferior): Add TESTPID parameter.  Use it instead of the
	testpid global.
	(top level): Define empty TESTPID array, and pass it down to
	start_inferior.

2020-05-14  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/nested-funcs-2.exp: Use gdb_test_stdio to test inferior
	output.

2020-05-14  Tom de Vries  <tdevries@suse.de>

	* gdb.base/align.exp: Split into ...
	* gdb.base/align.exp.in: ...
	* gdb.base/align-c++.exp: ...
	* gdb.base/align-c.exp: ... these.
	* gdb.base/infcall-nested-structs.exp: Split into ...
	* gdb.base/infcall-nested-structs.exp.in: ...
	* gdb.base/infcall-nested-structs-c++.exp: ...
	* gdb.base/infcall-nested-structs-c.exp: ... these.
	* gdb.base/info-types.exp: Split into ...
	* gdb.base/info-types.exp.in: ...
	* gdb.base/info-types-c++.exp: ...
	* gdb.base/info-types-c.exp: ... these.
	* gdb.base/max-depth.exp: Split into ...
	* gdb.base/max-depth.exp.in: ...
	* gdb.base/max-depth-c++.exp: ...
	* gdb.base/max-depth-c.exp: ... these.
	* gdb.cp/infcall-nodebug.exp: Split into ...
	* gdb.cp/infcall-nodebug.exp.in: ...
	* gdb.cp/infcall-nodebug-c++-d0.exp: ...
	* gdb.cp/infcall-nodebug-c++-d1.exp: ...
	* gdb.cp/infcall-nodebug-c-d0.exp: ...
	* gdb.cp/infcall-nodebug-c-d1.exp: ... these.

2020-05-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>
	    Pedro Alves  <palves@redhat.com>

	* gdb.multi/multi-exit.c: New file.
	* gdb.multi/multi-exit.exp: New file.
	* gdb.multi/multi-kill.c: New file.
	* gdb.multi/multi-kill.exp: New file.

2020-05-14  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.base/annota1.exp: Update the expected output.
	* gdb.cp/annota2.exp: Ditto.

2020-05-12  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/check-test-names.exp: Disable when testing is being run in
	parallel.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.base/jit-elf.exp: Fix string concat.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* lib/jit-elf-helpers.exp: Don't use undefined variables in untested
	messages.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.multi/multi-term-settings.exp: Use with_test_prefix.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/catch_ex.exp: Use with_test_prefix.
	* gdb.ada/mi_catch_ex.exp: Same.
	* gdb.ada/mi_catch_ex_hand.exp: Same.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/complex.exp: Use with_test_prefix.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.trace/passcount.exp: Fix test-names.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.pascal/gdb11492.exp: Use with_test_prefix.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.gdb/complaints.exp: Use with_test_prefix.
	* gdb.xml/tdesc-regs.exp: Same.
	* gdb.opt/inline-locals.exp: Fix test name.

2020-05-12  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/comp-unit-lang.exp: Use with_test_prefix.
	* gdb.dwarf2/dw2-bad-parameter-type.exp: Same.
	* gdb.dwarf2/implref-struct.exp: Same.
	* gdb.dwarf2/varval.exp: Ensure get_sizeof is called once per type.
	* gdb.dwarf2/data-loc.exp: Same.  Remove duplicate test.

2020-05-11  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/jit-so.exp (one_jit_test): Change test name.

2020-05-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/check-test-names.exp (all_test_names): New module variable.
	(counts): Add 'duplicates' field.
	(_check_duplicates): New procedure.
	(check): Also check for duplicates.
	(do_log_summary): Print duplicates count.
	(do_reset_vars): Reset counter for duplicate test names, and
	discard all know test names.

2020-05-11  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/gdb.exp: Include check-test-names.exp library.
	* lib/check-test-names.exp: New file.

2020-05-11  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/packed_tagged.exp: Change kfail into xfail.

2020-05-11  Keith Seitz  <keiths@redhat.com>

	* gdb.ada/attr_ref_and_charlit.exp: Fix typo.

2020-05-11  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/cpexprs.exp: Move everything except flags setting ...
	* gdb.cp/cpexprs.exp.in: .. here.
	* gdb.cp/cpexprs-debug-types.exp: Include cpexprs.exp.in instead of
	cpexprs.exp.

2020-05-11  Keith Seitz  <keiths@redhat.com>

	* gdb.ada/arrayparam.exp: Resolve duplicate and tail parentheses
	test names.
	* gdb.ada/arrayptr.exp: Likewise.
	* gdb.ada/assign_arr.exp: Likewise.
	* gdb.ada/attr_ref_and_charlit.exp: Likewise.
	* gdb.ada/bp_on_var.exp: Likewise.
	* gdb.ada/call_pn.exp: Likewise.
	* gdb.ada/complete.exp: Likewise.
	* gdb.ada/fun_overload_menu.exp: Likewise.
	* gdb.ada/funcall_param.exp: Likewise.
	* gdb.ada/funcall_ref.exp: Likewise.
	* gdb.ada/packed_array_assign.exp: Likewise.
	* gdb.ada/same_component_name.exp: Likewise.
	* gdb.ada/type_coercion.exp: Likewise.
	* gdb.ada/unc_arr_ptr_in_var_rec.exp: Likewise.
	* gdb.ada/variant_record_packed_array.exp: Likewise.

2020-05-11  Tom de Vries  <tdevries@suse.de>

	PR symtab/25941
	* gdb.dwarf2/clang-debug-names.exp.in: New include exp file, factored
	out of ...
	* gdb.dwarf2/clang-debug-names.exp: ... here.
	* gdb.dwarf2/clang-debug-names-2.exp: New file.  Include
	clang-debug-names.exp.in.
	* gdb.dwarf2/clang-debug-names-2-foo.c: New test.
	* gdb.dwarf2/clang-debug-names-2.c: New test.

2020-05-10  Alok Kumar Sharma  <alokkumar.sharma@amd.com>

	* lib/fortran.exp (fortran_main): New Proc, handle flang MAIN_,
	(fortran_runto_main): New Proc, fortran version of runto_main.
	* gdb.fortran/array-bounds-high.exp: Handle flang MAIN_
	* gdb.fortran/array-bounds.exp: Likewise.
	* gdb.fortran/array-slices.exp: Likewise.
	* gdb.fortran/block-data.exp: Likewise.
	* gdb.fortran/charset.exp: Likewise.
	* gdb.fortran/common-block.exp: Likewise.
	* gdb.fortran/complex.exp: Likewise.
	* gdb.fortran/derived-type-function.exp: Likewise.
	* gdb.fortran/derived-type.exp: Likewise.
	* gdb.fortran/info-modules.exp: Likewise.
	* gdb.fortran/info-types.exp: Likewise.
	* gdb.fortran/intrinsics.exp: Likewise.
	* gdb.fortran/library-module.exp: Likewise.
	* gdb.fortran/logical.exp: Likewise.
	* gdb.fortran/max-depth.exp: Likewise.
	* gdb.fortran/module.exp: Likewise.
	* gdb.fortran/multi-dim.exp: Likewise.
	* gdb.fortran/nested-funcs.exp: Likewise.
	* gdb.fortran/print-formatted.exp: Likewise.
	* gdb.fortran/print_type.exp: Likewise.
	* gdb.fortran/printing-types.exp: Likewise.
	* gdb.fortran/ptr-indentation.exp: Likewise.
	* gdb.fortran/ptype-on-functions.exp: Likewise.
	* gdb.fortran/subarray.exp: Likewise.
	* gdb.fortran/vla-alloc-assoc.exp: Likewise.
	* gdb.fortran/vla-datatypes.exp: Likewise.
	* gdb.fortran/vla-history.exp: Likewise.
	* gdb.fortran/vla-ptr-info.exp: Likewise.
	* gdb.fortran/vla-ptype-sub.exp: Likewise.
	* gdb.fortran/vla-ptype.exp: Likewise.
	* gdb.fortran/vla-sizeof.exp: Likewise.
	* gdb.fortran/vla-type.exp: Likewise.
	* gdb.fortran/vla-value-sub-arbitrary.exp: Likewise.
	* gdb.fortran/vla-value-sub-finish.exp: Likewise.
	* gdb.fortran/vla-value-sub.exp: Likewise.
	* gdb.fortran/vla-value.exp: Likewise.
	* gdb.fortran/whatis_type.exp: Likewise.
	* gdb.mi/mi-var-child-f.exp: Likewise.

2020-05-09  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/clang-debug-names.exp: Remove PR25952 kfail.

2020-05-08  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/clang-debug-names.c: New test.
	* gdb.dwarf2/clang-debug-names.exp: New file.

2020-05-06  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.arch/amd64-prologue-skip-cf-protection.exp: New file.
	* gdb.arch/amd64-prologue-skip-cf-protection.c: New file.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/consecutive-precsave.exp: Handle if instruction after
	breakpoint is at a "recommended breakpoint location".
	* gdb.reverse/consecutive-reverse.exp: Same.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.base/watchpoint-reuse-slot.exp (stepi): Print $pc to get current
	address.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.base/watchpoint-reuse-slot.exp: Fix incorrect assignment.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.base/store.exp (check_set, up_set): Allowing missing location
	info for r.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.base/shlib-call.exp: Add extra step to reach shmain.c:42, if
	necessary.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* lib/unbuffer_output.c (gdb_unbuffer_output): Change return type to
	void.

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (is_stmt_addresses, hex_in_list): New proc, factored out
	of ...
	* gdb.base/async.exp: ... here.
	* gdb.base/consecutive.exp: Handle if 2nd breakpoint is at a
	"recommended breakpoint location".

2020-05-06  Tom de Vries  <tdevries@suse.de>

	* gdb.compile/compile-ifunc.exp: Use -Wno-attribute-alias.

2020-05-04  Tom de Vries  <tdevries@suse.de>

	* gdb.base/async.exp: Check whether instruction addresses are a
	"recommended breakpoint location".

2020-05-03  Tom Tromey  <tom@tromey.com>

	* gdb.base/sepdebug.exp: Remove "catch" test.
	* gdb.base/break.exp: Remove "catch" test.
	* gdb.base/default.exp: Update expected output.

2020-05-02  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (supports_mpx_check_pointer_bounds): New proc.
	* gdb.arch/i386-mpx-call.exp: Use supports_mpx_check_pointer_bounds.
	* gdb.arch/i386-mpx-map.exp: Same.
	* gdb.arch/i386-mpx-sigsegv.exp: Same.
	* gdb.arch/i386-mpx-simple_segv.exp: Same.
	* gdb.arch/i386-mpx.exp: Same.

2020-05-02  Tom de Vries  <tdevries@suse.de>

	* gdb.base/psym-external-decl.c (main): Add use of variable aaa.

2020-05-01  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/operator_bp.exp: Allow more than required amount of
	breakpoint.

2020-05-01  Tom de Vries  <tdevries@suse.de>

	* gdb.reverse/until-reverse.c (main): Fix Wunused-result warning.

2020-04-30  Hannes Domani  <ssbssa@yahoo.de>

	PR gdb/18706
	* gdb.cp/stub-array-size.cc: New test.
	* gdb.cp/stub-array-size.exp: New file.
	* gdb.cp/stub-array-size.h: New test.
	* gdb.cp/stub-array-size2.cc: New test.

2020-04-30  Hannes Domani  <ssbssa@yahoo.de>

	* gdb.python/py-format-string.exp: Adjust pretty_arrays expected
	output to the new format.

2020-04-29  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/break.exp: Use with_test_prefix.

2020-04-29  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (debug_types): New proc.
	* gdb.guile/scm-symtab.exp: Add xfail for PR gcc/90232.
	* gdb.python/py-symtab.exp: Same.

2020-04-29  Hannes Domani  <ssbssa@yahoo.de>

	PR gdb/17320
	* gdb.base/pretty-array.c: New test.
	* gdb.base/pretty-array.exp: New file.

2020-04-29  Tom de Vries  <tdevries@suse.de>

	PR symtab/25889
	* gdb.cp/cpexprs.exp: Adapt for inclusion.
	* gdb.cp/cpexprs-debug-types.exp: New file.  Set -fdebug-types-section
	and include cpexprs.exp.

2020-04-28 Mark Williams <mark@myosotissp.com>

	PR gdb/24480
	* dw4-toplevel-types.exp: Test for top level types.
	* dw4-toplevel-types.cc: Test for top level types.

2020-04-28  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.threads/stop-with-handle.exp: Fix typo in comment
	(theads -> threads).

2020-04-28  Tom de Vries  <tdevries@suse.de>

	* gdb.opt/inline-cmds.exp: Set KFAIL PR.

2020-04-28  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-macros.exp: Remove KFAIL.  Add missing trailing ".*".

2020-04-28  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/array_ptr_renaming.exp: Add PR number in KFAIL.

2020-04-28  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/main-foo.c: New test.
	* gdb.dwarf2/struct-with-sig.exp: New file.

2020-04-25  Tom de Vries  <tdevries@suse.de>

	* boards/debug-types.exp: New file.

2020-04-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.btrace/multi-inferior.exp: Avoid paths in test names.

2020-04-24  Tom Tromey  <tom@tromey.com>

	PR symtab/12707:
	* gdb.python/py-symbol.exp: Update expected results for
	linkage_name test.
	* gdb.cp/print-demangle.exp: New file.
	* gdb.base/c-linkage-name.exp: Fix test.
	* gdb.guile/scm-symbol.exp: Update expected results for
	linkage_name test.

2020-04-24  Tom Tromey  <tom@tromey.com>

	* gdb.dwarf2/dw2-namespaceless-anonymous.S: Remove.
	* gdb.dwarf2/dw2-namespaceless-anonymous.c: New file.
	* gdb.dwarf2/dw2-namespaceless-anonymous.exp: Use DWARF
	assembler.

2020-04-24  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-bad-mips-linkage-name.exp: Set language of CU to
	C++.

2020-04-24  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/frame_arg_lang.exp: Run with multiple -fgnat-encodings
	values.
	* gdb.ada/funcall_ref.exp: Run with multiple -fgnat-encodings
	values.  Update test for minimal encodings.
	* gdb.ada/lang_switch.exp: Update test for minimal encodings.
	* gdb.ada/var_rec_arr.exp: Run with multiple -fgnat-encodings
	values.  Update test for minimal encodings.

2020-04-24  Tom Tromey  <tromey@adacore.com>

	PR python/23662:
	* gdb.ada/variant.exp: Add Python checks.
	* gdb.rust/simple.exp: Add dynamic type checks.

2020-04-24  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/mi_var_array.exp: Try all -fgnat-encodings settings.
	Make array type matching more lax.
	* gdb.ada/mi_var_union.exp: Try all -fgnat-encodings settings.
	* gdb.ada/mi_variant.exp: New file.
	* gdb.ada/mi_variant/pck.ads: New file.
	* gdb.ada/mi_variant/pkg.adb: New file.
	* gdb.ada/packed_tagged.exp: Try all -fgnat-encodings settings.
	* gdb.ada/unchecked_union.exp: Try all -fgnat-encodings settings.

2020-04-24  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/variant.exp: Add dynamic field offset tests.
	* gdb.ada/variant/pck.ads (Nested_And_Variable): New type.
	* gdb.ada/variant/pkg.adb: Add new variables.

2020-04-24  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/variant.exp: New file
	* gdb.ada/variant/pkg.adb: New file
	* gdb.ada/variant/pck.adb: New file

2020-04-24  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (clean_restart): Reset errcnt and warncnt.

2020-04-24  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dwzbuildid.exp: Add quiet to dwzbuildid-mismatch compile
	flags.

2020-04-24  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-error.exp: Add quiet to compile flags.

2020-04-24  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (default_gdb_start): Handle eof.
	(clean_restart): Detect and handle gdb_start failure.  Return -1 upon
	failure.
	* gdb.base/readnever.exp: Handle clean_restart failure.

2020-04-23  Tom de Vries  <tdevries@suse.de>

	* gdb.base/decl-before-def.exp: Run to main and print a again.

2020-04-23  Tom de Vries  <tdevries@suse.de>

	* gdb.base/decl-before-def-decl.c: New test.
	* gdb.base/decl-before-def-def.c: New test.
	* gdb.base/decl-before-def.exp: New file.

2020-04-23  Tom de Vries  <tdevries@suse.de>

	* gdb.base/readnever.exp: Skip if GDBFLAGS contain -readnow/--readnow.

2020-04-22  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/dw2-ref-missing-frame-func.c (.debug_aranges): Fix
	debug_info_offset.
	* gdb.mi/dw2-ref-missing-frame.exp: Make sure $objfuncfile comes
	before $objsfile in the line line.

2020-04-22  Tom de Vries  <tdevries@suse.de>

	* gdb.dlang/watch-loc.c (.debug_aranges): Fix _Dmain length.

2020-02-18  Mihails Strasuns  <mihails.strasuns@intel.com>

	* gdb.base/jit-attach-pie.c: Use jit-protocol.h.
	* gdb.base/jit-elf-main.c: Use jit-protocol.h.
	* gdb.base/jit-reader-host.c: Use jit-protocol.h.
	* gdb.base/jit-reader-simple-jit.c: Use jit-protocol.h.
	* gdb.base/jit-protocol.h: Update definitions to match all usage
	  contexts.

2020-02-18  Mihails Strasuns  <mihails.strasuns@intel.com>

	* gdb.base: Rename all jit related test and source files.

2020-02-18  Mihails Strasuns  <mihails.strasuns@intel.com>

	* gdb.base/jit-reader.exp: Relax register output check.

2020-04-22  Tom de Vries  <tdevries@suse.de>

	PR symtab/25764
	* gdb.base/psym-external-decl-2.c: New test.
	* gdb.base/psym-external-decl.c: New test.
	* gdb.base/psym-external-decl.exp: New file.
	* gdb.threads/tls.exp: Add PR25807 kfail.

2020-04-22  Tom de Vries  <tdevries@suse.de>

	PR symtab/25801
	* gdb.dwarf2/imported-unit.exp: Test that we can get imported_unit.c
	in "info source" output.

2020-04-22  Tom de Vries  <tdevries@suse.de>

	PR symtab/25700
	* gdb.dwarf2/imported-unit.exp: Verify that there's only one partial
	symtab for imported_unit.c.

2020-04-21  Gary Benson <gbenson@redhat.com>

	* gdb.base/advance.c (func): New argument, to match call site.
	(func2, func3): Add return statements.

2020-04-21  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.multi/run-only-second-inf.c: New file.
	* gdb.multi/run-only-second-inf.exp: New file.

2020-04-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/multi-inferior.c: New test.
	* gdb.btrace/multi-inferior.exp: New file.

2020-04-21  Markus Metzger  <markus.t.metzger@intel.com>

	* gdb.btrace/enable-new-thread.c: New test.
	* gdb.btrace/enable-new-thread.exp: New file.

2020-04-21  Tom de Vries  <tdevries@suse.de>

	PR gdb/25471
	* gdb.threads/killed-outside.c: New test.
	* gdb.threads/killed-outside.exp: New file.

2020-04-20  Gary Benson <gbenson@redhat.com>

	* gdb.base/nested-subp1.exp: Use support_nested_function_tests.
	* gdb.base/nested-subp2.exp: Likewise.
	* gdb.base/nested-subp3.exp: Likewise.

2020-04-20  Gary Benson <gbenson@redhat.com>

	* gdb.base/nested-subp1.exp: Disable test when using clang.
	* gdb.base/nested-subp2.exp: Likewise.
	* gdb.base/nested-subp3.exp: Likewise.

2020-04-20  Gary Benson <gbenson@redhat.com>

	* gdb.cp/exception.cc: Fix compilation error with clang.

2020-04-20  Gary Benson <gbenson@redhat.com>

	* gdb.trace/tspeed.c: Fix compilation error with clang.

2020-04-20  Gary Benson <gbenson@redhat.com>

	* gdb.base/jit-main.c: Fix compilation error with clang.

2020-04-17  Kamil Rytarowski  <n54@gmx.com>

	* gdb.base/attach-twice.c: Include "sys/types.h".
	(PTRACE_ATTACH): Add fallback definition.
	(main): Pass `0' to the 4th argument of `ptrace'.

2020-04-17  Kamil Rytarowski  <n54@gmx.com>

	* gdb.base/fork-running-state.c: Include "signal.h".

2020-04-17  Tom Tromey  <tromey@adacore.com>

	* gdb.cp/maint.exp (test_help): Simplify multiple_help_body.
	Update tests.
	* gdb.btrace/cpu.exp: Update tests.
	* gdb.base/maint.exp: Update tests.
	* gdb.base/default.exp: Update tests.
	* gdb.base/completion.exp: Update tests.

2020-04-16  Tom de Vries  <tdevries@suse.de>

	PR symtab/25791
	* gdb.dwarf2/gdb-add-index.exp (add_gdb_index): Move ...
	(ensure_gdb_index): and factor out and move ...
	* lib/gdb.exp (add_gdb_index, ensure_gdb_index): ... here.
	* gdb.dwarf2/imported-unit-runto-main.exp: New file.

2020-04-16  Tom de Vries  <tdevries@suse.de>

	* gdb.base/maint-expand-symbols-header-file.exp: Set language before
	loading exec.

2020-04-15  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/many-completions.exp: New file.

2020-04-14  Tom de Vries  <tdevries@suse.de>

	PR symtab/25718
	* gdb.dwarf2/dw2-symtab-includes.exp: New file.

2020-04-14  Tom de Vries  <tdevries@suse.de>

	PR symtab/25720
	* gdb.base/maint-expand-symbols-header-file.c: New test.
	* gdb.base/maint-expand-symbols-header-file.exp: New file.
	* gdb.base/maint-expand-symbols-header-file.h: New test.

2020-04-14  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-inline-many-frames.exp (get_func_info): Delete.
	* gdb.dwarf2/dw2-inline-small-func.exp: Pass options to
	get_func_info.
	(get_func_info): Delete.
	* gdb.dwarf2/dw2-is-stmt-2.exp (get_func_info): Delete.
	* gdb.dwarf2/dw2-is-stmt.exp (get_func_info): Delete.
	* lib/dwarf.exp (get_func_info): New function.

2020-04-13  Tom de Vries  <tdevries@suse.de>

	* lib/ada.exp (find_ada_tool): Pass --GCC and -B to gnatlink, similar
	to what find_gnatmake does.

2020-04-10  Tom de Vries  <tdevries@suse.de>

	* gdb.base/style.exp: Expect "Expanding full symbols" message for
	-readnow.

2020-04-10  Tom de Vries  <tdevries@suse.de>

	PR cli/25808
	* gdb.base/style.c: Add leading newlines.
	* gdb.base/style.exp: Use gdb_get_line_number to get specific lines.
	Check listing of main's one-line body.

2020-04-08  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (psymtabs_p): New proc.
	* gdb.dwarf2/imported-unit.exp: Mark "no static partial symbols in
	importing unit" unsupported if there are no partial symbols.

2020-04-08  Tom de Vries  <tdevries@suse.de>

	PR testsuite/25760
	* gdb.ada/call_pn.exp: Call "maint expand-symtabs".  Add xfails.

2020-04-07  Tom de Vries  <tdevries@suse.de>

	PR symtab/25796
	* gdb.dwarf2/imported-unit-abstract-const-value.exp: New file.

2020-04-07  Tom de Vries  <tdevries@suse.de>

	* gdb.base/check-psymtab.c: New test.
	* gdb.base/check-psymtab.exp: New file.

2020-04-06  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/variant-record/proc.adb: New file.
	* gdb.ada/variant-record/value.adb: New file.
	* gdb.ada/variant-record/value.s: New file.
	* gdb.ada/variant-record.exp: New file.

2020-04-03  Hannes Domani  <ssbssa@yahoo.de>

	PR gdb/25325
	* gdb.cp/typed-enum.cc: New test.
	* gdb.cp/typed-enum.exp: New file.

2020-04-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-inline-small-func-lbls.c: New file.
	* gdb.dwarf2/dw2-inline-small-func.c: New file.
	* gdb.dwarf2/dw2-inline-small-func.exp: New file.
	* gdb.dwarf2/dw2-inline-small-func.h: New file.
	* gdb.opt/inline-small-func.c: New file.
	* gdb.opt/inline-small-func.exp: New file.
	* gdb.opt/inline-small-func.h: New file.

2020-04-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/dwarf.exp (Dwarf::lines::program::DW_LNS_set_file): New
	function.

2020-04-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/dwarf.exp (function_range): Allow compiler options to be
	specified.

2020-04-02  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/break-inline-psymtab-2.c (bar): Add
	__attribute__((always_inline)).
	* gdb.dwarf2/break-inline-psymtab.exp: Don't use -O2.

2020-04-02  Tom de Vries  <tdevries@suse.de>

	* lib/gdbserver-support.exp (gdbserver_exit): Factor out of ...
	(gdbserver_gdb_exit): ... here.  Add timeout warning.
	* gdb.multi/multi-target.exp (server_spawn_ids): New global var.
	(connect_target_extended_remote): Append new server_spawn_id to
	server_spawn_ids.
	(cleanup): New proc.
	(setup, <toplevel>): Call cleanup.

2020-04-02  Tom de Vries  <tdevries@suse.de>

	* gdb.base/main-psymtab.exp: New file.

2020-04-02  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/mixed-lang-stack.exp: Accept new complex printing style.

2020-04-01  Tom Tromey  <tom@tromey.com>

	* gdb.base/complex-parts.exp: Add type tests.

2020-04-01  Tom Tromey  <tom@tromey.com>

	* gdb.base/complex-parts.exp: Add arithmetic tests.

2020-04-01  Tom Tromey  <tom@tromey.com>

	* gdb.compile/compile.exp: Update.
	* gdb.compile/compile-cplus.exp: Update.
	* gdb.base/varargs.exp: Update.
	* gdb.base/floatn.exp: Update.
	* gdb.base/endianity.exp: Update.
	* gdb.base/callfuncs.exp (do_function_calls): Update.
	* gdb.base/funcargs.exp (complex_args, complex_integral_args)
	(complex_float_integral_args): Update.
	* gdb.base/complex.exp: Update.
	* gdb.base/complex-parts.exp: Update.

2020-04-01  Tom Tromey  <tromey@adacore.com>

	* gdb.rust/union.rs: New file.
	* gdb.rust/union.exp: New file.
	* gdb.rust/simple.rs (Union, Union2): Move to union.rs.
	(main): Update.
	* gdb.rust/simple.exp: Move union tests to union.exp.

2020-04-01  Tom Tromey  <tromey@adacore.com>

	* gdb.rust/simple.rs (main): Remove "y0".

2020-04-01  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.multi/stop-all-on-exit.c: New test.
	* gdb.multi/stop-all-on-exit.exp: New file.

2020-04-01  Hannes Domani  <ssbssa@yahoo.de>

	PR gdb/24789
	* gdb.cp/misc.cc: Add integer reference variable.
	* gdb.cp/misc.exp: Add test.

2020-04-01  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.server/stop-reply-no-thread.exp: Enhance the test
	scenario to cover execution until the end and also the case

2020-03-31  Tom de Vries  <tdevries@suse.de>

	* gdb.base/c-linkage-name.exp: Fix test-case comment.  Set language to
	c.  Use "maint info symtabs" to check symtab expansion.

2020-03-30  Tom de Vries  <tdevries@suse.de>

	* gdb.base/c-linkage-name.exp: Use readnow call to mark a test
	unsupported.
	(verify_psymtab_expanded): Move ...
	* lib/gdb.exp (verify_psymtab_expanded): ... here.  Add unsupported
	test.
	(readnow): New proc.

2020-03-23  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/mixed-lang-stack.exp: Replace two hard coded address
	with $hex.

2020-03-20  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/dw2-ranges-base.exp: Update regular expressions.

2020-03-20  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/sub_variant/subv.adb: New file.
	* gdb.ada/sub_variant.exp: New file.

2020-03-20  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/step-over-lands-on-breakpoint.exp (do_test): Bail out if
	first break fails.
	* gdb.threads/step-over-trips-on-watchpoint.exp: (do_test): Same.

2020-03-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.server/exit-multiple-threads.c: New file.
	* gdb.server/exit-multiple-threads.exp: New file.

2020-03-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/mixed-lang-stack.c: New file.
	* gdb.fortran/mixed-lang-stack.cpp: New file.
	* gdb.fortran/mixed-lang-stack.exp: New file.
	* gdb.fortran/mixed-lang-stack.f90: New file.

2020-03-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.linespec/cp-completion-aliases.cc: New file.
	* gdb.linespec/cp-completion-aliases.exp: New file.

2020-03-19  Tom de Vries  <tdevries@suse.de>

	* gdb.opt/inline-locals.exp: Add kfail PR number.  Make kfail matching
	more precise.

2020-03-18  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/break-inline-psymtab-2.c: New test.
	* gdb.dwarf2/break-inline-psymtab.c: New test.
	* gdb.dwarf2/break-inline-psymtab.exp: New file.

2020-03-16  Tom de Vries  <tdevries@suse.de>

	* lib/cache.exp (gdb_do_cache): Add and handle local variables
	cache_verify and cache_verify_proc.

2020-03-15  Tom de Vries  <tdevries@suse.de>

	* gdb.server/solib-list.exp: Handle
	'Load new symbol table from "/lib64/ld-2.26.so"? (y or n)'.

2020-03-15  Tom de Vries  <tdevries@suse.de>

	* gdb.base/maint.exp: Use exp_continue in long lines for "maint print
	objfiles".

2020-03-14  Tom Tromey  <tom@tromey.com>

	* gdb.base/cvexpr.exp: Add test for _Atomic and restrict.

2020-03-14  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-fortran-modules.exp: Use exp_continue.

2020-03-14  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/attach-many-short-lived-threads.exp: Read "info threads"
	result in line-by-line fashion.

2020-03-14  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (supports_statement_frontiers): New proc.
	* gdb.cp/step-and-next-inline.exp: Use supports_statement_frontiers.

2020-03-14  Tom de Vries  <tdevries@suse.de>

	* gdb.base/printcmds.exp: Add missing quoting for "print
	teststring2".

2020-03-13  Tom Tromey  <tom@tromey.com>

	* gdb.base/printcmds.exp (test_print_strings): Add regression
	test.
	* gdb.base/printcmds.c (charptr): New typedef.
	(teststring2): New global.

2020-03-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/break-interp.exp: Use the tail of the filename, not the
	full path in the test name.
	(test_ld): Add some with_test_prefix blocks to make test names
	unique.

2020-03-13  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info.exp: Fix buffer full errors, and timeouts.

2020-03-13  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info.exp: Make matching more precise.

2020-03-13  Tom de Vries  <tdevries@suse.de>

	PR symtab/25646
	* gdb.dwarf2/imported-unit.exp: Add test.

2020-03-13  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info-2.c (another_char_t, another_short_t): New typedef.
	(var1, var2): New variable.
	* gdb.mi/mi-sym-info.exp: Add --name to various commands to restrict
	matching symbols.

2020-03-13  Tom de Vries  <tdevries@suse.de>

	* lib/tuiterm.exp (Term::command_no_prompt_prefix): New proc.
	(Term::command): Use prompt prefix.
	(Term::enter_tui): Use command_no_prompt_prefix instead of prefix.
	* gdb.tui/tui-layout-asm-short-prog.exp: Use
	command_no_prompt_prefix instead of prefix.
	* gdb.tui/tui-layout-asm.exp: Same.

2020-03-12  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/break-interp.exp: Use foreach_with_prefix.

2020-03-12  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.arch/amd64-disp-step-avx.S: Add nops after _start.
	* gdb.arch/amd64-disp-step-avx.exp: Enable "set debug displaced
	on" while stepping over the test instruction, match printed
	message.

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* gdb.base/info-types.exp: Use exp_continue during matching of output
	of "info types".

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/execl.exp: Delete breakpoint after hitting it.

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/module.exp: Use exp_continue during matching of output
	of "info variable -n".

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/dw2-ranges-base.exp: Limit "maint info line-table" to
	gdb.dwarf2/dw2-ranges-base.c.

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* gdb.linespec/explicit.exp: Fix "complete non-unique file name" test
	in presence of GLIBC debuginfo.

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_core_cmd): Use string_to_regexp for regexp-matching
	$core.

2020-03-12  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_core_cmd): Make "No such file or directory" regexp
	more precise.

2020-03-11  Simon Marchi  <simon.marchi@efficios.com>

	* lib/gdb.exp (standard_output_file): Use `pwd -W` to convert
	from Unix to Windows path.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/minsyms.exp: Set language to ada.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.server/sysroot.exp: Allow GLIBC's printf alias __printf.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.btrace/reconnect.exp: Allow source line pattern after stepi.

2020-03-11  Tom Tromey  <tromey@adacore.com>

	* gdb.dwarf2/variant.exp: Mark discriminants as artificial.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.base/foll-fork.exp: Allow "Reading in symbols" messages.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.base/break-interp.exp: Limit verbose scope.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.fortran/logical.f90: Define variable with character type.
	* gdb.fortran/logical.exp: Use character type instead of uint8_t.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.base/list-ambiguous.exp: Set EDITOR to true.

2020-03-11  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/access_to_packed_array.exp: Test printing of expanded
	symtabs.

2020-03-10  Andrew Burgess  <andrew.burgess@embecosm.com>
	    Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.cp/step-and-next-inline.cc: New file.
	* gdb.cp/step-and-next-inline.exp: New file.
	* gdb.cp/step-and-next-inline.h: New file.
	* gdb.dwarf2/dw2-is-stmt.c: New file.
	* gdb.dwarf2/dw2-is-stmt.exp: New file.
	* gdb.dwarf2/dw2-is-stmt-2.c: New file.
	* gdb.dwarf2/dw2-is-stmt-2.exp: New file.
	* gdb.dwarf2/dw2-ranges-base.exp: Update line table pattern.

2020-03-10  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/dwarf.exp (Dwarf::lines) Add support for modifying the
	is-stmt flag in the line table.

2020-03-09  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (cached_file): Create cache dir.

2020-03-07  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/ref-params.exp: Compare build_executable result with -1.
	* gdb.cp/rvalue-ref-params.exp: Same.

2020-03-06  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (tentative_rename, cached_file): New proc.
	* boards/cc-with-tweaks.exp: Use cached_file to create gdb.sh.

2020-03-06  Tom de Vries  <tdevries@suse.de>

	* README: Fix "the the".
	* gdb.base/dprintf.exp: Same.

2020-03-05  Tom de Vries  <tdevries@suse.de>

	* gdb.base/maint.exp: Update "main print statistics" expected output.

2020-03-04  Alok Kumar Sharma  <AlokKumar.Sharma@amd.com>

	* lib/fortran.exp (fortran_int4): Handle flang kind printing.
	(fortran_int8): Likewise.
	(fortran_real4): Likewise.
	(fortran_real8): Likewise.
	(fortran_complex4): Likewise.
	(fortran_logical4): Likewise.
	(fortran_character1): Likewise.

2020-03-03  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/logical.exp: Add tests that any non-zero value is
	printed as true.

2020-03-03  Sergio Durigan Junior  <sergiodj@redhat.com>

	* gdb.base/printcmds.exp: Add test to verify printf of a
	variable holding an address.

2020-03-03  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/gdb2549.exp: Fix "register values t" check-read1 timeout.

2020-03-03  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/list-thread-groups-available.exp: Use -prompt syntax for
	gdb_test_multiple call.

2020-03-03  Tom de Vries  <tdevries@suse.de>

	* gdb.mi/mi-sym-info.exp: Add missing -prompt "$mi_gdb_prompt$" to
	gdb_test_multiple calls.

2020-03-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/default.exp: Remove test of 'set history filename'.
	* gdb.base/gdbinit-history.exp: Add tests for setting the history
	filename to the empty string.
	* lib/gdb.exp (gdb_init): Unset environment variables GDBHISTFILE
	and GDBHISTSIZE.

2020-03-02  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.server/stop-reply-no-thread.exp: Add test where T packet is
	disabled.

2020-03-02  Pedro Alves  <palves@redhat.com>
	    Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (gdb_test_multiple): Handle prompt_regexp option using
	-prompt prefix, before user_code argument.  Add -lbl option likewise.
	(skip_python_tests_prompt, skip_libstdcxx_probe_tests_prompt)
	(gdb_is_target_1): Add -prompt prefix and move to before user_code
	argument.
	* gdb.base/corefile-buildid.exp: Use -lbl option.  Rewrite regexps to
	have "\r\n" at start-of-line, instead of at end-of-line.

2020-02-28  Simon Marchi  <simon.marchi@efficios.com>

	* lib/trace-support.exp (get_in_proc_agent): Adjust path to
	libinproctrace.so.

2020-02-28  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-fp.exp: Switch from "info registers" command
	to "p/x".

2020-02-28  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-dbreg-contents.c: Include stdlib.h, unistd.h,
	asm/ptrace.h and error.h.

2020-02-28  Tom de Vries  <tdevries@suse.de>

	* gdb.base/c-linkage-name.c (main): Call do_something_other_cu.
	(struct wrapper, do_something, mundane/symada__cS): Move ...
	* gdb.base/c-linkage-name-2.c: ... here.  New source file.
	* gdb.base/c-linkage-name.exp: Add verification of psymtab expansion.
	Update "print symada__cS before partial symtab expansion" regexp.
	Update breakpoint location.  Flush symbol cache after expansion.

2020-02-28  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-pauth.exp: Recognize optional PAC output.

2020-02-27  Tom de Vries  <tdevries@suse.de>

	* config/sid.exp: Remove unused globals.
	* gdb.base/attach.exp: Same.
	* gdb.base/catch-load.exp: Same.
	* gdb.base/dbx.exp: Same.
	* lib/gdb.exp: Same.
	* lib/mi-support.exp: Same.
	* lib/prompt.exp: Same.

2020-02-27  Tom de Vries  <tdevries@suse.de>

	* lib/tuiterm.exp (spawn): Handle case that spawn_out(slave,name) is
	not set.

2020-02-26  Aaron Merey  <amerey@redhat.com>

	* gdb.debuginfod: New directory for debuginfod tests.
	* gdb.debuginfod/main.c: New test file.
	* gdb.debuginfod/fetch_src_and_symbols.exp: New tests.

2020-02-26  Tom de Vries  <tdevries@suse.de>

	PR gdb/25603
	* gdb.base/persistent-lang.cc: New test.
	* gdb.base/persistent-lang.exp: New file.

2020-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/derived-type-striding.exp: Add a new test.
	* gdb.fortran/derived-type-striding.f90: Add pointer variable for
	new test.

2020-02-25  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/cached-source-file.exp: Avoid source file paths in test
	names.

2020-02-25  Tom de Vries  <tdevries@suse.de>

	PR go/18926
	* gdb.go/methods.exp: Remove gcc/93866 xfail.

2020-02-24  Tom de Vries  <tdevries@suse.de>

	PR gdb/25592
	* gdb.base/info-locals-unused-static-var.c: New test.
	* gdb.base/info-locals-unused-static-var.exp: New file.

2020-02-22  Tom Tromey  <tom@tromey.com>

	* gdb.python/tui-window.exp: New file.
	* gdb.python/tui-window.py: New file.

2020-02-22  Tom Tromey  <tom@tromey.com>

	PR tui/17850:
	* gdb.tui/new-layout.exp: Add horizontal layout and winheight
	tests.

2020-02-22  Tom Tromey  <tom@tromey.com>

	* gdb.tui/new-layout.exp: Add sub-layout tests.

2020-02-22  Tom Tromey  <tom@tromey.com>

	* gdb.tui/new-layout.exp: New file.

2020-02-22  Tom Tromey  <tom@tromey.com>

	* gdb.rust/rust-style.rs: New file.
	* gdb.rust/rust-style.exp: New file.
	* gdb.base/style.exp: Test structure printing.
	* gdb.base/style.c (struct some_struct): New type.
	(enum etype): New type.
	(struct_value): New global.

2020-02-21  Tom de Vries  <tdevries@suse.de>

	PR go/18926
	* lib/gdb.exp (bp_location2/bp_location2_regexp): Fix.
	Remove blanket xfails.  Use message argument for gdb_breakpoint.
	Make continuing to breakpoint test conditional on setting breakpoint.
	Fix continuing to breakpoint regexp.  Add xfails for gccgo-6/7
	DW_AT_name attribute.  Add xfail for GCC PR93866.

2020-02-21  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/cpp-linkage-name.c: New file.
	* gdb.dwarf2/cpp-linkage-name.exp: New file.

2020-02-21  Shahab Vahedi  <shahab@synopsys.com>

	* lib/gdb.exp (gdb_wrapper_init): Reset
	"gdb_wrapper_initialized" to 0 if "wrapper_file" does
	not exist.

2020-02-20  Tom de Vries  <tdevries@suse.de>

	PR go/17018
	* gdb.go/hello.exp: Copy ...
	* gdb.go/global-local-var-shadow.exp: ... here.  New file.  Expect
	print of st to print value of global definition. Add xfail for GCC
	PR93844.
	* gdb.go/hello.exp: Remove printing of st before definition.
	* gdb.go/hello.go: Copy ...
	* gdb.go/global-local-var-shadow.go: ... here. New test.  Rename myst
	to st.
	* gdb.go/hello.go: Remove myst.  Remove comment about shadowing.

2020-02-20  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (support_go_compile): New gdb_caching_proc.
	(gdb_simple_compile): Handle compile_flags go by using .go extension
	for source file.
	* gdb.go/chan.exp: Use support_go_compile.
	* gdb.go/handcall.exp: Same.
	* gdb.go/hello.exp: Same.
	* gdb.go/integers.exp: Same.
	* gdb.go/max-depth.exp: Same.
	* gdb.go/methods.exp: Same.
	* gdb.go/package.exp: Same.
	* gdb.go/strings.exp: Same.
	* gdb.go/types.exp: Same.
	* gdb.go/unsafe.exp: Same.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* gdb.python/lib-types.exp: Make xfail more strict.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/funcall_ref.exp: Replace xfail setup by unsupported check.

2020-02-19  Doug Evans  <dje@google.com>

	PR rust/25535
	* gdb.rust/simple.exp: Add test.
	* gdb.rust/simple.rs: Add test.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* gdb.base/corefile-buildid.exp (check_exec_file): Match info files
	output line-by-line.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/cpexprs.exp: Remove c++/14186 kfail.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* gdb.base/solib-overlap.exp: Use exec instead of system to execute
	prelink.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* lib/cache.exp (ignore_pass, gdb_do_cache_wrap): New proc.
	(gdb_do_cache): Use gdb_do_cache_wrap.
	* gdb.base/gdb-caching-proc.exp (test_proc): Use gdb_do_cache_wrap.

2020-02-19  Tom de Vries  <tdevries@suse.de>

	* lib/dtrace.exp (dtrace_build_usdt_test_program): Use quiet as
	gdb_compile option.

2020-02-18  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/printcmds.exp (test_print_enums): Update expected
	output.

2020-02-18  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/printcmds.exp (test_print_enums): Expect hex values
	for "unknown".

2020-02-18  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/printcmds.c (enum flag_enum): Add FE_TWO_LEGACY
	enumerator.

2020-02-18  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/printcmds.c (enum flag_enum): Prefix enumerators with
	FE_, add FE_NONE.
	(three): Update.
	(enum flag_enum_without_zero): New enum.
	(flag_enum_without_zero): New variable.
	(enum not_flag_enum): New enum.
	(three_not_flag): New variable.
	* gdb.base/printcmds.exp (test_artificial_arrays): Update.
	(test_print_enums): Add more tests for printing flag enums.

2020-02-18  Tom de Vries  <tdevries@suse.de>

	* lib/ada.exp (gdb_compile_ada_1): Factor out of ...
	(gdb_compile_ada): ... here.
	(gnat_runtime_has_debug_info): Remove fail call for gdb_compile_ada
	failure.  Use gdb_compile_ada_1 instead of gdb_compile_ada.

2020-02-14  Tom Tromey  <tom@tromey.com>

	* lib/gdbserver-support.exp (find_gdbserver): Find gdbserver in
	build directory.
	* boards/gdbserver-base.exp: Update path to gdbserver.

2020-02-13  Tom de Vries  <tdevries@suse.de>

	* lib/ada.exp (gdb_compile_ada): Delete stale exec before compilation.

2020-02-13  Tom de Vries  <tdevries@suse.de>

	* gdb.ada/catch_ex_std.exp: Indicate unsupported if gnatbind/gnatlink
	are missing.

2020-02-13  Tom de Vries  <tdevries@suse.de>

	* lib/ada.exp (gnatmake_version_at_least): Wrap exec call in a catch
	call.

2020-02-11  Sergio Durigan Junior  <sergiodj@redhat.com>

	PR tui/25126
	https://bugzilla.redhat.com/show_bug.cgi?id=1784210
	* gdb.base/cached-source-file.c: New file.
	* gdb.base/cached-source-file.exp: New file.

2020-02-11  Tom de Vries  <tdevries@suse.de>

	PR testsuite/25488
	* lib/gdb.exp (gdb_init): Unset $file_last_loaded.

2020-02-10  Tom de Vries  <tdevries@suse.de>

	* gdb.multi/multi-target.exp: Skip if skip_gdbserver_tests.

2020-02-10  Maciej W. Rozycki  <macro@wdc.com>

	* gdb.base/step-over-no-symbols.exp: Verify that $before_addr
	and $after_addr are both integers before making a comparison.

2020-02-09  Tom de Vries  <tdevries@suse.de>

	* gdb.base/many-headers.exp: Echo gdb command to gdb.log.  Capture gdb
	command output and paste it into gdb.log.  If any, paste catch message
	to gdb.log.

2020-02-07  Tom Tromey  <tromey@adacore.com>

	PR breakpoints/24915:
	* gdb.base/annotate-symlink.exp: Use setup_xfail.

2020-02-06  Shahab Vahedi  <shahab@synopsys.com>

	* gdb.tui/tui-missing-src.exp: Add the "missing source
	file" test for the TUI.

2020-02-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.server/multi-ui-errors.exp: Give a test a real name to avoid
	including a port number in the output.

2020-02-04  Alok Kumar Sharma  <alokkumar.sharma@amd.com>

	* lib/fortran.exp (fortran_int4): Handle clang.
	(fortran_int8): Likewise.
	(fortran_real4): Likewise.
	(fortran_real8): Likewise.
	(fortran_complex4): Likewise.
	(fortran_logical4): Likewise.
	(fortran_character1): Likewise.

2020-02-04  Tom de Vries  <tdevries@suse.de>

	* README (Race detection): Add note.

2020-02-04  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (inferior_exited_re): Use "\[^\n\r\]*" instead of ".*".

2020-02-04  Tom de Vries  <tdevries@suse.de>

	* lib/gdb.exp (inferior_exited_re): Use non-capturing parentheses.

2020-02-03  Rogerio A. Cardoso  <rcardoso@linux.ibm.com>

	* gdb.arch/powerpc-power8.exp: Delete trailing whitespace of
	tbegin., tend. instructions. Replace bctar-, bctar+, bctarl-,
	bctarl+ extended mnemonics when avaliable by bgttar, bnstarl,
	blttar, bnetarl.
	* gdb.arch/powerpc-power8.s: Fix comments. Fix instructions
	binary for blttar, bnetarl.
	* gdb.arch/powerpc-power9.exp: Delete trailing whitespace of
	wait instruction. Delete ldmx test.
	* gdb.arch/powerpc-power9.s: Delete ldmx instruction.

2020-02-03  Alok Kumar Sharma  <AlokKumar.Sharma@amd.com>

	* gdb.fortran/array-bounds-high.exp: New file.
	* gdb.fortran/array-bounds-high.f90: New file.

2020-02-03  Lukas Durfina  <ldurfina@tachyum.com>  (tiny change)

	* gdb.base/fileio.c: Remove #include of <sys/errno.h>.
	Replace #include of <sys/fcntl.h> by <fcntl.h>.

2020-02-01  Tom de Vries  <tdevries@suse.de>

	* gdb.server/server-kill-python.exp: Fix $gdb_tst_name typo.

2020-01-31  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR tui/9765
	* gdb.tui/tui-layout-asm-short-prog.S: New file.
	* gdb.tui/tui-layout-asm-short-prog.exp: New file.

2020-01-29  Luis Machado  <luis.machado@linaro.org>

	* gdb.arch/aarch64-brk-patterns.c: New source file.
	* gdb.arch/aarch64-brk-patterns.exp: New test.

2020-01-29  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.cp/pass-by-ref-2.exp: Mark some tests as XFAIL based on the
	GCC/Clang version.
	* gdb.cp/pass-by-ref.exp: Ditto.

2020-01-29  Tom de Vries  <tdevries@suse.de>

	* gdb.threads/watchpoint-fork-child.c: Guard prints with #if DEBUG.
	* gdb.threads/watchpoint-fork-mt.c: Same.
	* gdb.threads/watchpoint-fork-parent.c: Same.
	* gdb.threads/watchpoint-fork-st.c: Same.
	* gdb.threads/watchpoint-fork.exp: Compile with DEBUG=0.

2020-01-27  Luis Machado  <luis.machado@linaro.org>

	* gdb.base/step-over-syscall.exp (setup): Check if we're already
	sitting at a syscall instruction when we hit the syscall function's
	breakpoint.
	Check PC against one obtained with the x command.
	Validate syscall number.
	(step_over_syscall): Don't continue to the syscall instruction if
	we're already there.

2020-01-25  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/attach.exp: Test 'set exec-file-mismatch'.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-inline-many-frames.c: New file.
	* gdb.dwarf2/dw2-inline-many-frames.exp: New file.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-inline-stepping.c: New file.
	* gdb.dwarf2/dw2-inline-stepping.exp: New file.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/maint.exp: Update line table parsing test.
	* gdb.dwarf2/dw2-ranges-base.exp: Add new line table parsing test.

2020-01-24  Pedro Alves  <palves@redhat.com>

	PR gdb/25410
	* gdb.multi/multi-re-run-1.c: New.
	* gdb.multi/multi-re-run-2.c: New.
	* gdb.multi/multi-re-run.exp: New.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR gdb/23718
	* gdb.server/server-kill-python.exp: New file.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.server/multi-ui-errors.c: New file.
	* gdb.server/multi-ui-errors.exp: New file.

2020-01-24  Andrew Burgess  <andrew.burgess@embecosm.com>

	PR tui/9765
	* gdb.tui/tui-layout-asm.exp: Add scrolling test for asm window.

2020-01-19  Tom Tromey  <tom@tromey.com>

	* gdb.tui/main.exp: Add check for plain "file".

2020-01-16  Christian Biesinger  <cbiesinger@google.com>

	* lib/gdb.exp: Fix spelling error (seperatelly).

2020-01-14  Tom Tromey  <tom@tromey.com>

	PR symtab/12535:
	* gdb.python/python.exp: Test decode_line with empty string
	argument.

2020-01-14  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/skip-inline.exp: Extend test.

2020-01-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.dwarf2/dw2-bad-elf-other.S: New file.
	* gdb.dwarf2/dw2-bad-elf.c: New file.
	* gdb.dwarf2/dw2-bad-elf.exp: New file.

2020-01-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/dwarf.exp (Dwarf::lines): Reset _line_saw_program and
	_line_saw_file.

2020-01-13  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/tuiterm.exp (Term::_check_box): Check some parts of the top
	border.

2020-01-10  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.multi/multi-target.exp (setup): Factor out "info
	connections" and "info inferiors" tests to ...
	(test_info_inferiors): ... this new procedure.
	(top level): Run new "info-inferiors" tests.

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.server/bkpt-other-inferior.exp: New file.

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.base/kill-detach-inferiors-cmd.exp: Adjust expected output
	of "add-inferior".
	* gdb.base/quit-live.exp: Likewise.
	* gdb.base/remote-exec-file.exp: Likewise.
	* gdb.guile/scm-progspace.exp: Likewise.
	* gdb.linespec/linespec.exp: Likewise.
	* gdb.mi/new-ui-mi-sync.exp: Likewise.
	* gdb.mi/user-selected-context-sync.exp: Likewise.
	* gdb.multi/multi-target.exp (setup): Add "info connection" and
	"info inferiors" tests.
	* gdb.multi/remove-inferiors.exp: Adjust expected output of
	"add-inferior".
	* gdb.multi/watchpoint-multi.exp: Likewise.
	* gdb.python/py-inferior.exp: Likewise.
	* gdb.server/extended-remote-restart.exp: Likewise.
	* gdb.threads/fork-plus-threads.exp: Adjust expected output of
	"info inferiors".
	* gdb.threads/forking-threads-plus-breakpoint.exp: Likewise.
	* gdb.trace/report.exp: Likewise.

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.multi/multi-target.c: New file.
	* gdb.multi/multi-target.exp: New file.
	* lib/gdbserver-support.exp (gdb_target_cmd): Handle "Non-stop
	mode requested, but remote does not support non-stop".

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.server/extended-remote-restart.exp (test_reload): Explicitly
	disconnect before reconnecting.

2020-01-10  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>
	    Pedro Alves	 <palves@redhat.com>

	* gdb.server/connect-without-multi-process.exp: Also test
	continuing to end.

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.base/remote-exec-file.exp: New file.

2020-01-10  Pedro Alves  <palves@redhat.com>

	* gdb.base/fork-running-state.exp (do_test): Adjust expected
	output.
	* gdb.threads/async.c: New.
	* gdb.threads/async.exp: New.
	* gdb.multi/tids-gid-reset.c: New.
	* gdb.multi/tids-gid-reset.exp: New.

2020-01-10  George Barrett  <bob@bob131.so>

	* gdb.base/stap-probe.c (relocation_marker): Add dummy variable
	to help in finding the image relocation offset.
	* gdb.base/stap-probe.exp (stap_test): Accept arbitrary compile
	options in arguments.
	(stap_test_no_debuginfo): Likewise.
	(stap-probe-nosem-noopt-pie, stap-probe-nosem-noopt-nopie): Add
	test variants.
	(stap_test): Add null semaphore relocation test.

2020-01-10  George Barrett  <bob@bob131.so>

	* gdb.base/stap-probe.c: Rename USE_PROBES to USE_SEMAPHORES.
	* gdb.base/stap-probe.exp: Likewise.
	(stap_test): Pass argument as an additional flag.
	(stap_test_no_debuginfo): Likewise.
	(stap_test): Check `info probes stap' output for semaphore
	addresses if the test binary is supposed to have them.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/basic.exp: Add more scrolling tests.

2020-01-09  Tom Tromey  <tom@tromey.com>

	PR tui/18932:
	* lib/tuiterm.exp (Term::wait_for): Rename from _accept.  Return a
	meangingful value.
	(Term::command, Term::resize): Update.
	* gdb.tui/basic.exp: Add scrolling test.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/tui-layout-asm.exp: New file.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/tuiterm.exp (Term::check_box_contents): New proc.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/tuiterm.exp (Term::prepare_for_tui): New proc.
	(Term::enter_tui): Use Term::prepare_for_tui.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/tuiterm.exp (Term::dump_screen): Always dump the screen when
	called.

2020-01-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/skip.exp: Fix race condition in test.

2020-01-06  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/backtrace.c: New file.
	* gdb.base/backtrace.exp: New file.

2020-01-05  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.tui/list.exp: Test 'focus next' after 'list main'.

2020-01-03  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/style.exp: Test that warnings are styled.

2019-12-29  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/line65535.exp: New file.
	* gdb.base/line65535.c: New file.

2019-12-27  Simon Marchi  <simon.marchi@polymtl.ca>

	* lib/ada.exp (gnat_runtime_has_debug_info): New proc.
	* lib/gnat_debug_info_test.adb: New file.
	* gdb.ada/ptype_tagged_param.exp: Use
	gnat_runtime_has_debug_info, expect a different output if
	runtime does not have debug info.

2019-12-20  Simon Marchi  <simon.marchi@efficios.com>

	* lib/sym-info-cmds.exp (GDBInfoSymbols::check_no_entry): Add
	(another) quote in test name.

2019-12-20  Simon Marchi  <simon.marchi@efficios.com>

	* lib/sym-info-cmds.exp (GDBInfoModuleSymbols::check_no_entry):
	Add quote in test name.

2019-12-20  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.cp/pass-by-ref.cc: Delete.  Generated in the output
	directory instead.
	* gdb.cp/pass-by-ref.exp: Extend with more cases.
	* gdb.cp/pass-by-ref-2.cc: New file.
	* gdb.cp/pass-by-ref-2.exp: New file.

2019-12-20  Tom Tromey  <tom@tromey.com>

	* gdb.tui/list-before.exp: New file.

2019-12-20  Tom Tromey  <tom@tromey.com>

	* gdb.tui/list.exp: Check for source on initial listing.

2019-12-11  Tom Tromey  <tromey@adacore.com>

	* gdb.xml/tdesc-arch.exp (set_arch): Add "trans_mode" parameter.
	Add crlf test.

2019-12-18  Simon Marchi  <simon.marchi@efficios.com>

	* gdb.base/default.exp: Update value of $_gdb_major.

2019-12-17  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/skip.exp: Fix test failure observed with gcc-9.2.0.

2019-12-17  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/skip.exp: Whitespace fix.

2019-12-16  Bernd Edlinger  <bernd.edlinger@hotmail.de>

	* gdb.base/skip-inline.c: New file.
	* gdb.base/skip-inline.exp: New file.

2019-12-16  Simon Marchi  <simon.marchi@polymtl.ca>

	* gdb.base/jit-reader.exp (jit_reader_test): Rename
	jit_function_00 to jit_function_stack_mangle.
	* gdb.base/jithost.c (jit_function_t): Rename to...
	(jit_function_stack_mangle_t): ... this.
	(jit_function_add_t): New typedef.
	(jit_function_00_code): Rename to...
	(jit_function_stack_mangle_code): ... this, make static.
	(jit_function_add_code): New.
	(main): Generate "add" function and call it.  Adjust to changes
	in jithost_abi.
	* gdb.base/jithost.h (struct jithost_abi_bounds): New.
	(struct jithost_abi) <begin, end>: Remove fields.
	<object, function_stack_mangle, function_add>: New fields.
	* gdb.base/jitreader.c (struct reader_state) <code_begin,
	code_end>: Remove fields.
	<func_stack_mangle>: New field.
	(read_debug_info): Adjust to renaming, create block for "add"
	function.
	(read_sp, unwind_frame, get_frame_id): Adjust to other changes.

2019-12-11  Tom Tromey  <tom@tromey.com>

	* gdb.tui/resize.exp: Fix regexp.
	* gdb.tui/regs.exp: Fix regexps.
	* gdb.tui/main.exp: Fix regexp.

2019-12-11  Tom Tromey  <tom@tromey.com>

	* gdb.tui/resize.exp: Update.
	* gdb.tui/empty.exp (layouts): Update.

2019-12-11  Tom Tromey  <tom@tromey.com>

	* gdb.tui/regs.exp: Update.
	* gdb.tui/empty.exp (layouts): Update.
	* gdb.tui/basic.exp: Update.
	* lib/tuiterm.exp (_check_box): Don't check bottom border.

2019-12-11  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/options.exp: Add -raw-values in the print completion list.
	* gdb.python/py-prettyprint.exp: Add tests for -raw-values.

2019-12-10  Kevin Buettner  <kevinb@redhat.com>

	* gdb.threads/omp-par-scope.c: New file.
	* gdb/threads/omp-par-scope.exp: New file.

2019-12-10  Kevin Buettner  <kevinb@redhat.com>

	* lib/gdb.exp (support_nested_function_tests): New proc.

2019-12-10  Kevin Buettner  <kevinb@redhat.com>

	* lib/gdb.exp (gdb_compile_openmp): New proc.
	(build_executable_from_specs): Add an "openmp" option.
	(gdb_compile_pthreads): Add non-executable case.

2019-12-10  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/unchecked_union.exp: New file.
	* gdb.ada/unchecked_union/pck.adb: New file.
	* gdb.ada/unchecked_union/pck.ads: New file.
	* gdb.ada/unchecked_union/unchecked_union.adb: New file.
	* gdb-utils.exp (string_to_regexp): Also quote "?".

2019-12-10  George Barrett  <bob@bob131.so>

	Test scripted probe breakpoints.
	* gdb.guile/scm-breakpoint.c (main): Add probe point.
	* gdb.python/py-breakpoint.c (main): Likewise.
	* gdb.guile/scm-breakpoint.exp (test_bkpt_probe): Add probe
	specifier test.
	* gdb.python/py-breakpoint.exp (test_bkpt_probe): Likewise.

2019-12-09  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.cp/rvalue-ref-overload.cc (g): New function that takes
	an rvalue parameter.
	* gdb.cp/rvalue-ref-overload.exp: Test calling it with an lvalue
	parameter.

2019-12-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-fortran-modules.exp: Add patterns to skip system
	modules.

2019-12-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/derived-type-striding.exp: KFAIL if we are using a
	broken version of GCC.

2019-12-09  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/info-modules.exp: Rewrite to make use of new
	sym-info-cmds library.
	* gdb.fortran/info-types.exp: Likewise.
	* lib/sym-info-cmds.exp: New file.

2019-12-08  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/imported-unit.exp: Fix inter-CU references.

2019-12-07  Keith Seitz  <keiths@redhat.com>

	* gdb.base/corefile-buildid-shlib-shr.c: New file.
	* gdb.base/corefile-buildid-shlib.c: New file.
	* gdb.base/corefile-buildid.c: New file.
	* gdb.base/corefile-buildid.exp: New file.

2019-12-06  Tom de Vries  <tdevries@suse.de>

	* gdb.dwarf2/varval.exp: Add decl before def test.

2019-12-06  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.cp/rvalue-ref-overload.exp: Minor cleanup.

2019-12-06  Tankut Baris Aktemur  <tankut.baris.aktemur@intel.com>

	* gdb.cp/rvalue-ref-overload.cc: Add a case that involves both
	CV and reference conversion for overload resolution.
	* gdb.cp/rvalue-ref-overload.exp: Test it.

2019-12-06  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.threads/pthreads.exp: Test taas and tfaas without command.
	* gdb.base/frameapply.exp: Test faas without command.

2019-12-04  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/gdb.exp (gdb_compile): Add -J compiler option when building
	Fortran tests.
	* gdb.mi/mi-fortran-modules.exp: Compile source files in correct
	order.

2019-12-04  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/type-kinds.exp (test_cast_1_to_type_kind): Handle
	casting to type with no kind specified.
	(test_basic_parsing_of_type_kinds): Additional tests for types
	with no kind specified, and add tests for single/double
	precision/complex types.

2019-12-04  Tom Tromey  <tromey@adacore.com>

	* gdb.base/endianity.c (struct other) <x>: New field.
	(main): Initialize it.
	* gdb.base/endianity.exp: Update.

2019-12-04  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/scalar_storage/storage.adb: New file.
	* gdb.ada/scalar_storage/pck.adb: New file.
	* gdb.ada/scalar_storage/pck.ads: New file.
	* gdb.ada/scalar_storage.exp: New file.

2019-12-04  Tom Tromey  <tromey@adacore.com>

	* gdb.base/endianity.c (struct otherendian) <f>: New field.
	(main): Initialize it.
	* gdb.base/endianity.exp: Update.

2019-12-04  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-sym-info.exp: Add tests for -max-results parameter.

2019-12-04  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-fortran-modules.exp: Add additional tests for
	-symbol-info-module-functions and -symbol-info-module-variables.

2019-12-01  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/array-slices.exp: Add test for dynamic strings.

2019-12-01  Richard Bunt  <richard.bunt@arm.com>
	    Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/derived-type-striding.exp: New file.
	* gdb.fortran/derived-type-striding.f90: New file.
	* gdb.fortran/array-slices.exp: New file.
	* gdb.fortran/array-slices.f90: New file.

2019-11-30  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/define.exp: Test . in command names.
	* gdb.base/setshow.exp: Update test, as . is now part of
	command name.

2019-11-30  Philippe Waroquiers  <philippe.waroquiers@skynet.be>

	* gdb.base/define-prefix.exp: New file.

2019-11-28  Andrew Burgess  <andrew.burgess@embecosm.com>

	* lib/gdb.exp (skip_btrace_tests): Return 1 if the test fails to
	compile.
	(skip_btrace_pt_tests): Likewise.

2019-11-27  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.fortran/info-modules.exp: Compile source files in correct
	order.

2019-11-27  Kevin Buettner  <kevinb@redhat.com>

	* gdb.dwarf2/imported-unit.exp: New file.
	* gdb.dwarf2/imported-unit.c: New file.

2019-11-27  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-fortran-modules-2.f90: New file.
	* gdb.mi/mi-fortran-modules.exp: New file.
	* gdb.mi/mi-fortran-modules.f90: New file.

2019-11-27  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.mi/mi-sym-info-1.c: New file.
	* gdb.mi/mi-sym-info-2.c: New file.
	* gdb.mi/mi-sym-info.exp: New file.

2019-11-22  Tom Tromey  <tromey@adacore.com>

	* gdb.ada/tasks.exp: Add -ada-task-info regression test.
	* gdb.ada/tasks/foo.adb: Add another stopping location.

2019-11-21  Peeter Joot  <peeter.joot@lzlabs.com>

	* gdb.base/endianity.c: New test.
	* gdb.base/endianity.exp: New file.

2019-11-21  Lukas Durfina  <ldurfina@tachyum.com>

	* gdb.arch/amd64-eval.exp: Skip test if target is not x86-64.

2019-11-21  Tom de Vries  <tdevries@suse.de>

	PR gdb/24956
	* gdb.base/ui-redirect.exp: Test output of user-defined command.

2019-11-20  Sergio Durigan Junior  <sergiodj@redhat.com>

	* gdb.python/py-progspace.exp: Add missing parentheses on some
	'print' commands.

2019-11-19  Tom Tromey  <tom@tromey.com>

	* gdb.tui/winheight.exp: New file.

2019-11-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/ctf-whatis.c: Delete.
	* gdb.base/ctf-whatis.exp: Delete.
	* gdb.base/whatis.exp: Rewrite to compile as both dwarf and ctf.

2019-11-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/ctf-cvexpr.exp: Delete.
	* gdb.base/cvexpr.exp: Rewrite to compile as both dwarf and ctf.

2019-11-19  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.base/ctf-constvars.exp: Skip test if CTF is not supported in
	the compiler.  Clean up header comment a little.
	* gdb.base/ctf-ptype.exp: Likewise.
	* gdb.base/ctf-whatis.exp: Likewise.
	* lib/gdb.exp (skip_ctf_tests): New proc.

2019-11-18  Sergio Durigan Junior  <sergiodj@redhat.com>

	https://bugzilla.redhat.com/show_bug.cgi?id=1765117
	* gdb.tui/corefile-run.exp: New file.

2019-11-14  Tom Tromey  <tromey@adacore.com>

	* gdb.base/gdbvars.exp (test_convenience_variables): Add
	regression tests.

2019-11-12  Tom Tromey  <tom@tromey.com>

	* lib/tuiterm.exp (_accept): Add wait_for parameter.  Check output
	after any command.  Expect prompt after WAIT_FOR is seen.
	(enter_tui): Enable resize messages.
	(command): Expect command in output.
	(get_line): Avoid error when cursor appears to be off-screen.
	(dump_screen): Include screen size in title.
	(_do_resize): New proc, from "resize".
	(resize): Rewrite.  Do resize in two steps.
	* gdb.tui/empty.exp (layouts): Fix entries.
	(check_boxes): Remove xfail.
	(check_text): Dump screen on failure.

2019-11-10  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-symbol.exp: Add test for
	gdb.lookup_static_symbols.

2019-11-10  Andrew Burgess  <andrew.burgess@embecosm.com>

	* gdb.python/py-symbol.c: Declare and call function from new
	py-symbol-2.c file.
	* gdb.python/py-symbol.exp: Compile both source files, and add new
	tests for gdb.lookup_static_symbol.
	* gdb.python/py-symbol-2.c: New file.

2019-11-02  Tom de Vries  <tdevries@suse.de>

	* gdb.base/advance.exp: Drop superfluous 3rd argument to gdb_test.
	* gdb.base/anon.exp: Same.
	* gdb.base/auto-connect-native-target.exp: Same.
	* gdb.base/call-ar-st.exp: Same.
	* gdb.base/catch-syscall.exp: Same.
	* gdb.base/commands.exp: Same.
	* gdb.base/default.exp: Same.
	* gdb.base/display.exp: Same.
	* gdb.base/float.exp: Same.
	* gdb.base/foll-fork.exp: Same.
	* gdb.base/help.exp: Same.
	* gdb.base/info-macros.exp: Same.
	* gdb.base/info-proc.exp: Same.
	* gdb.base/info-target.exp: Same.
	* gdb.base/long_long.exp: Same.
	* gdb.base/macscp.exp: Same.
	* gdb.base/memattr.exp: Same.
	* gdb.base/nofield.exp: Same.
	* gdb.base/pointers.exp: Same.
	* gdb.base/printcmds.exp: Same.
	* gdb.base/ptype.exp: Same.
	* gdb.base/restore.exp: Same.
	* gdb.base/return.exp: Same.
	* gdb.base/scope.exp: Same.
	* gdb.base/set-noassign.exp: Same.
	* gdb.base/setshow.exp: Same.
	* gdb.base/shlib-call.exp: Same.
	* gdb.base/signals.exp: Same.
	* gdb.base/sigstep.exp: Same.
	* gdb.base/skip.exp: Same.
	* gdb.base/solib-symbol.exp: Same.
	* gdb.base/stap-probe.exp: Same.
	* gdb.base/step-line.exp: Same.
	* gdb.base/step-test.exp: Same.
	* gdb.base/style.exp: Same.
	* gdb.base/varargs.exp: Same.
	* gdb.base/vla-datatypes.exp: Same.
	* gdb.base/vla-ptr.exp: Same.
	* gdb.base/vla-sideeffect.exp: Same.
	* gdb.base/volatile.exp: Same.
	* gdb.base/watch-cond-infcall.exp: Same.
	* gdb.base/watchpoint.exp: Same.

2019-11-02  Tom de Vries  <tdevries@suse.de>

	* gdb.cp/anon-union.exp: Drop superfluous 3rd argument to gdb_test.
